Ce document est un manuel de référence officieux pour LaTeX, un système
de préparation de documents, version « Août 2017 ».

   Ce manuel a été traduit du fichier ‘LATEX.HLP’ v1.0a de la
bibliothèque d’aide VMS. La version pré-traduction a été rédigé par
George D. Greenwade de Sam Houston State University.  La version
LaTeX 2.09 a été rédigée par Stephen Gilmore.  La version LaTeX2e a été
adapté à partir de cellce-ci par Torsten Martinsen.  Karl Berry a fait
d’autres mises à jour et ajouts, et reconnaît avec gratitude avoir
utilisé ‘Hypertext Help with LaTeX’, de Sheldon Green, et ‘LaTeX Command
Summary’ (pour LaTeX2.09) de L. Botway et C. Biemesderfer (publié par le
TeX Users Group en tant que ‘TeXniques’ numéro 10), il l’a utilisé en
tant que matériel de référence (aucun texte n’était directement copié).

   Tous droits réservés © 2015-2017 Vincent Belaïche — traduction.
Tous droits réservés © 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
2015, 2016, 2017 Karl Berry.
Tous droits réservés © 1988, 1994, 2007 Stephen Gilmore.
Tous droits réservés © 1994, 1995, 1996 Torsten Martinsen.

   Ci-après se trouve la licence sous laquelle est distribuée ce manuel,
une traduction en est donnée en annexe, voir *note License
translation::.

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

   Permission is granted to copy and distribute modified versions of
this manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

   Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions.

LaTeX2e : un manuel de référence officieux
******************************************

Ce document est un manuel de référence officieux pour LaTeX2e, un
système de préparation de document, dans sa version « Août 2017 ».

1 À propos de ce document
*************************

Ceci est un manuel de référence officieux pour le système LaTeX2e de
préparation de document, ce système est mis en oeuvre sous forme d’un
paquet de macros pour le programme de composition TeX (see
Overview).  La page d’accueil de ce document est
<http://puszcza.gnu.org.ua/software/latexrefman/>.  Cette page contient
des liens vers les produits courants de fabrication du document dans
différents formats, les sources, les listes de diffusion, et d’autres
infrastructures.

   Dans ce document, on utilise principalement juste le terme « LaTeX »
plutôt que « LaTeX2e », étant donné que la version précédente de
LaTeX (2.09) est gelée depuis des dizaines d’années.

   LaTeX est désormais maintenu par un groupe de bénévoles
(<http://latex-project.org>).  La documentation officielle écrite par le
projet LaTeX est disponible à partir de leur site web.  Le présent
document est complètement officieux et n’a pas été examiné par les
mainteneurs de LaTeX.  Ne leur envoyez donc pas de rapports d’anomalie
ou quoi que ce soit d’autre.  Au lieu de cela, s’il vous plaît envoyez
tous commentaires à <latexrefman@tug.org>.

   Ce document est un manuel de référence.  Il y a une vaste gamme
d’autres sources d’information sur LaTeX, de tous niveaux.  Voici
quelques introductions :

<http://ctan.org/pkg/latex-doc-ptr>
     Deux pages de références recommandées à LaTeX documentation.

<http://ctan.org/pkg/first-latex-doc>
     Rédaction de votre premier document, avec un peu de texte et de
     mathématiques.

<http://ctan.org/pkg/usrguide>
     Le guide pour les auteurs de documents maintenu par le projet
     LaTeX.  Bien d’autres guides écrits par bien d’autres gens sont
     aussi disponibles, indépendamment du projet LaTeX ; l’article
     suivant en est un.

<http://ctan.org/pkg/lshort>
     Une courte (?)  indoduction à LaTeX, traduite en de nombreuses
     langues (traduction française :
     <http://ctan.org/pkg/lshort-french>).

<http://tug.org/begin.html>
     Introduction au système TeX, y compris LaTeX, et plus amples
     références.

2 Vue d’ensemble de LaTeX
*************************

Qu’est-ce que LaTeX?

   LaTeX est un système de composition de document.  Il fut à l’origine
créé par Leslie Lamport et est desormais maintenu par un groupe de
volontaires (<http://latex-project.org>).  Il est largement utilisé, en
particulier pour les documents complexes et techniques, tels que ceux
impliquant des mathématiques.

   Un utilisateur LaTeX écrit un fichier d’entrée contenant le texte
d’un document avec des commandes qui y sont intercalées pour décrire
comment le texte doit être formaté.  LaTeX est mis en œuvre comme un
ensemble de commandes liées s’interfaçant avec le programme de
composition TeX de Donald E. Knuth (le terme technique est que LaTeX est
un “paquet de macros” pour le moteur TeX).  L’utilisateur produit le
document de sortie en donnant ce fichier d’entrée au moteur TeX.

   Le terme LaTeX est aussi parfois utilisé pour signifier le langage à
balises dans lequel le code source du document est écrit, c.-à-d. pour
signifier l’ensemble des commandes à la disposition d’un utilisateur de
LaTeX.

   Le nom LaTeX est l’abréviation de “Lamport TeX”.  On le prononce
LA-TÈQUE. Au sein du document, on produit le logo avec ‘\LaTeX’.  Là où
l’utilisation du logo n’est pas raisonnable, comme dans du texte brut,
écrivez le ‘LaTeX’.

2.1 Début et fin
================

Les fichiers LaTeX ont une structure globale simple, avec un début et
une fin standards.  Voici un exemple « Bonjour le monde » :

     \documentclass{article}
     \begin{document}
     Bonjour le monde \LaTeX.
     \end{document}

Ici ‘article’ et ce qu’on appelle la “classe de document”, implémentée
dans une fichier ‘article.cls’.  N’importe quelle classe de document
peut être utilisée.  Quelques classes de document sont définies par
LaTeX lui-même, et un grand nombre d’autres sont largement disponibles.
See Document classes.

   Vous pouvez inclure d’autres commandes LaTeX entre les commandes
‘\documentclass’ et ‘\begin{document}’ (cette zone est appelée le
“préambule”).

   Le code ‘\begin{document} ... \end{document}’ est ce qu’on appelle un
“environnement” ; l’environnement ‘document’ (et aucun autre) est
obligatoire dans tous les documents LaTeX (see document).  LaTeX
fournit lui-même beaucoup d’environnements, et bien plus encore sont
définis séparément.  See Environments.

   Les rubriques suivantes discutent de la façon de produire des PDF et
d’autres format de sortie à partir d’un fichier d’entrée LaTeX.

2.2 Fichiers de sortie
======================

LaTeX produit un fichier de sortie principal et au moins deux fichiers
accessoires.  Le nom du fichier de sortie principal se termine soit en
‘.dvi’ soit en ‘.pdf’.

‘.dvi’
     Si il est invoqué avec la commande système ‘latex’, alors il
     produit un fichier « DeVice Independent(1) » (‘.dvi’).  Vous pouvez
     visualiser ce fichier avec une commande comme ‘xdvi’, ou le
     convertir en fichier PostScript ‘.ps’ avec ‘dvips’ ou en fichier
     « Portable Document Format(2) » ‘.pdf’ avec ‘dvipdfmx’.  Un grand
     nombre d’autres progammes utilitaires DVI sont disponibles
     (<http://mirror.ctan.org/dviware>).

‘.pdf’
     Si LaTeX est invoqué avec la commande système ‘pdflatex’, parmi
     d’autres commandes (see TeX engines), alors la sortie
     principale est un fichier “Portable Document Format” (‘.pdf’).
     Typiquement, il s’agit d’un fichier autonome, avec toutes les
     polices et images incorporées.

   LaTeX produit aussi au moins deux fichier supplémentaires.

‘.log’
     Ce fichier de transcription, ou “fichier journal”, contient des
     informations sommaires telles que la liste des paquetages chargés.
     Il contient aussi des messages de diagnostic et possiblement des
     informations supplémentaires concernant toutes erreurs.

‘.aux’
     De l’information auxiliaire est utilisée par LaTeX pour des choses
     telles que les doubles renvois.  Par exemple, la première fois que
     LaTeX trouve un renvoi en aval — une double référence à
     quelque-chose qui n’est pas encore apparu dans le code source — il
     apparaîtra dans la sortie comme un double point d’interrogation
     ‘??’.  Quand l’endroit auquel le renvoi fait référence finit par
     appraître dans le code source, alors LaTeX écrit son information de
     localisation dans ce fichier ‘.aux’.  À l’invocation suivante,
     LaTeX lit l’inforlation de localisation à partir de ce fichier et
     l’utilise pour résoudre le renvoi, en remplaçant le double point
     d’interrogation avec la localisation mémorisée.

   LaTeX peut produire encore d’autres fichiers, caractérisés par la
terminaison du nom de fichier.  Ceux-ci incluent un fichier ‘.lof’ qui
est utilisé pour fabriquer la liste des figures, un fichier ‘.lot’
utilisé pour fabriquer une liste des tableaux, et un fichier ‘.toc’
utilisé pour fabriquer une table des matières.  Une classe de document
particulière peut en créer d’autres ; cette liste n’a pas de fin
définie.

   ---------- Footnotes ----------

   (1) Indépendant du périphérique de sortie, ce n’est toutefois pas un
format portable de document

   (2) Format portable de document

2.3 Les moteurs TeX
===================

LaTeX est défini comme un ensemble de commande qui sont exécutées par
une implémentation TeX (see Overview).  Cette section donne une vue
d’ensemble laconique des principaux programmes.

‘latex’
‘pdflatex’
     Dans TeX Live (<http://tug.org/texlive>, si LaTeX est invoqué avec
     les commandes système ‘latex’ ou ‘pdflatex’, alors le moteur pdfTeX
     est exécuté (<http://ctan.org/pkg/pdftex>).  Selon qu’on invoque
     ‘latex’ ou ‘pdflatex’, la sortie principale est respectivement un
     fichier ‘.dvi’ ou un fichier ‘.pdf’.

     pdfTeX incorpore les extensions qu’e-TeX apporte au programme
     original de Knuth (<http://ctan.org/pkg/etex>), ce qui inclut des
     caractéristiques supplémentaires de programmation et la composition
     bi-directionnelle, et a lui-même de nombreuses extentions.  e-TeX
     est lui-même disponible par la commande système ‘etex’, mais le
     langage du fichier d’entrée est du TeX de base (et le fichier
     produit est un ‘.dvi’).

     Dans d’autres distributions TeX, ‘latex’ peut invoquer e-TeX plutôt
     que pdfTeX.  Dans tous les cas, on peut faire l’hyptohèse que les
     extension e-TeX sont disponibles en LaTeX.

‘lualatex’
     Si LaTeX est invoqué avec la commandes systèmes ‘lualatex’, alors
     le moteur LuaTeX est exécuté (<http://ctan.org/pkg/luatex>).  Ce
     programme permet que du code écrit dans le langage script Lua
     (<http://luatex.org>) intéragisse avec la compostion faite par TeX.
     LuaTeX traite nativement l’entrée en Unicode UTF-8, peut traiter
     les polices OpenType et TrueType, et produit un fichier ‘.pdf’ par
     défaut.  Il y a aussi ‘dvilualatex’ pour produire un fichier
     ‘.dvi’, mais cela est rarement utilisé.

‘xelatex’
     Si LaTeX est invoqué avec la commandes système ‘xelatex’, le moteur
     XeTeX est exécuté (<http://tug.org/xetex>).  Comme LuaTeX, XeTeX
     prend en charge nativement UTF-8 Unicode et les polices TrueType et
     OpenType, bien que l’implementation soit complètement différente,
     utilisant principalement des bibliothèque externe plutôt que du
     code interne.  XeTeX produit un fichier ‘.pdf’ en sortie ; il ne
     prend pas en charge la sortie DVI.

     En interne, XeTeX crée un fichier ‘.xdv’ file, une variante de DVI,
     et traduit cela en PDF en utilisant le programme (‘x’)‘dvipdfmx’,
     mais ce processus est automatique.  Le fichier ‘.xdv’ n’est utile
     que pour le débogage.

   D’autres vairantes de LaTeX et TeX existent, par ex.  pour fournir
une prise en charge supplémentaires du japonais des d’autres langages
([u]pTeX, <http://ctan.org/pkg/ptex>, <http://ctan.org/pkg/uptex>).

2.4 Syntaxe des commandes LaTeX
===============================

Dans le fichier d’entrée LaTeX, un nom de commande commence avec une
contr’oblique, ‘\’.  Le nom lui-même consiste soit en (a) une chaîne de
lettres ou (b) une unique non-lettre.

   Les noms de commandes LaTeX sont sensibles à la casse de sorte que
‘\pagebreak’ diffère de ‘\Pagebreak’ (ce dernier n’est pas une commande
standarde).  La plupart des noms de commandes sont en bas de casse, mais
en tout cas vous devez saisir toutes les commandes dans la même casse où
elles sont définies.

   Une commande peut être suivie de zéro, un ou plus d’arguments.  Ces
arguments peuvent être soit obligatoires, soit optionnels.  Les
arguments obligatoires sont entre accolades, ‘{...}’.  Les arguments
optionnels sont entre crochets, ‘[...]’.  En général, mais ce n’est pas
universel, si la commande prend un argument optionnel, il vient en
premier, avant tout argument obligatoire.

   Au sein d’un argument optionnel, pour utiliser le crochet
fermant (‘]’) cachez le au sein d’accolades, comme dans ‘\item[crochet
fermant {]}]’.  De même, si un argument optionnel vient en dernier, sans
argument obligatoire à sa suite, alors pour qie le premier caractère
dans le texte suivant soit un crochet ouvrant, cachez le entre
accolades.

   LaTeX a la convetion que certaines commandes ont une forme en a ‘*’
qui est en relation avec la forme sans le ‘*’, telles que ‘\chapter’ et
‘\chapter*’.  La différence exacte de comportement dépend de la
commande.

   Ce manuel décrit toutes les options accepté et les formes en ‘*’ pour
les commandes dont il traite (à l’exeption des omissions involontaires,
ou bogues de ce manuel).

2.4.1 Les environnements
------------------------

Synopsis :

     \begin{NOM ENVIRONNEMENT}
       ...
     \end{NOM ENVIRONNEMENT}

   Une zone du code source LaTeX, au sein de laquelle il y a un
comportement différent.  Par exemple, pour la poésie en LaTeX mettez les
lignes entre ‘\begin{verse}’ et ‘\end{verse}’.

     \begin{verse}
         There once was a man from Nantucket \\
          ...
     \end{verse}

   Voir Environments pour une liste des environnements.

   Le NOM ENVIRONNEMENT au début doit s’accorder exactement avec celui à
la fin.  Ceci comprend le cas où NOM ENVIRONNEMENT se termine par une
étoile(‘*’) ; l’argument à la fois de ‘\begin’ et ‘\end’ doit comprendre
l’étoile.

   Les environnements peuvent avoir des arguments, y compris des
arguments optionnels.  L’exemple ci-dessous produit un tableau.  Le
premier argument est optionnel (et implique de la table est alignée
verticalement sur sa première ligne) alors que le second argument et
obligatoire (il spécifie le format des colonnes).

     \begin{tabular}[t]{r|l}
       ... lignes du tableau ...
     \end{tabular}

2.4.2 Les déclarations de commandes
-----------------------------------

Une commande qui change la valeur, ou change la signification, d’une
autre commande ou paramètre.  Par exemple, la commande ‘\mainmatter’
change le réglage de la numérotation des pages en passant de numéros
romains à des numéros arabes.

2.4.3 ‘\makeatletter’ et ‘\makeatother’
---------------------------------------

Synopsis :

     \makeatletter
       ... définition de commande comprenant @ dans leur nom ..
     \makeatother

   Utilisé pour redéfinir des commandes internes de LaTeX.
‘\makeatletter’ a pour effet que le caractère arobe ‘@’ ait le code de
catégorie des lettres, c.-à-d. 11.  ‘\makeatother’ règle de code de
catégorie de ‘@’ à 12, sa valeur d’origine.

   À mesure que chaque caractère est lu par TeX pour LaTeX, un code de
catégorie lui est assigné.  On appelle aussi ce code “catcode” pour
faire court.  Par exemple, la contr’oblique ‘\’ reçoit le catcode 0, qui
correspond aux catactères qui commencent une commande.  Ces deux
commandes altèrent le catcode assigné à ‘@’.

   Cette altération est nécessaire parce que beaucoup des commandes de
LaTeX utilisent ‘@’ dans leur nom, de sorte à empécher les utilisateurs
de définir accidentellement une commande qui remplacerait l’une des
commandes privées de LaTeX.  Les noms de commandes consistent en un
caractère de catégorie 0, d’ordinaire une contr’oblique, suivi de
lettres, c.-à-d. des caractères de catégorie 11 (à ceci près q’un nom de
commande peut aussi consister d’un catactère de catégorie 0 suivi d’un
seul symbole non-lettre).  Ainsi sous le régime par défaut de codes de
catégorie, les commandes définies par l’utilisateur ne peuvent pas
contenir de ‘@’.  Mais ‘\makeatletter’ et ‘\makeatother’ permettent aux
utilisateurs de définir et re-définir des commandes dont le nom comprend
un ‘@’.

   À utiliser dans un fichier ‘.tex’, dans le préambule.  Ne pas
utiliser dans des fichiers ‘.sty’ ou ‘.cls’ puisque les commandes
‘\usepackage’ et ‘\documentclass’ règlent le code de catégorie de
l’arobe à celui d’une lettre.

   Pour une liste complète des macros contenant un arobe dans leur nom,
voir le document <http://ctan.org/pkg/macros2e>.  Ces macros sont
surtout à l’intention des auteurs de classes et de paquetages.

   L’exemple ci-après est typique.  Une commande ‘\these@nomuniversite’
se trouve dans le fichier de classe de l’utilisateur.  L’utilisateur
veut changer sa définition.  Pour cela, il suffit d’insérer les trois
lignes suivantes dans le préambule, avant le ‘\begin{document}’ :

     \makeatletter
     \renewcommand{\these@nomuniversite}{Université Lyon III Jean Moulin}
     \makeatother

2.4.3.1 ‘\@startsection’
........................

Synopsis :

     \@startsection{NOM}{NIVEAU}{RETRAIT}{AVANT}{APRÈS}{STYLE}

   Cette commande permet de redéfinir les commandes de rubricage telles
que ‘\section’ ou ‘\subsection’.

   Notez que le paquetage ‘titlesec’ rend la manipulation du rubricage
plus facile.  De plus, bien que la plupart des exigences concernant les
commandes de rubricage peuvent être remplies avec ‘\@startsection’, ce
n’est pas le cas de toutes.  Par exemple, dans les classes LaTeX
standardes ‘book’ et ‘report’ les commandes ‘\chapter’ et ‘\report’ ne
sont pas construite de cette manière.  Pour fabriquer une telle commande
il est possible d’utiliser la commande ‘\secdef’.

   Techniquement, cette commande a la forme :
     \@startsection{NOM}{NIVEAU}{RETRAIT}{AVANT}{APRÈS}{STYLE}
         *[TITRETDM]{TITRE}
de sorte que faire :
     \renewcommand{\section}{\@startsection{NOM}{NIVEAU}{RETRAIT}%
          {AVANT}{APRÈS}{STYLE}}
redéfinit ‘\section’ en gardant sa forme standarde d’appel
‘\section*[TITRETDM]{TITRE}’.  See Sectioning et les exemples plus
bas.

NOM
     Nom du compteur (qui doit être défini séparément) utilisé pour
     numéroter le titre de rubrique.  Ceux le plus communément utilisés
     sont ‘section’, ‘subsection’, ou ‘paragraph’.  Bien que dans ces
     trois cas le nom du compteur soit le même que celui de la commande
     elle-même, utiliser le même nom n’est pas exigé.

     Alors ‘\the’NAME affiche le numéro de titre, et ‘\’NAME‘mark’ sert
     aux en-têtes de page.

NIVEAU
     Un entier donnant la profondeur de la commande de rubricage, par
     ex. 0 pour ‘chapter’ (ceci ne s’applique qu’aux classes standardes
     ‘book’ et ‘report’), 1 pour ‘section’, 2 pour ‘subsection’, 3 pour
     ‘subsubsection’, 4 pour ‘paragraph’ et 5 pour ‘subparagraph’.  Dans
     les classes ‘book’ et ‘report’, ‘part’ a pour niveau -1, alors que
     dans la classe ‘article’, ‘part’ a pour niveau 0.

     Si NIVEAU est inférieur ou égal à la valeur de ‘secnumdepth’ alors
     les titres pour cette commande de rubricage sont numérotés.  Par
     ex. dans un ‘article’, si ‘secnumdepth’ vaut 1 alors une commande
     ‘\section{Introduction}’ produira en sortie quelque chose du genre
     de ‘1 Introduction’ alors que ‘\subsection{Historique}’ produit en
     sortie quelque chose du genre de ‘Historique’, sans numéro en
     préfixe.  See Sectioning/secnumdepth.

     Si NIVEAU est inférieur ou égal à la valeur de ‘secnumdepth’ alors
     la table des matières aura un article pour cette rubrique.  Par
     exemple, dans un ‘article’, si ‘tocdepth’ vaut 1 alors la table des
     matières listera les ‘section’s, mais pas les ‘subsection’s.

RETRAIT
     Une longueur donnant le renfoncement de toutes les lignes du titre
     relativement à la marge.  Pour un renfoncement nul, utilisez ‘0pt’.
     Une valeur négative telle que ‘-1em’ cause un débord du titre dans
     la marge.

AVANT
     Longueur dont la valeur absolue est la longueur de l’espace
     vertical à insérer avant le titre de la rubrique.  Cet espacement
     est ignoré si la rubrique commence au début d’une page.  Si en plus
     AVANT est négatif, alors le premier paragraphe suivant
     immédiatement le titre n’est pas renfoncé, s’il est positif ou nul
     il l’est.  (Notez que l’opposé de ‘1pt plus 2pt minus 3pt’ est
     ‘-1pt plus -2pt minus -3pt’).

     Par exemple si AVANT vaut ‘-3.5ex plus -1ex minus -0.2ex’ alors
     pour commencer la nouvelle rubrique, LaTeX ajoute environ 3,5 fois
     la hauteur d’une lettre x en espace veritical, et le premier
     paragraphe de la rubrique n’est pas renfoncé.  Utiliser une
     longueur élastique, c.-à-d. comprenant ‘plus’ et ‘minus’, est une
     bonne pratique ici car cela donne à LaTeX plus de latitude lors de
     la fabrication de la page.

     La quantité totale d’espace vertical entre la ligne de base de la
     ligne précédant le titre de cette rubrique est la ligne de base du
     titre est la somme du ‘\parskip’ dans la police du corps de texte,
     du ‘\baselineskip’ de la police du titre, et de la valeur absolue
     de l’argument AVANT.  Cet espace est typiquement élastique et peut
     se dilater ou se contracter.  (Si la rubrique commence en début
     d’une page de sorte que cet espace soit ignoré, alors la ligne de
     base du titre correspond à la ligne de base qu’aurait la première
     ligne de texte sur cette page si celle-ci commençait par du texte).

APRÈS
     Longueur.  Lorsque elle est positive ou nulle, il s’agit de
     l’espace vertical à insérer après le titre de la rubrique.  Lorsque
     elle est négative, alors le titre fait corps avec le paragraphe le
     suivant immédiatement.  Dans ce cas la valeur absolue de la
     longueur donne l’espace horizontal entre la fin du titre et le
     début du paragraphe suivant.  (Notez que l’opposé de ‘1pt plus 2pt
     minus 3pt’ est ‘-1pt plus -2pt minus -3pt’).

     Comme c’est le cas avec AVANT, utiliser une longueur élastique avec
     des composantes ‘plus’ et ‘minus’ est une bonne pratique ici
     puisque elle donne à LaTeX plus de latitude pour assembler la page.

     Si APRÈS est positif ou nul alors la quantité totale d’espace
     vertical entre la ligne de base du titre de la rubrique et la ligne
     de base de la première ligne du paragraphe suivant est la somme du
     ‘\parskip’ de la police du titre, de ‘\baselineskip’ de la police
     du corps de texte, et de la valeur de APRÈS.  Cet espace est
     typiquement élastique de sorte qu’il puisse se dilater ou se
     contracter.  (Notez que du fait que le signe d’APRÈS contrôle que
     le titre soit indépendant du texte le suivant, ou fasse corps avec
     lui, vous ne pouvez pas utiliser un APRÈS négatif pour annuler une
     partie du ‘\parskip’).

STYLE
     Contrôle le style du titre, voir les exemples plus bas.  Les
     commandes typiquement utilisées ici sont ‘\centering’,
     ‘\raggedright’, ‘\normalfont’, ‘\hrule’, ou ‘\newpage’.  La
     dernière commande au sein de STYLE peut être une commande prenant
     un argument, telle que ‘\MakeUppercase’ ou ‘\fbox’.  Le titre de la
     rubrique est passé en argument à cette commande.  Par exemple
     régler STYLE à ‘\bfseries\MakeUppercase’ a pour effet de produire
     des titres gras et en capitales.

   Voici des exemples.  Pour les utiliser mettez les soit au sein d’un
fichier de paquetage ou de classe, ou placez les dans le préambule d’un
document LaTeX entre des commandes ‘\makeatletter’ et ‘\makeatother’.
(Le message d’erreur ‘You can't use `\spacefactor' in vertical mode.’
est le plus probable lorsque on oublie de faire cela).  See
\makeatletter and \makeatother.

   L’exemple suivant redéfinit la commande de rubricage ‘\section’ pour
qu’elle centre le titre et le mette en gras :

     \renewcommand\section{%
       \@startsection{section}% See NOM.
       {1}% See NIVEAU.
       {0pt}% See RETRAIT.
       {-3.5ex plus -1ex minus -.2ex}% See AVANT.
       {2.3ex plus.2ex}% See APRÈS.
       {\centering\normalfont\Large\bfseries}}% See STYLE.

   Cet exemple met les titres de ‘subsection’ en petites capitales, et
leur fait faire corps avec le paragraphe suivant.

     \renewcommand\subsection{%
       \@startsection{subsection}%  See NOM.
         {2}% See NIVEAU.
         {0em}% See RETRAIT.
         {-1ex plus 0.1ex minus -0.05ex}% See AVANT.
         {-1em plus 0.2em}% See APRÈS.
         {\scshape}% See STYLE.
       }

   Les exemples précédents redéfinissait les commandes de titre de
rubriques existantes.  celui-ci en définit une nouvelle, illustrant la
nécessité d’un compteur et de macros pour son affichage.

     \setcounter{secnumdepth}{6}% affiche les compteur justqu'à ce niveau
     \newcounter{subsubparagraph}[subparagraph]% compteur pour la
                                               % numérotation
     \renewcommand{\thesubsubparagraph}%
        {\thesubparagraph.\@arabic\c@subsubparagraph}% comment afficher
                                                     % la numérotation
     \newcommand{\subsubparagraph}{\@startsection
                              {subsubparagraph}%
                              {6}%
                              {0em}%
                              {\baselineskip}%
                              {0.5\baselineskip}%
                              {\normalfont\normalsize}}
     \newcommand*\l@subsubparagraph%
       {\@dottedtocline{6}{10em}{5em}}% pour la table des matières
     \newcommand{\subsubparagraphmark}[1]{}% pour les en-têtes de page

2.4.3.2 ‘\@ifstar’
..................

Vous l’avez sans doute remarqué, beaucoup d’environnements ou commandes
standards de LaTeX existent sous une variante étoilée.  Vous pouvez
avoir envie de reprendre cette idée quand vous définissez vos commandes
et arguments.

   Si vous avez lu \newenvironment & \renewenvironment, vous
aurez compris que c’est immédiat pour les environnements car l’étoile
est un caractère autorisé dans les noms d’environnements.  Il vous
suffit donc de faire ‘\newenvironment{MONENV}’ et
‘\newenvironment{MONENV*}’ avec les définitions souhaitées.

   Pour les commandes, c’est plus compliqué car l’étoile ne peut pas
faire partie du nom de la commande.  Il y aura donc une première
commande, qui devra être capable de regarder si elle est ou non suivie
d’une étoile et d’adapter son comportement en conséquence.  Cette
première commande ne pourra pas accepter d’argument, mais pourra faire
appel à des commandes qui en acceptent.  Par ailleurs, on utilise la
commande ‘\@ifstar’ interne du noyau LaTeX et vous pouvez vous reportez
à « see \makeatletter and \makeatother » pour comprendre pourquoi
cela implique l’usage d’un bloc ‘\makeatletter...\makeatother’.

   Dans cet exemple, on définit ‘\ciel’ comme une commande avec un
argument obligatoire et admettant une variante étoilée ‘\ciel*’
également avec un argument obligatoire :

     \makeatletter
     \newcommand*\ciel@starred[1]{ciel #1 étoilé}
     \newcommand*\ciel@unstarred[1]{ciel #1 non étoilé}
     \newcommand\ciel{\@ifstar{\ciel@starred}{\ciel@unstarred}}
     \makeatother

ainsi, ‘\ciel{bleu}’ composera « ciel bleu non étoilé » tandis que
‘\ciel*{nocturne}’ composera « ciel nocturne étoilé ».

   Notez que les commandes intermédiaires ‘\ciel@starred’ et
‘\ciel@unstarred’ comportent un ‘@’ dans leur nom ce qui est possible
puisque elles apparaissent au sein d’un bloc
‘\makeatletter...\makeatother’.  Ceci assure qu’elles ne puissent pas
être utilisées directement dans le document.  L’utilisation de @ dans le
nom comporte certes un risque de collision avec une commande interne du
noyeau LaTeX, mais une telle collision est facile à détecter et corriger
car ‘\newcommand*{\CMD}’ vérifie que si la commande ‘\CMD’ n’est pas
déjà définie et génère une erreur si c’est le cas.

   Voici un autre exemple où la commande ‘\agentsecret’ comporte deux
arguments et sa variante étoilée ‘\agentsecret*’ un seul :

     \makeatletter
     \newcommand*\agentsecret@starred[1]{\textsc{#1}}
     \newcommand*\agentsecret@unstarred[2]{\textit{#1} \textsc{#2}}
     \newcommand\agentsecret{\@ifstar{\agentsecret@starred}{\agentsecret@unstarred}}
     \makeatother

Avec cette définition la célèbre réplique de l’agent 007 :

     Je m'appelle \agentsecret*{Bond}, \agentsecret{James}{Bond}.

est équivalente à :

     Je m'appelle \textsc{Bond}, \textit{James} textsc{Bond}.

   Un dernier mot : contrairement aux noms d’environnement où l’étoile
fait partie du nom lui-même, et pourrait donc être à n’importe quelle
position, dans le nom d’une commande l’étoile est comme une sorte
d’argument optionnel.  D’un point de vue purement TeXnique il est donc
possible de mettre un nombre indéfini d’espaces entre la commande et
l’étoile.  Ainsi ‘\agentsecret*{Bond}’ et ‘\agentsecret *{Bond}’ sont
équivalents.  Toutefois la pratique commune est de ne jamais insérer de
tels espaces.

3 Classes de documents
**********************

La classe d’un document donné est définie avec la commande:

     \documentclass[OPTIONS]{CLASSE}

La commande ‘\documentclass’ doit être la première commande dans un
fichier source LaTeX.

   Les noms de CLASSE LaTeX encastrés sont (beaucoup d’autres classes de
documents sont disponibles en modules ; see Overview):

     article  report  book  letter  slides

   Les OPTIONS standardes sont décrites ci-dessous.

3.1 Options de classe de document
=================================

Vous pouvez spécifier ce qu’on appelle des “d’options globales” ou des
“des options de classe” en les passant entre crochet à la commande
‘\documentclass’, comme d’habitude.  Pour spécifier plus d’une OPTION,
séparez les par une virgule :

     \documentclass [OPTION1, OPTION2, ...]{CLASSE}

   Voici la liste des options standardes de classe.

   Toutes les classes standardes, sauf ‘slides’ acceptent les options
suivantes pour sélectionner la taille de police de caractères (l’option
par défaut est ‘10pt’):

     12pt 11pt 10pt

   Toutes les classes standardes acceptent ces options de sélection de
la taille du papier (ci-après hauteur sur largeur) :

‘a4paper’
     210 sur 297mm (environ 8,25 sur 11,75 pouces)

‘a5paper’
     148 sur 210mm (environ 5,8 sur 8,3 pouces)

‘b5paper’
     176 sur 250mm (environ 6,9 sur 9,8 pouces)

‘executivepaper’
     7,25 sur 10,5 pouces

‘legalpaper’
     8,5 sur 14 pouces

‘letterpaper’
     8,5 sur 11 pouces (l’option par défaut)

   LuaLaTeX, ou XeLaTeX (see TeX engines), les options autres que
‘letterpaper’ règlent la zone d’impression mais vous devez également
régler la taille du papier physique.  Un méthode pour faire cela est de
placer ‘\pdfpagewidth=\paperwidth’ et ‘\pdfpageheight=\paperheight’ dans
le préambule de votre document.  Le paquetage ‘geometry’ fournit des
méthodes flexibles pour régler la zone d’impression et la taille du
papier physique.

   Diverses autres options:

‘draft, final’
     Pour marquer/ne marquer pas les boîtes trop pleines avec une grande
     boîte noire ; l’option par défaut est ‘final’.
‘fleqn’
     Pour aligner à gauches les formules hors texte ; par défaut elles
     sont centrées.
‘landscape’
     Pour sélectionner le format de page à l’italienne ; l’option par
     défaut est à la française.
‘leqno’
     Pour Mettre les numéros d’équation sur le côté gauche des
     équations ; par défaut ils sont sur le côté droit.
‘openbib’
     Pour utiliser le format bibliographie “openbib”.
‘titlepage, notitlepage’
     Indique si la page de titre est séparée ; l’option par défaut
     dépend de la classe.

   Ces options ne sont pas disponibles avec la classe ‘slides’ :

‘onecolumn’
‘twocolumn’
     Composer en une ou deux colonnes ; le défaut est ‘onecolumn’.

‘oneside’
‘twoside’
     Sélectionne la disposition en recto simple ou recto-verso ; le
     défaut est ‘oneside’ pour recto, sauf pour la classe ‘book’.

     Le paramètre ‘\evensidemargin’ (‘\oddsidemargin’) détermine la
     distance sur les pages de numéro pair (impair) entre le côté gauche
     de la page et la marge gauche du texte.  Les valeurs par défaut
     varient en fonction de la taille du papier, de la disposition recto
     ou recto-verso sélectionnée.  Pour une impression en recto le texte
     est centré, pour recto-verso, ‘\oddsidemargin’ vaut 40% de la
     différence entre ‘\paperWidth’ et ‘\textwidth’, ‘\evensidemargin’
     valant le reste.

‘openright’
‘openany’
     Détermine si un chapitre doit commencer sur une page de droite ;
     défaut est ‘openright’ pour la classe ‘book’.

   La classe ‘slide’ offre l’option ‘clock’ pour l’impression du temps
au bas de chaque note.

3.2 Ajout de paquetages
=======================

Les paquetages ajoutés PAQUO sont chargés comme ceci :

     \usepackage[OPTIONS]{PAQUO}

   Pour spécifier plus d’un paquetage, vous pouvez les séparer par une
virgule comme dans ‘\usepackage{PAQUO1,PAQUO2,...}’, ou utiliser
plusieurs commandes ‘\usepackage’.

   Toutes les options indiquées dans la commande ‘\documentclass’ qui
sont inconnues de la classe de document sélectionnée sont transmises aux
paquetages chargés par ‘\usepackage’.

3.3 Construction des extensions (classes et paquetages)
=======================================================

Vous pouvez créer de nouvelles classes de document, et de nouveaux
paquetages.  Par exemple, si vos notes doivent répondre à des exigences
locales, telles qu’une en-tête standarde pour chaque page, alors vous
pourriez créer une nouvelle classe ‘cmsnote.cls’ et commencer vos
documents par ‘\documentclass{cmsnote}’.

   Ce qui distingue un paquetage d’une classe de document c’est que les
commandes d’une paquatage sont utilisables pour différentes classes
alors que celles dans une classes de document sont spécifiques à cette
classes.  Ainsi, une commande qui permet de régler les en-têtes de pages
irait dans un paquetage alors qu’une commande intitulant en-têtes de
pages par ‘Note du service de mathématique de la CMS’ irait dans une
classe.

   Au sein d’un fichier classe pour paquetate on peu utiliser l’arobe
‘@’ comme un caractère dans les noms de commande sans avoir à entourer
le code contenant la commande en question par ‘\makeatletter’ et
‘\makeatother’.  See \makeatletter and \makeatother.  Ceci permet de
créer des commandes que les utilisateurs ne risquent pas de redéfinir
accidentellement.  Une autre technique est de préfixer les commandes
spécifiques à une classe ou paquetage avec une chaîne particulière, de
sorte à empêcher votre classe ou paquetage d’interférer avec d’autres.
Par exemple, la classe ‘notecms’ pourrait avoir des commandes
‘\cms@tolist’, ‘\cms@fromlist’, etc.

3.3.1 Structure d’une extension (classe ou paquetage)
-----------------------------------------------------

Un fichier de classe pour paquetage comprend typiquement quatre parties.
  1. Dans la “partie d’identification” le fichier dit s’il s’agit d’un
     paquetage ou d’une classe LaTeX et s’auto-décrit, en utilisant les
     commandes ‘\NeedsTeXFormat’ et ‘\ProvidesClass’ ou
     ‘\ProvidesPackage’.
  2. La partie des “déclarations préliminaires” déclare des commandes et
     peut aussi charger d’autres fichiers.  D’ordinaire ces commandes
     sont celles nécessaires au code utilisé dans la partie suivante.
     Par exemple, une classe ‘notecms’ pourrait être appelée avec une
     option pour lire un fichier où est défini une liste de personnes
     désignées comme destinataires de la note, comme
     ‘\documentclass[destinataires-math]{notecms}’, et donc on a besoin
     de définir une commande
     ‘\newcommand{\defdestinataires}[1]{\def\@liste@destinataires{#1}}’
     à utiliser dans ce fichier.
  3. Dans la partie de “gestion des options” la classes ou le paquetage
     déclare et traite ses options.  Les options de classes permette à
     l’utilisateur de commencer leur document comme dans
     ‘\documentclass[LISTE D'OPTIONS]{NOM DE LA CLASSE}’, pour modifier
     le comportement de la classe.  Un exemple est lorsque on déclare
     ‘\documentclass[11pt]{article}’ pour régler la taille par défaut de
     la police du document.
  4. Finalement, dans la partie des “déclarations supplémentaires” la
     classe ou le paquetage effectue la plus grosse partie de son
     travail : déclarant de nouvelles variables, commandes ou polices,
     et chargeant d’autres fichiers.

   Voici le commencement d’un fichier de classe, ce qui doit être
sauvegardé comme ‘souche.cls’ à un emplacement où LaTeX peut le trouver,
par exemple dans le même répertoire que le fichier ‘.tex’.

     \NeedsTeXFormat{LaTeX2e}
     \ProvidesClass{souche}[2017/07/06 souche à partir de laquelle contruire des classes]
     \DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
     \ProcessOptions\relax
     \LoadClass{article}

   Elle s’auto-identifie, traite les options de classe par défaut en les
passant toutes à la classe ‘article’, et puis charge la classe ‘article’
de sorte à fournir la base du code de cette classe.

   Pour plus d’information, voir le guide officiel pour les auteurs de
classes et de paquetage, le « Class Guide »,
<http://www.latex-project.org/help/documentation/clsguide.pdf> (la
plupart des descriptions faites ici s’inspirent de ce document), ou
l’article suivant <https://www.tug.org/TUGboat/tb26-3/tb84heff.pdf>
illutrant la construction d’une nouvelle classe.

3.3.2 Commande pour extension (classe ou paquetage)
---------------------------------------------------

Voici les commandes conçues pour aider les auteurs d’extension (classes
ou paquetages).

‘\AtBeginDvi{specials}’
     Sauvegarde dans une registre de boîte des choses qui sont à écrire
     dans le fichier ‘.dvi’ au début de l’achèvement de la première page
     du

     document.

‘\AtEndOfClass{CODE}’
‘\AtEndOfPackage{CODE}’
     Crochet pour inséer le CODE à exécuter lorsque LaTeX termine le
     traiement de la classe ou du paquetage courants.  On peut utiliser
     ces crochet plusieurs fois ; le ‘code’ sera exécuté dans l’ordre
     d’appel.  Voir aussi \AtBeginDocument.

‘\CheckCommand{CMD}[NUM][DÉFAUT]{DÉFINITION}’
‘\CheckCommand*{CMD}[NUM][DÉFAUT]{DÉFINITION}’
     Similaire à ‘\newcommand’ (see \newcommand & \renewcommand)
     mais ne définit pas CMD ; à la place vérifie que la définition
     actuelle de CMD est exactement celle donnée par DÉFINITION et est
     ou n’est pas “longue” selon ce que l’on attend.  Une commande est
     dite longue lorsque elle accepte ‘\par’ au sein d’un argument.  On
     attend que la commande CMD soit longue avec la version non-étoilée
     de ‘\CheckCommand’.  Lève une erreur en cas d’échec de la
     vérification.  Ceci vous permet de vérifier avant de redéfinir
     vous-même CMD qu’aucun paquetage ne l’a pas déjà fait.

‘\ClassError{NOM DE LA CLASSE}{TEXTE DE L'ERREUR}{TEXTE D'AIDE}’
‘\PackageError{NOM DU PAQUETAGE}{TEXTE DE L'ERREUR}{TEXTE D'AIDE}’
‘\ClassWarning{NOM DE LA CLASSE}{WARNING TEXT}’
‘\PackageWarning{NOM DU PAQUETAGE}{WARNING TEXT}’
‘\ClassWarningNoLine{NOM DE LA CLASSE}{WARNING TEXT}’
‘\PackageWarningNoLine{NOM DU PAQUETAGE}{WARNING TEXT}’
‘\ClassInfo{NOM DE LA CLASSE}{INFO TEXT}’
‘\PackageInfo{NOM DU PAQUETAGE}{INFO TEXT}’
‘\ClassInfoNoLine{NOM DE LA CLASSE}{INFO TEXT}’
‘\PackageInfoNoLine{NOM DU PAQUETAGE}{INFO TEXT}’
     Porduit un message d’erreur, ou des messages d’avertissement ou
     d’information.

     Pour ‘\ClassError’ et ‘\PackageError’ le message est TEXTE DE
     L’ERREUR, suivi de l’invite d’erreur ‘?’ de TeX.  Si l’utilisateur
     demande de l’aide en tapant ‘h’, il voit le TEXTE D’AIDE.

     The four warning commands are similar except that they write
     WARNING TEXT on the screen with no error prompt.  The four info
     commands write INFO TEXT only in the transcript file.  The ‘NoLine’
     versions do not show the number of the line generating the message,
     while the other versions do show that number.

     Pour formatter les messages, y compris le TEXTE D’AIDE : utilisez
     ‘\protect’ pour empêcher une commande de se sévelopper, obtenez un
     saut de ligne avec ‘\MessageBreak’, et obtenez une espace avec
     ‘\space’ lorsque l’utilisation d’un caractère espace ne le permet
     pas, comme après une commande.  Notez que LaTeX ajoute un point
     final à chaque message.

‘\CurrentOption’
     Se développe au contenu de l’option en cours de traitement.  Peut
     uniquement être utilisé au sein de l’argument CODE soit de
     ‘\DeclareOption’, soit de ‘\DeclareOption*’.

‘\DeclareOption{OPTION}{CODE}’
‘\DeclareOption*{OPTION}{CODE}’
     Rend un option OPTION disponible pour l’utilisateur, de sorte à ce
     qu’il puisse la passer à leur commande ‘\documentclass’.  Par
     exemple, la classe ‘notecms’ pourrait avoir une option ‘logo’ pour
     mettre le logo de leur organisation sur la première page avec
     ‘\documentclass[logo]{notcms}’.  Le fichier de classe doit contenir
     ‘\DeclareOption{logo}{CODE}’ (et plus loin, ‘\ProcessOptions’).

     Si vous invoquez une option qui n’a pas été déclarée, par défaut
     cela produit une avertissement semblable à ‘Unused global
     option(s): [badoption].’ Vous pouvez changer ce comportement avec
     la version étoilée ‘\DeclareOption*{CODE}’.  Par exemple, beaucoup
     de classeq étendent une classe existante en utilisant une
     déclaration du genre ‘\LoadClass{article}’, et pour passer les
     options suppémentaires à la classe sous-jascente utilisent un code
     tel que celui-ci :

          \DeclareOption*{%
          \PassOptionsToClass{\CurrentOption}{article}%
          }

     Un autre exemple est que la classes ‘notecms’ permette aux
     utilisateur de tenir des listes de destinataire des notes dans des
     fichier externes.  Par exemple l’utilisateur invoque
     ‘\documentclass[math]{notecms}’ et la classe lit le fichier
     ‘math.memo’.  Ce code gère le fichier s’il existe et sinon passe
     l’option à la classe ‘article’.

          \DeclareOption*{\InputIfFileExists{\CurrentOption.memo}{}{%
              \PassOptionsToClass{\CurrentOption}{article}}}

‘\DeclareRobustCommand{CMD}[NUM][DÉFAUT]{DÉFINITION}’
‘\DeclareRobustCommand*{CMD}[NUM][DÉFAUT]{DÉFINITION}’
     Similaire à ‘\newcommand’ et ‘\newcommand*’ (see \newcommand & \renewcommand)
     mais déclare une commande robuste, même si
     DÉFINITION comprend du code fragile.  (Pour une discussion sur les
     commandes robustes et fragiles \protect).  Utilisez ces
     commande pour définir de nouvelles commandes robustes, ou redéfinir
     des commandes existantes en les rendant robustes.  Contrairement à
     ‘\newcommand’ elle ne produisent pas d’ereru si la macro CMD existe
     déjà ; au lieu de cela un message est écrit dans le fichier journal
     pour indiquer la redéfinition de la commande.

     Les commandes définies de cette manière sont légèrement moins
     efficace que celle définies avec ‘\newcommand’, c’est pourquoi, à
     moins que le contenu de la commande soit fragile et que la commande
     soit utilisée au sein d’un argument mouvant, utilisez
     ‘\newcommand’.

     ‘\newrobustcmd’, ‘\newrobustcmd*’, ‘\renewrobustcmd’,
     ‘\renewrobustcmd*’, ‘\providerobustcmd’, et ‘\providrobustcmd*’ qui
     sont similaire aux commandes standardes ‘\newcommand’,
     ‘\newcommand*’, ‘\renewcommand’, ‘\renewcommand*’,
     ‘\providecommand’, et ‘\providcommand*’, mais définissent une
     commande CMD robuste avec deux advanges par rapport à
     ‘\DeclareRobustCommand’ :
       1. Elle utilisent un mécanisme de protection de bas niveau
          d’e-TeX au lieu du mécanisme de plus au niveau de LaTeX
          utilisant ‘\protect’, ainsi elles ne subissent pas la légère
          perte de performance mentionnée plus haut, et
       2. Elles font la même distinction entre ‘\new...’, ‘\renew...’,
          et ‘\provide...’ que les commandes standardes, ainsi elle ne
          font pas qu’envoyer un message dans le journal lorsque vous
          redéfinissez CMD déjà existantes, dans ce cas vous devez
          utiliser soit ‘\renew...’ soit ‘\provide...’ ou il y a une
          erreur.

‘\IfFileExists{NOM FICHIER}{SI VRAI}{SI FAUX}’
‘\InputIfFileExists{NOM FICHIER}{SI VRAI}{SI FAUX}’
     Exécute SI VRAI sf LaTeX peut trouver le fichier ‘NOM FICHIER’ et
     SI FAUX sinon.  Dans le second cas, le fichier est lu immédiatement
     aprus exécuter SI VRAI.  Ainsi
     ‘\IfFileExists{img.pdf}{\includegraphics{img.pdf}}{\typeout{AVERSTISSEMENT
     : img.pdf introuvable}}’ n’inclut le graphique ‘img.pdf’ que s’il
     est trouvé, mais autrement produit seulement un avertissement.

     Cette commande cherche le fichier dans tous les chemin de recherche
     que that LaTeX utilise, et non pas seulement dans le répertoire
     courant.  Pour chercher uniquement dans le répertoire courant
     faites quelque-chose du genre de ‘\IfFileExists{./NOM FICHIER}{SI
     VRAI}{SI FAUX}’.  Si vous demandez un fichier dont le nom n’a pas
     d’extension ‘.tex’ alors LaTeX commencera par chercher le fichier
     en apposant ‘.tex’ à son nom ; pour plus ample information sur la
     façon dont LaTeX gère les extensions de nom de fichier voir
     \input.

‘\LoadClass[LISTE D'OPTIONS]{NOM DE LA CLASSE}[DATE DE PARUTION]’
‘\LoadClassWithOptions{NOM DE LA CLASSE}[DATE DE PARUTION]’
     Charge une classe, comme avec ‘\documentclass[OPTIONS LIST]{NOM DE
     LA CLASSE}[RELEASE INFO]’.  Voici un exemple :
     ‘\LoadClass[twoside]{article}’.

     La LISTE D’OPTIONS, si présente, est une liste ponctuée par des
     virgules.  La DATE DE PARUTION est optionnel.  Si elle est
     présente, elle doit avoir le format AAA/MM/JJ.  Si vous demandez
     une DATE DE PARUTION et que la date du paquetage installée sur
     votre sysème est antérieure, alors vous obtiendrez un avertissement
     à l’écrant et dans le journal de compilation du genre de ‘You have
     requested, on input line 4, version `2038/01/19' of document class
     article, but only version `2014/09/29 v1.4h Standard LaTeX document
     class' is available.’

     La variante de la commande ‘\LoadClassWithOptions’ utilise la liste
     des options de la classe courante.  Cela veut dire qu’elle ignore
     toute options passée via ‘\PassOptionsToClass’.  Ceci est une
     commande de commodité qui vous permet de construire une nouvelle
     classe en l’héritant d’une classe existante, telle que la classe
     standarde ‘article’, sans avoir à gérer les options qui furent
     passée.

‘\ExecuteOptions{LISTE D'OPTIONS}’
     Pour chaque option OPTION de la LISTE D’OPTIONS, dans l’ordre
     d’apparition, cette commande exécute la commande ‘\ds@OPTION’.  Si
     cette commande n’est pas définie, alors l’option OPTION est
     ignorée.

     Ceci peut être utilisé pour fournir d’un liste d’option par défaut
     avant le ‘\ProcessOptions’.  Par exemple, si dans un fichier de
     classe vous désirez utiliser par défaut la taille de police 11pt
     alors vous devriez spécifier
     ‘\ExecuteOptions{11pt}\ProcessOptions\relax’.

‘\NeedsTeXFormat{FORMAT}[DATE DU FORMAT]’
     Spécifie le format sous lequelle cette classe doit être utilisée.
     Cette directive est souvent donnée à la première ligne du fichier
     de classe, et le plus souvent elle est utilisée de cette façon :
     ‘\NeedsTeXFormat{LaTeX2e}’.  Lorsque un document utilisant cette
     classe est traité, le nom du format donné ici doit s’accorder avec
     le format qui est en cours d’exécution (y compris le fait que la
     chaîne FORMAT est sensible à la casse).  Si il ne s’y accorde pas
     alors l’exécution est interrompue par une erruer du genre de ‘This
     file needs format `LaTeX2e' but this is `xxx'.’

     Pour spécifier une version du format dont vous savez qu’elle prend
     en charge certaines fonctions, incluez l’argument optionnel DATE DU
     FORMAT correspondant au format où ces fonction furent implémentés.
     Si cette argument est présent il doit être de la forme
     ‘AAAA/MM/JJ’.  Si la version de format installée sur votre système
     est antérieur à la DATE DU FORMAT alors vous obtiendrez un
     avertissement du genre de ‘You have requested release `2038/01/20'
     of LaTeX, but only release `2016/02/01' is available.’

‘\OptionNotUsed’
     Ajoute l’option courante à la liste des options non utilisées.  Ne
     peut être utilisé qu’au sein de l’argument CODE de ‘\DeclareOption’
     ou ‘\DeclareOption*’.

‘\PassOptionsToClass{LISTE D'OPTIONS}{NOM DE LA CLASSE}’
‘\PassOptionsToPackage{LISTE D'OPTIONS}{NOM DU PAQUETAGE}’
     Ajoute les options de la liste ponctuée par des virgules OPTION
     LIST aux options utilisée par toute commande ultérieure
     ‘\RequirePackage’ ou ‘\usepackage’ pour le paquetage NOM DU
     PAQUETAGE ou la classe NOM DE LA CLASSE.

     La raison d’être de ces commande est que vous pouvez charger un
     paquetage autant de fois que vous le voulez sans options, mais que
     si voulez passer des options alors vous ne pouvez les fournir qu’au
     premier chargement.  Charger un paquetage avec des options plus
     d’une fois produit une erreur du genre de ‘Option clash for package
     toto.’ (LaTeX lance l’erreur même s’il n’y a pas de conflit entre
     les options.)

     Si votre propre code introduit un paquetage deux fois alors vous
     pouvez réduire cela en une fois, par exemple en remplaçant les deux
     ‘\RequirePackage[landscape]{geometry}\RequirePackage[margins=1in]{geometry}’
     par un seul ‘\RequirePackage[landscape,margins=1in]{geometry}’.
     Mais si vous chargez un paquetage qui à son tour en charge un autre
     alors vous devez mettre en queue les options que vous désirez pour
     cet autre paquetage.  Par exemple, supposons que le paquetage
     ‘toto’ charge le paquetage ‘geometry’.  Au lieu de
     ‘\RequirePackage{toto}\RequirePackage[draft]{graphics}’ vous devez
     écrire ‘\PassOptionsToPackage{draft}{graphics}
     \RequirePackage{toto}’.  (Si ‘toto.sty’ charge une option en
     conflit avec ce que vous désirez alors vous devrez considérer une
     modification de son code source.)

     Ces commandes sont également utiles aux utilisateurs de base et pas
     seulement aux auteurs de classes et paquetage.  Par exemple,
     supposons qu’un utilisateur veuille cherge le paquetage ‘graphicx’
     avec l’option ‘draft’ et veuille également utiliser une classe
     ‘toto’ qui charge le paquetage ‘graphicx’, mais sans cette option.
     L’utilisateur peut commencer son fichier LaTeX avec
     ‘\PassOptionsToPackage{draft}{graphicx}\documentclass{toto}’.

‘\ProcessOptions’
‘\ProcessOptions*\@OPTIONS’
     Exécute le code associé à chaque option que l’utilisateur a
     invoquée.  À include dans le fichier classe sous la forme
     ‘\ProcessOptions\relax’ (à cause de l’existance de la variant
     étoilée de la commande).

     Les options tombent dans deux catégories.  Les “options locales”
     sont spécifiées pour un paquetage particulier au sein de l’argument
     OPTIONS dans ‘\PassOptionsToPackage{OPTIONS}’,
     ‘\usepackage[OPTIONS]’, ou ‘\RequirePackage[OPTIONS]’.  Les
     “options globales” sont celles données par l’utilisateur de la
     classe dans ‘\documentclass[OPTIONS]’.  (Si une option est
     spécifiée à la fois localement et globalement, alors elle est
     locale).

     Lorsque ‘\ProcessOptions’ est appelé pour un paquetage ‘pkg.sty’,
     il se produit ce qui suit :
       1. Pour chaque option OPTION déclarée jusqu’à ce point avec
          ‘\DeclareOption’, LaTeX examine si cette option est soit
          globale soit locale pour ‘pkg’.  Si c’est le cas, il exécute
          le code déclaré.  Ceci est fait dans l’ordre de passage de ces
          options à ‘pkg.sty’.
       2. Pour chaque option locale restante, il exécute la commande
          ‘\ds@OPTION’ si elle a été défini quelque-part (autrement que
          par un ‘\DeclareOption’) ; sinon, il exécute le code de
          traitement par défaut des options donné dans
          ‘\DeclareOption*’.  Si aucun code de traitement par défaut n’a
          été déclaré, il produit un message d’erreur.  Ceci est fait
          dans l’ordre dans lequel ces options ont été spécifiées.

     Lorsque ‘\ProcessOptions’ est appelé pour une classe il fonctionne
     de la même manière à ceci près que toutes les options sont locales,
     et que le code par défaut pour ‘\DeclareOption*’ et
     ‘\OptionNotUsed’ plutôt qu’une erreur.

     La version étoilée ‘\ProcessOptions*’ exécute le traitement des
     options dans l’ordre spécifié par les commandes appelante, plutôt
     que dans l’ordre de déclaration de la classe ou du paquetage.  Pour
     un paquetage, ceci signifie que les options globales sont traitées
     en premier.

‘\ProvidesClass{NOM DE LA CLASSE}[DATE DE PARUTION BRÈVE INFORMATION SUPPLÉMENTAIRE]’
‘\ProvidesClass{NOM DE LA CLASSE}[DATE DE PARUTION]’
‘\ProvidesPackage{NOM DU PAQUETAGE}[DATE DE PARUTION BRÈVE INFORMATION SUPPLÉMENTAIRE]’
‘\ProvidesPackage{NOM DU PAQUETAGE}[DATE DE PARUTION]’
     Indentifie la classe ou le paquetage, en tapant un message sur la
     console et dans le fichier journal.

     Lorsqu’un utilisateur écrit ‘\documentclass{notecms}’ alors LaTeX
     charge le fichier ‘notecms.cls’.  De même, un utilisateur écrivant
     ‘\usepackage{essai}’ invite LaTeX à charger le fichier ‘essai.sty’.
     Si le nom du fichier ne s’accorde pas à l’argument NOM DE LA CLASSE
     ou NOM DU PAQUETAGE alors un avertissement est produit.  Ainsi, si
     vous invoquez ‘\documentclass{notecms}’, et que le fichier the file
     ‘notecms.cls’ comprend la déclaration statement
     ‘\ProvidesClass{xxx}’ alors vous obtiendrez un avertissement du
     genre de like ‘You have requested document class `notecms', but the
     document class provides 'xxx'.’ Cet avertissement n’empèche pas
     LaTeX de traiter le reste du fichier de la classe normalement.

     Si vous incluez l’argument optionnel, alors vous devez inclure la
     date, avant le premier espace s’il y en a, et elle doit avoir le
     format ‘AAAA/MM/JJ’.  Le reste de l’argument est en format libre,
     toutefois il identifie traditionnellement la classe, et est écrit
     pendant la compilation à l’écran et dans le journal.  Ainsi, si
     votre fichier ‘notecms.cls’ contient la ligne
     ‘\ProvidesClass{smcmem}[2008/06/01 v1.0 Classe note CMS]’ la
     première ligne de votre docment est ‘\documentclass{notecms}’ alors
     vous pourrez voir ‘Document Class: notecms 2008/06/01 v1.0 Classe
     note CMS’.

     La date dans l’argument optionnel permet aux utilisateurs de classe
     et de paquetage de demander à être avertis si la version de la
     classe ou du paquetage installé sur leur système est antérieur à
     DATE DE PARUTION, en utilisant les arguments optionnels comme dans
     ‘\documentclass{smcmem}[2018/10/12]’ ou
     ‘\usepackage{toto}[[2017/07/07]]’.  (Notez que les utilisateurs de
     paquetages incluent seulement rarement une date, et les
     utilisateurs de classe presque jamais).

‘\ProvidesFile{NOM FICHIER}[INFORMATION SUPPLÉMENTAIRE]’
     Déclare un fihcier autre que les fichiers principaux de classe ou
     de paquetage, tel qu’un fichier de configuration ou un fichier de
     définition de police.  Mettez la commande dans ce fichier et vous
     obtiendrez dans le journal une information du genre de ‘File:
     essai.config 2017/10/12 fichier de configuration pour essai.cls’
     lorsque NOM FICHIER vaut ‘essai.config’ et que INFORMATION
     SUPPLÉMENTAIRE vaut ‘2017/10/12 fichier de configuration pour
     essai.cls’.

‘\RequirePackage[LISTE D'OPTIONS]{NOM DU PAQUETAGE}[DATE DE PARUTION]’
‘\RequirePackageWithOptions{NOM DU PAQUETAGE}[DATE DE PARUTION]’
     Charge un paquetage, comme la commande ‘\usepackage’ pour les
     auteurs de documents.  See Additional packages.  Voici un
     exemple : ‘\RequirePackage[landscape,margin=1in]{geometry}’.  Notez
     que l’équipe de développement de LaTeX recommande fortement
     l’utilisation de ces commande de préférence à l’‘\input’ de
     Plain TeX ; voir le « Class Guide ».

     La LISTE D’OPTIONS, si présente, est une liste ponctuée de
     virgules.  La DATE DE PARUTION, si présente, doit avoir le format
     AAAA/MM/JJ.  Si la date de parution du paquetzge tel qu’il est
     installé sur votre systèlme est antérieur à DATE DE PARUTION alors
     vous obtiendrez un avertissement du genre de ‘You have requested,
     on input line 9, version `2017/07/03' of package jhtest, but only
     version `2000/01/01' is available’.

     La variante ‘\RequirePackageWithOptions’ utilise la liste d’options
     de la classe courtante.  Ceci implique qu’elle ignore toute option
     passée à la classe via ‘\PassOptionsToClass’.  C’est une commande
     de commodité pour permettre facilement de construire des classes
     sur des classes existantes sans avoir à gérer les options qui sont
     passées.

     La différence entre ‘\usepackage’ et ‘\RequirePackage’ est mince.
     La commande ‘\usepackage’ est à l’intention du fichier document
     alors que ‘\RequirePackage’ l’est à celle des fichiers paquetage ou
     classe.  Ansi, utiliser ‘\usepackage’ avant la commande
     ‘\documentclass’ amène LaTeX à produire une erreur du genre de
     ‘\usepackage before \documentclass’, là où vous pouvez utiliser
     ‘\RequirePackage’.

4 Polices de caractères
***********************

Deux aspects importants de la sélection d’une “police” sont la
spécification d’une taille et celle d’un style.  Les commandes LaTeX
pour ce faire sont décrites ci-après.

4.1 styles des polices
======================

Les commandes de styles suivantes sont prises en charge par LaTeX.

   Ce premier groupe de commandes est généralement utilisé avec un
argument, comme dans ‘\textit{texte en italique}’.  Dans le tableau
ci-dessous, la commande correspondante entre parenthèses est la « forme
déclarative », qui ne prend pas arguments.  La portée la forme
déclarative s’étend jusqu’à la prochaine commande de type style ou
jusqu’à la fin du groupe actuel.

   Ces commandes, à la fois dans la forme à argument et dans la forme
déclarative, sont cumulatives ; par exemple, vous pouvez dire aussi bien
‘\sffamily\bfseries’ que ‘\bfseries\sffamily’ pour obtenir du gras sans
serif.

   Vous pouvez également utiliser une forme de déclaration par
environnement ; par exemple, ‘\begin{ttfamily} ... \end{ttfamily}’.

   Ces commandes fournissent automatiquement une correction d’italique
si nécessaire.

‘\textrm (\rmfamily)’
     Romain.

‘\textit (\itshape)’
     Italique.

‘\emph’
     Accent (commute entre ‘\textit’ et ‘\textrm’ selon le contexte).

‘\textmd (\mdseries)’
     Poids moyen (par défaut).

‘\textbf (\bfseries)’
     Gras.

‘\textup (\upshape)’
     Droit (par défaut).  Le contraire d’incliné.

‘\textsl (\slshape)’
     Inclinée.

‘\textsf (\sffamily)’
     Sans serif.

‘\textsc (\scshape)’
     Petites capitales.

‘\texttt (\ttfamily)’
     Machine à écrire.

‘\textnormal (\normalfont)’
     Police principale du document.

‘\mathrm’
     Roman, pour une utilisation en mode mathématique.

‘\mathbf’
     Gras, pour une utilisation en mode mathématique.

‘\mathsf’
     Sans serif, pour une utilisation en mode mathématique.

‘\mathtt’
     Machine à écrire, pour une utilisation en mode mathématique.

‘\mathit’
‘(\mit)’
     Italique, pour une utilisation en mode mathématique.

‘\mathnormal’
     Pour une utilisation en mode mathématique, par exemple dans un
     autre déclaration de type style.

‘\mathcal’
     Lettres « calligraphiques », pour une utilisation en mode
     mathématique.

   En outre, la commande ‘\mathversion{bold}’ peut être utilisée pour
commuter en caractères gras les lettres et les symboles dans les
formules.  ‘\mathversion{normal}’ restaure la valeur par défaut.

   Enfin, la commande ‘\oldstylenums{CHIFFRES}’ sert à composer des
chiffres dits de “à l’ancienne”, qui ont des hauteurs et profondeur (et
parfois largeurs) distincts de l’alignement standard des chiffres.  Les
polices LaTeX par défaut prennent en charge cela, et respecteront
‘\textbf’ (mais pas les autres styles, il n’y a pas de style à
l’ancienne italique pour les chiffres en Computer Modern).  Beaucoup
d’autres polices ont des chiffre à l’ancienne aussi; parfois le
paquetage ‘textcomp’ doit être chargé, et parfois des options de paquet
sont mises à disposition pour en faire le style par défaut.  Entrée de
FAQ : <http://www.tex.ac.uk/cgi-bin/texfaq2html?label=osf>.

   LaTeX fournit également les commandes suivantes, qui font passer
inconditionnellement à un style donné, c.-à-d. _ne_ sont _pas_
cumulatives.  De plus, elles sont utilisées différemment des commandes
ci-dessus : ‘{\CMD ... }’ au lieu de ‘\CMD{...}’.  Ce sont deux
constructions sans relation l’une avec l’autre.

‘\bf’
     Passage en gras.

‘\cal’
     Passage en lettres calligraphiques pour les mathématiques.

‘\em’
     Accent (italique dans romain, romain dans italiques).

‘\il’
     Italique.

‘\rm’
     Romain.

‘\sc’
     Les petites capitales.

‘\sf’
     Sans serif.

‘\sl’
     Incliné (oblique).

‘\tt’
     Machine à écrire (largeur fixe).

   Certaines personnes considèrent que les commandes commutation
inconditionnelles de polices, comme ‘\tt’, sont obsolète et que
_seulement_ les commandes cumulatives (‘\texttt’) doivent être
utilisées.  Je (Karl) ne suis pas d’accord.  il y a situations tout à
fait raisonnables quand un commutateur de police inconditionnelle est
précisément ce dont vous avez besoin pour obtenir le résultat souhaité ;
pour un exemple, see ‘description’.  Les deux ensembles
de commandes ont leur place.

4.2 tailles des polices
=======================

Les commandes de type de taille standard suivants sont pris en charge
par LaTeX.  Le tableau indique le nom de la commande et taille utilisée
(en points) correspondant réellement pour la police avec les options
‘10pt’, ‘11pt’, et ‘12pt’ de classe de document, respectivement (see
Document class options).

commande                     ‘10pt’  ‘11pt’  ‘12pt’
-----------------------------------------------------
‘\tiny’                      5       6       6
‘\scriptsize’                7       8       8
‘\footnotesize’              8       9       10
‘\small’                     9       10      10,95
‘\normalsize’ (par défaut)   10      10.95   12
‘\large’                     12      12      14,4
‘\Large’                     14.4    14.4    17,28
‘\LARGE’                     17.28   17.28   20,74
‘\huge’                      20,74   20,74   24,88
‘\Huge’                      24.88   24.88   24.88

   Les commandes énumérées ici sont des “forme déclaratives”.  La portée
d’une forme déclarative s’étend jusqu’à la prochaine la commande de type
style ou la fin du groupe courant.  Vous pouvez également utiliser la
“forme d’environnement” de ces commandes ; par exemple, ‘\begin{tiny}
... \end{tiny}’.

4.3 commandes de fontes de bas niveau
=====================================

Ces commandes sont principalement destinés aux auteurs de macros et
paquetages.  Les commandes indiquées ici sont seulement un sous-ensemble
de celles disponibles.

‘\fontencoding{codage}’
     Sélectionnez le codage de police.  Les codages valides comprennent
     ‘OT1’ et ‘T1’.

‘\fontfamily{famille}’
     Sélectionnez la famille de polices.  Familles valides sont :

        • ‘cmr’ pour Computer Modern Roman
        • ‘cmss’ pour Computer Modern Sans Serif
        • ‘cmtt’ pour Computer Modern Typewriter

     et de nombreuses autres.

‘\fontseries{série}’
     Sélectionnez série de police.  Les séries valides sont :

        • ‘m’ Moyen (normal)
        • ‘b’ Gras
        • ‘c’ condensé
        • ‘bc’ condensé Gras
        • ‘bx’ Gras étendu

     et diverses autres combinaisons.

‘\fontshape{forme}’
     Sélectionnez l’allure de police.  Les allures valides sont :

        • ‘n’ Droit (normal)
        • ‘it’ Italique
        • ‘sl’ Incliné (oblique)
        • ‘sc’ Petites capitales
        • ‘ui’ Italique droit
        • ‘ol’ Plan

     Les deux dernières allures ne sont pas disponibles pour la plupart
     des familles de polices.

‘\fontsize{taille}{interligne}’
     Réglage de la taille de police.  Le premier paramètre est la taille
     de la police pour basculer et le deuxième est l’espacement
     d’interligne ; ceci est stocké dans un paramètre nommé
     ‘\baselineskip’.  L’unité des deux paramètres est par défaut le
     ‘pt’.  La valeur par défaut de ‘\baselineskip’ pour la police
     Computer Modern est 1,2 fois le ‘\fontsize’.

     L’espacement des lignes est également multiplié par la valeur du
     paramètre ‘\baselinestretch’ en cas de changement de taille de
     type ;la valeur défaut est 1.  Cependant, la meilleure façon de
     mettre un document en “espacement double”, si vous avez la
     malchance d’avoir à produire une telle chose, est d’utiliser le
     paquetage ‘setspace’ ; voir
     <http://www.tex.ac.uk/cgi-bin/texfaq2html?label=linespace>.

‘\linespread{FACTEUR}’
     Est équivalent à ‘\renewcommand{\baselinestretch}{FACTEUR}’, et
     doit donc être suivie par ‘\selectfont’ pour avoir un effet.  Il
     vaut mieux que ce soit dans le préambule, ou utiliser le paquetage
     ‘setspace’, comme décrit juste au-dessus.

     Les modifications apportées en appelant les commandes de polices
     décrites ci-dessus n’entrent en vigueur qu’après que ‘\selectfont’
     est appelé.

‘\usefont{codage}{famille}{série}{forme}’
     Revient à la même chose que d’invoquer ‘\fontencoding’,
     ‘\fontfamily’, ‘\fontseries’ et ‘\fontshape’ avec les paramètres
     donnés, suivi par ‘\selectfont’.

5 Mise en page
**************

Diverses commandes pour contrôler la disposition générale de la page.

5.1 ‘\onecolumn’
================

La déclaration ‘\onecolumn’ commence une nouvelle page et produit une
sortie à colonne unique.  C’est la valeur par défaut.

5.2 ‘\twocolumn’
================

Synopsis :

     \twocolumn [TEXTE1COL]

   La déclaration ‘\twocolumn’ commence une nouvelle page et produit
sortie à deux colonnes.  Si l’argument optionnel TEXTE1COL est présent,
il est composée dans le mode à une colonne avant que la composition à
deux colonnes ne commence.

   Les paramètres ci-après contrôlent la composition de la production de
deux colonnes :

‘\columnsep’
     La distance entre les colonnes (35pt par défaut).

‘\columnseprule’
     La largeur du filet entre les colonnes ; la valeur par défaut est
     0pt, de sorte qu’il n’y a pas de filet.

‘\columnwidth’
     La largeur de la colonne en cours ; il est égal à ‘\textwidth’ dans
     le cas d’un texte composé en une seule colonne.

   Les paramètres ci-après contrôlent le comportement des flottants en
cas de production à deux colonnes :

‘\dbltopfraction’
     Fraction maximale au sommet d’une page sur deux colonnes qui peut
     être occupée par des flottants.  Par défaut vaut ‘0,7’, peut être
     utilement redéfini en (par exemple) ‘0,9’ pour aller moins tôt sur
     des pages de flottants.

‘\dblfloatpagefraction’
     La fraction minimum d’une page de flottants qui doit être occupée
     par des flottants, pour une page à flottant à deux colonnes.  Par
     défaut vaut ‘0,5’.

‘\dblfloatsep’
     Distance entre les flottants en haut ou en bas d’une page de
     flottants à deux colonnes.  Par défaut vaut ‘12pt plus2pt minus2pt’
     pour des documents en ‘10pt’ ou ‘11pt’, et ‘14pt plus2pt minus4pt’
     pour ‘12pt’.

‘\dbltextfloatsep’
     Distance entre un flottant multi-colonnes en haut ou en bas d’une
     page et le texte principal.  Par défaut vaut ‘20pt plus2pt
     minus4pt’ .

5.3 ‘\flushbottom’
==================

La déclaration ‘\flushbottom’ rend toutes les pages de texte de la même
hauteur, en ajoutant de k’espace vertical supplémentaire si nécessaire
pour remplir le page.

   C’est la valeur par défaut si le mode ‘twocolumn’ est sélectionné
(see Document class options).

5.4 ‘\raggedbottom’
===================

La déclaration ‘\raggedbottom’ rend toutes les pages de la hauteur
naturelle de la matière sur cette page.  Aucune des longueurs
d’élastique ne seront étirée.

5.5 Paramètres de mise en page
==============================

‘\headheight’
     Hauteur de la boîte qui contient la tête en cours de traitement.
     La valeur par défaut est ‘30pt’, sauf dans la classe ‘book’, où
     elle varie en fonction de la taille de la police.

‘\headsep’
     La distance verticale entre le bas de la ligne d’en-tête et la
     partie supérieure du texte principal.  La valeur par défaut est
     ‘25pt’, sauf dans la classe ‘book’, où elle varie avec la taille de
     la police.

‘\footskip’
     Distance de la ligne de base de la dernière ligne de texte à la
     ligne de base du bas de page.  La valeur par défaut est ‘30pt’,
     sauf dans la classe ‘book’ où elle varie avec la taille de la
     police.

‘\linewidth’
     Largeur de la ligne actuelle, diminuée pour chaque ‘list’ imbriquée
     (see list).  Plus précisément, elle est inférieure à
     ‘\textwidth’ par la somme de ‘\leftmargin’ et ‘\rightmargin’ (see
     itemize).  La valeur par défaut varie en fonction de la taille de
     la police, la largeur du papier, le mode à deux colonnes, etc.
     Pour un document de classe ‘article’ en taille de police ‘10pt’,
     elle vaut ‘345pt’ ; dans le mode à deux colonnes, elle passe à
     ‘229.5pt’.

‘\textheight’
     La hauteur verticale normale du corps de la page ; la valeur par
     défaut varie en fonction de la taille de la police, de la classe du
     document, etc.  Pour un document de classe ‘article’ ou ‘report’ en
     taille de police ‘10pt’, elle vaut ‘43\baselineskip’ ; pour une
     classe ‘book’, elle vaut ‘41\baselineskip’.  Pour ‘11pt’, c’est
     ‘38\baselineskip’ et pour ‘12pt’ c’est ‘36\baselineskip’.

‘\paperheight’
     La hauteur du papier, à ne pas confondre avec la hauteur de la zone
     d’impression.  Elle est normalement réglée avec une option de
     classe de document, comme dans ‘\documentclass[a4paper]{article}’
     (see Options de classe de document).

‘\paperwidth’
     La largeur du papier, à ne pas confondre avec la largeur de la zone
     d’impression.  Elle est normalement réglée avec une option de
     classe de document, comme dans ‘\documentclass[a4paper]{article}’
     (see Options de classe de document).

‘\textwidth’
     La largeur horizontale totale de l’ensemble du corps de la page; la
     valeur par défaut varie comme d’habitude.  Pour un document de
     classe ‘article’ ou ‘report’, elle vaut ‘345pt’ à ‘10pt’ de taille
     de police, ‘360pt’ à ‘11pt’, et ‘390pt’ à ‘12pt’.  Pour un document
     ‘book’, elle veut ‘4.5in’ à ‘10pt’ et ‘5in’ à ‘11pt’ ou ‘12pt’.

     En sortie multi-colonne, ‘\textwidth’ reste de la largeur de tout
     le corps de la page, tandis que ‘\columnwidth’ est la largeur d’une
     colonne (see \twocolumn).

     Dans les listes (see list), ‘\textwidth’ est le reste la
     largeur du corps corps de la page entière (et ‘\columnwidth’ est la
     largeur d’une colonne entière), alors que ‘\linewidth’ peut
     diminuer au sein de listes imbriquées.

     À l’intérieur d’une minipage (see minipage ) ou ‘\parbox’
     (see \parbox), tous les paramètres liés à la largeur sont mis à
     la largeur spécifiée, et de reviennent à leurs valeurs normales à
     la fin du ‘minipage’ ou ‘\parbox’.

     Par souci d’exhaustivité : ‘\hsize’ est le paramètre TeX primitif
     utilisé lorsque le texte est divisé en lignes.  Il ne devrait pas
     être utilisé dans des documents LaTeX en conditions normales.

‘\topmargin’
     L’espace entre le haut de la page TeX (un pouce à partir du haut de
     la feuille, par défaut) et le sommet de l’en-tête de page.  La
     valeur par défaut est calculée sur la base de nombreux autres
     paramètres : ‘\paperheight − 2in − \headheight − \headsep −
     \textheight − \footskip’, et ensuite divisé par deux.

‘\topskip’
     La distance minimale entre le sommet du corps de la page et la
     ligne de base de la première ligne de texte.  Pour les classes
     standard, la valeur par défaut est la même que la taille de la
     police, par exemple, ‘10pt’ à ‘10pt’.

5.6 Flottants
=============

Certains éléments typographiques, tels que les figures et les tableaux,
ne peuvent pas être à cheval sur plusieurs pages.  Ils doivent être
composés en dehors du flux normal du texte, par exemple flottant au
sommet d’une page ultérieure

   LaTeX sait gérer plusieurs classes de matériel flottant.  Il y a deux
classes définies par défaut, ‘figure’ (see figure) et ‘table’ (see
table), mais vous pouvez créer une nouvelle classes avec le paquetage
‘float’.

   Au sein d’une même classe flottante LaTeX respecte l’ordre, de sorte
que la première figure dans le code source d’un document est toujours
composée avant la deuxième figure.  Cependant, LaTeX peut mélanger les
classes, ainsi il peut se produire qu’alors que le premier tableau
apparaît dans le code source avant la première figure, il apparaîsse
après elle dans le fichier de sortie.

   Le placement des flottant est l’objet de paramètres, donnés
ci-dessous, qui limittent le nombre de flottants pouvant apparaître au
sommet d’une page, et au bas de page, etc.  Si à cause d’un nombre trop
important de flottants mis en queue ces limites les empèchent de tenir
tous dans une seule page, alors LaTeX place ce qu’il peut et diffère le
reste à la page suivante.  De la sorte, les flottants peuvent être
composés loin de leur place d’origine dans le code source.  En
particulioer, un flottant qui prend beaucoup de place peut migrer
jusqu’à la fin du document.  Mais alors, parce que tous les flottant
dans une classe doivent appraître dans le même ordre séquentiel, tous
les flottants suivant dans cette classe appraîssent aussi à la fin.

   En plus de changer les paramètres, pour chaque flottant vous pouvez
peaufiner l’endroit où l’algorithme de placement des flottants essaie de
le placer en utilisant sont argument PLACEMENT.  Les valeurs possibles
sont une séquence des lettres ci-dessous.  La valeur par défault pour à
la fois ‘figure’ et ‘table’, dans les deux classes de document ‘article’
et ‘book’, est ‘tbp’.

‘t’
     (pour Top) — au sommet d’une page de texte.

‘b’
     (pour Bottom) — au bas d’une page de texte.  (Cependant, ‘b’ n’est
     pas autorisé avec des flottants en pleine-largeur (‘figure*’) en
     cas de sortie à double-colonne.  Pour améliorer cela, on peut
     utiliser les paquetages ‘stfloats’ ou ‘dblfloatfix’, mais voyez la
     discussion sur les avertissements dans la FAQ :
     <http://www.tex.ac.uk/cgi-bin/texfaq2html?label=2colfloat>.

‘h’
     (pour « Here », c.-à-d.« Ici » en anglais) — à la position du texte
     où l’environnement ‘figure’ apparaît.  Cependant, ‘h’ n’est pas
     autorisé en soi-même ; ‘t’ est ajouté automatiquement.

     Pour forcer à tout prix un flottant à apparaître « ici », vous
     pouvez charger le paquetage ‘float’ et le spécificateur ‘H’ qui y
     est défini.  Pour plus ample discussion, voir l’entrée de FAQ à
     <http://www.tex.ac.uk/cgi-bin/texfaq2html?label=figurehere>.

‘p’
     (pour Page de flottants) — sur une “page de flottants” séparée, qui
     est une page ne contenant pas de texte, seulement des flottants.

‘!’
     Utilisé en plus de l’un des spécificateur précédents ; pour ce
     flottant seulement, LaTeX ignore les restrictions à la fois sur le
     nombre de flottants qui peuvent apparaître et les quantité
     relatives de texte flottant et non-flottant sur la page.  Le
     spécificateur ‘!’ _ne_ signifie _pas_ « mets le flottant ici » ;
     voir plus haut.

   Note : l’ordre dans lequel les lettres apparaîssent au sein du
paramètre PLACEMENT ne change pas l’ordre dans lequel LaTeX essaie de
placer le flottant ; par exemple ‘btp’ a le même effet que ‘tbp’.  Tout
ce que PLACEMENT fait c’est que si une lettre n’est pas présente alors
l’algorithme n’essaie pas cet endroit.  Ainsi, la valeur par défault de
LaTeX étant ‘tbp’ consiste à essayer toutes les localisations sauf celle
de placer le flottant là où il apparaît dans le code source.

   Pour empêcher LaTeX de rejeter tous les flottants à la fin du
document ou d’un chapitre, vous pouvez utiliser la commande ‘\clearpage’
pour commencer une nouvelle page et insérer tous les flottants pendants.
Si un saut de page est indésirable alors vous pouvez charger le
paquetage ‘afterpage’ et commettre le code ‘\afterpage{\clearpage}’.
Ceci aura l’effet d’attendre la fin de la page courante et ensuite de
faire passer tous les flottants encore non placés.

   LaTeX peut composer un flottant avant l’endroit où il apparaît dans
le code source (quoique sur la même page de sortie) s’il y a un
spécificateur ‘t’ au sein du paramètre PLACEMENT.  Si ceci n’est pas
désiré, et que supprimer ‘t’ n’est acceptable car ce spécificateur
empèche le flottant d’être placé au sommet de la page suivante, alors
vous pouvez empêcher cela soit en utilisant le paquetage ‘flafter’ ou en
utilisant ou en utilisant la commande ‘\suppressfloats[t]’, ce qui
entraîne le déplacement vers la page suivante des flottants qui auraient
du être placés au sommet de la page courante.

   Voici les paramètre en relation aux fractions de pages occupées par
du texte flottant et non flottant (on peut les changer avec
‘\renewcommand{PARAMETER}{DECIMAL BETWEEN 0 AND 1}’) :

     La fraction maximal de page autorisée à être occupées par des
     flottants au bas de la page ; la valeur par défaut est ‘.3’.

‘\floatpagefraction’
     La fraction minimale d’une page de flottants qui doit être occupée
     par des flottants ; la valeur par défaut ‘.5’.

‘\textfraction’
     La fraction minimale d’une page qui doit être du texte ; si des
     flottants prennent trop d’espace pour préserver une telle quantité
     de texte, alors les flottants sont déplacés vers une autre page.
     La valeur par défaut est ‘.2’.

‘\topfraction’
     Fraction maximale au sommet d’une page page que peut être occupée
     avant des flottants ; la valeur par défaut est ‘.7’.

   Les paramètres en relation à l’espace vertical autour des flottants
(on peut les changer avec ‘\setlength{PARAMETER}{LENGTH EXPRESSION}’) :

‘\floatsep’
     Espace entre les floattants au sommet ou au bas d’une page ; par
     défaut vaut ‘12pt plus2pt minus2pt’.

‘\intextsep’
     Espace au dessus et au dessous d’un flottant situé au milieu du
     texte principal ; vaut par défaut ‘12pt plus2pt minus2pt’ pour les
     styles à ‘10pt’ et à ‘11pt’, et ‘14pt plus4pt minus4pt’ pour
     ‘12pt’.

‘\textfloatsep’
     Espace entre le dernier (premier) flottant au sommet (bas) d’une
     page ; par défaut vaut ‘20pt plus2pt minus4pt’.

   Paramètres en relation avec le nombre de flottant sur une page (on
peut les changer avec ‘\setcounter{CTRNAME}{NATURAL NUMBER}’) :

‘\bottomnumber’
     Nombre maximal de flottants pouvant apparaître au bas d’une page de
     texte ; par défaut 1.

‘\topnumber’
     Nombre maximal de flottants pouvant apparaître au sommet d’une page
     de texte ; par défaut 2.

‘\totalnumber’
     Nombre maximal de flottants pouvant apparaître sur une page de
     texte ; par défaut 3.

   L’article principal de FAQ TeX en rapport avec les flottants
<http://www.tex.ac.uk/cgi-bin/texfaq2html?label=floats> contient des
suggestions pour relâcher les paramètres par défaut de LaTeX de sorte à
réduire les problèmes de flottants rejetés à la fin.  Une explication
complète de l’algorithme de placement des flottant se trouve dans
l’article de Frank Mittelbach « How to infuence the position of float
environments like figure and table in LaTeX? »
(<http://latex-project.org/papers/tb111mitt-float.pdf>).

6 Des rubriques
***************

Les commandes de rubricage fournissent les moyens de structurer votre
texte en unités sectionnelles, ou rubriques :

‘\part’
‘\chapter (seulement pour classes report et book)’
‘\section’
‘\paragraph’
‘\subsubsection’
‘\paragraph’
‘\alinea’

   Toutes les commandes ont la même forme générale, par exemple,

     \chapter[TITRETDM]{TITRE}

   En plus de fournir le titre de rubrique TITRE dans le texte
principal, le titre peut apparaître dans deux autres endroits :

  1. La table des matières.
  2. L’en-tête en cours de traitement en haut de la page.

   Vous ne voudrez peut-être pas le même texte dans ces endroits que
dans le texte principal.  Pour gérer cela, les commandes de rubricage
ont un argument optionnel TITRETDM qui, lorsqu’il est fourni, précise le
texte de ces autres endroits.

   En outre, toutes les commandes de rubricage ont des formes en ‘*’,
aussi appelée étoilée, qui compose TITRE comme d’habitude, mais ne
comprennent pas de numéro et ne produisent pas d’entrée dans la table
des matières.  Par exemple :

     \section*{Préambule}

   La commande ‘\appendix’ modifie la façon dont les unités
sectionnelles suivantes sont numérotées.  La commande ‘\appendix’
elle-même ne génère aucun texte et n’affecte pas la numérotation des
parties.  L’utilisation normale de cette commande est quelque chose
comme cela :

     \chapter{Un chapitre}
     ...
     \appendix
     \chapter{La première annexe }

   Le compteur ‘secnumdepth’ contrôle la composition des numéros de
rubrique.  le paramètre

     \setcounter{secnumdepth}{NIVEAU}

supprime le numéros de rubrique à n’importe quelle profondeur > NIVEAU,
où ‘chapter’ est le niveau zéro.  (see \setcounter.)

7 Des références croisées
*************************

Une des raisons pour numéroter des choses telles que les figures ou les
équations est d’indiquer au lecteur une référence vers elles, comme dans
« Voir la figure 3 pour plus de détails. »

   Inclure le numéro de figure dans le code source est une mauvaise
pratique puisque ce si ce noméro change avec l’évolution du document,
alors on doit penser à mettre à jour cet référence manuellement.  Au
lieu de cela, LaTeX vous fait écrire une “étiquette” du genre
‘\label{eq:ThmGreens}’ et lui faire référence avec ‘Voir
l'équation~\ref{eq:ThmGreens}’.

   LaTeX écrit l’information provenant des étiquettes dans un fichier
avec le même nom que le fichier conteant le ‘\label{...}’ mais avec une
extension ‘.aux’.  (L’information a le format
‘\newlabel{ÉTIQUETTE}{{ÉTIQUETTE-COURANTE}{NUMÉRO-DE-PAGE}}’ où
ÉTIQUETTE-COURANTE est la valeur de la macro ‘\@currentlabel’ qui est
d’ordinaire mise à jour à chaque vous que that is vous appelez
‘\refstepcounter{COMPTEUR}’.)

   L’effet secondaire le plus courant du paragraphe précédent se produit
lorsque votre document a une “référence déclarée en aval”, c.-à-d. un
‘\ref{CLEF}’ qui apparaît avant le ‘\label{CLEF}’ associé ; voir
l’exemple dans la description de ‘\pageref{...}’.  LaTeX obtient les
référence à partir du fichier ‘.aux’.  Si c’est la première fois que
vous compilez le document alors vous obtiendrez un message ‘LaTeX
Warning: Label(s) may have changed. Rerun to get cross references
right.’ et dans la sortie la référence apparaîtra comme deux points
d’interrogration ‘??’ en caractères gras.  Ou, si vous modifiez le
document de telle façon que les références changent alors vous
obtiendrez le même avertissement et la sortie contiendra l’information
de référence de la fois précédente.  La solution dans les deux cas est
juste de re-compiler le document encore une fois.

7.1 ‘\label’
============

Synopsis :

     \label{CLEF}

   Attribut un numéro de référence à CLEF.  Au sein de texte ordinaire,
‘\label{CLEF}’ attribut à CLEF le numéro de la rubrique courante.  Au
sein d’un environnement numéroté, tel que l’environnement ‘table’ ou
‘theorem’, ‘\label{CLEF}’ attribue le numéro de cet environnement à
CLEF.  On retire le numéro attribué avec la commande ‘\ref{CLEF}’ (see
\ref).

   Le nom CLEF peut se composer de n’importe quelle séquence de lettres,
chiffres, ou caractères de ponctuation ordinaires.  Il est sensible à la
casse — lettres capitales ou bas-de-casse.

   Pour éviter de créer accidentellement deux étiquettes avec le même
nom, l’usage est d’utiliser des étiquettes composées d’un préfixe et
d’un suffixe séparés par un caractère ‘:’ ou ‘.’.  Certains préfixes
classiquement utilisés :

‘ch’
     pour les chapitres
‘sec’
     les commandes de rubricage de niveau inférieur
‘fig’
     pour les figures
‘tab’
     pour les tables
‘eq’
     pour les équations

   Ansi, ‘\label{fig:Euler}’ est une étiquette pour une figure avec un
portrait de ce grand homme.

   Dans l’exemple ci-dessous la clef ‘sec:test’ se verra attribué le
numéro de la section courante et la clef ‘fig:test’ se verra attribué le
numéro de la figure.  Soit dit en passant, mettez les étiquettes
(‘\label’) après les légendes (‘\caption’) au sein des environnements
‘figure’ ou ‘table’.

     \section{Titre de la rubrique}
     \label{sec:test}
     Dans cette rubrique~\ref{sec:test}.
     \begin{figure}
       ...
       \caption{Texte de la légende}
       \label{fig:test}
     \end{figure}
     Voir Figure~\ref{fig:test}.

7.2 ‘\pageref{CLEF}’
====================

Synopsis :

     \pageref{CLEF}

   Produit le numéro de page de l’endroit du texte où la commande
correspondante ‘\label’{CLEF} apparaît.

   Dans cet exemple le ‘\label{eq:principale}’ est utilisé à la fois
pour le numéro de la formule et pour le numéro de page.  (Notez que les
deux références sont des référénces déclarées en aval, ainsi ce document
that the a besoin d’être compilé deux fois pour les résoudre.)

     Le résultat principal est la formule~\ref{eq:principale} de la
     page~\pageref{eq:principale}.
       ...
     \begin{equation} \label{eq:principale}
        \mathbf{P}=\mathbf{NP}
     \end{equation}

7.3 ‘\ref{CLEF}’
================

Synopsis :

     \ref{CLEF}

   Produit le numéro de la rubrique, équation, note en bas de page,
figure, ..., de la commande correspondante ‘\label’ (see \label).
Elle ne produit aucun texte, tel que le mot ‘Section’ ou ‘Figure’, juste
le numéro lui-même sans plus.

   Dans cet exemple, le ‘\ref{populaire}’ produit ‘2’.  Notez que ceci
est une référence déclarée en aval puisque elle est faite avant
‘\label{populaire}’.

     Le format utilisé le plus largement est à l'item item numéro~\ref{populaire}.
     \begin{enumerate}
     \item Plain \TeX
     \item \label{populaire} \LaTeX
     \item Con\TeX t
     \end{enumerate}

8 Environments
**************

LaTeX fournit beacoup d’environnements pour baliser un certain texte.
Chaque environnement commence et se termine de la même manière :

     \begin{NOMENV}
     ...
     \end{NOMENV}

8.1 ‘abstract’
==============

Synopsis :
     \begin{abstract}
     ...
     \end{abstract}

   Produit un résumé, potentiellement contenant plusieurs paragraphes.
Cet environnement n’est défini que dans les classes de document
‘article’ et ‘report’ (see Document classes).

   Utiliser l’exemple ci-dessous au sein de la classe ‘article’ produit
un paragraphe détaché.  L’option ‘titlepage’ de la classe de document a
pour effet que le résumé soit sur une page séparée (see Document class options)
 ; ceci est le comportement par défaut selement dans la classe
‘report’.

     \begin{abstract}
       Nous comparons tous les récits de la proposition faits par Porter
       Alexander à Robert E Lee en lieu de l'Appomattox Court House que
       l'armée continue à combattre dans une guerre de guerilla, ce que Lee
       refusa.
     \end{abstract}

   L’exemple suivant produit un résumé en une-colonne au sein d’un
document en deux-colonne (pour plus solution plus flexible, utilisez le
paquetage ‘abstract’).

     \documentclass[twocolumn]{article}
       ...
     \begin{document}
     \title{Babe Ruth comme ancêtre culturel : une approche atavique}
     \author{Smith \\ Jones \\ Robinson\thanks{Bourse des chemins de fer.}}
     \twocolumn[
       \begin{@twocolumnfalse}
          \maketitle
          \begin{abstract}
            Ruth n'était pas seulement le Sultan du Swat, il était à lui tout
            seul l'équipe du swat.
          \end{abstract}
        \end{@twocolumnfalse}
        ]
     {   % by-hand insert a footnote at page bottom
      \renewcommand{\thefootnote}{\fnsymbol{footnote}}
      \footnotetext[1]{Merci pour tout le poisson.}
     }

8.2 ‘array’
===========

Synopsis :

     \begin{array}{PATRON}
     ENTRÉE-COL-1&ENTRÉE-COL-2 ... &ENTRÉE-COL-N}\\
     ...
     \end{array}

   ou

     \begin{array}[POS]{PATRON}
     ENTRÉE-COL-1&ENTRÉE-COL-2 ... &ENTRÉE-COL-N}\\
     ...
     \end{array}

   Les tableaux mathématiques sont produits avec l’environnement
‘array’, normalement au sein d’un environnement ‘equation’ (see
equation).  Les entrées dans chaque colonne sont séparées avec une
esperluette (‘&’).  Les lignes sont terminées par une double
contr’oblique (see \\).

   L’argument obligatoire PATRON décrit le nombre de colonnes,
l’alignement en leur sein, et le formatage des régions inter-colonne.
Voir tabular pour une description complete de PATRON, et des
autres caractéristiques communes aux deux environnement, y compris
l’argument optionnel ‘pos’.

   L’environnement ‘array’ diverge de ‘tabular’ par deux aspect.  Le
premier est que les entrée de ‘array’ sont composées en mode
mathématique, dans le texte(sauf si le PATRON spécifie la colonne avec
‘@p{...}’, ce qui a pour effet que l’entrée est composée en mode texte).
Le second est que au lieu du paramètre ‘\tablcolsep’ de ‘tabular’,
l’espace inter-colonne que LaTeX met dans un ‘array’ est contrôlé par
‘\arraycolsep’, qui spécifie la moitié de la largueur entre les
colonnes.  La valeur par défaut est ‘5pt’.

   Pour otenir des tableaux entre accolades la méthode standarde est
d’utiliser le paquetage ‘amsmath’.  Il comprend les environnements
‘pmatrix’ pour un tableau entre parenthèses ‘(...)’, ‘bmatrix’ pour un
tableau entre crochets ‘[...]’, ‘Bmatrix’ pour un tableau entre
accolades ‘{...}’, ‘vmatrix’ pour un tableau entre barres
verticales ‘|...|’, et ‘Vmatrix’ pour un tableau entre doubles barres
verticales ‘||...||’, ainsi que diverses autres contructions de
tableaux.

   Voici un exemple d’un tableau :

     \begin{equation}
       \begin{array}{cr}
         \sqrt{y}  &12.3 \\
         x^2       &3.4
       \end{array}
     \end{equation}

   L’exemple suivante nécessite ‘\usepackage{amsmath}’ dans le
preambule :

     \begin{equation}
       \begin{vmatrix}{cc}
         a  &b \\
         c  &d
       \end{vmatrix}=ad-bc
     \end{equation}

8.3 ‘center’
============

Synopsis :

     \begin{center}
     LINE1 \\
     LINE2 \\
     \end{center}

   L’environnement ‘center’ vous permet de créer un paragraphe
consistant de lignes qui sont centrée entre les marges de gauche et de
droite de la page courante.  Chaque ligne est terminée avec la chaîne
‘\\’.

8.3.1 ‘\centering’
------------------

La déclaration ‘\centering’ correspond à l’environnement ‘center’.
Cette déclaration peut être utilisée à l’intérieur d’un environnement
tel que ‘quote’ ou d’une ‘parbox’.  Ainsi, le texte d’une figure ou
d’une table peut être centré sur la page en mettant une commande
‘\centering’ au début de l’environnement de la figure ou table.

   Contrairement à l’environnement ‘center’, la commande ‘\centering’ ne
commence pas un nouveau paragraphe ; elle change simplement la façon
dont LaTeX formate les unités paragraphe.  Pour affecter le format d’une
unité paragraphe, la porté de la déclaration doit contenir une ligne à
blanc ou la commande ‘\end’ (d’un environnement tel que quote) qui finit
l’unité de paragraphe.

   Voici un exemple :

     \begin{quote}
     \centering
     first line \\
     second line \\
     \end{quote}

8.4 ‘description’
=================

Synopsis :

     \begin{description}
     \item [ÉTIQUETTE1] ARTICLE1
     \item [ÉTIQUETTE2] ARTICLE2
     ...
     \end{description}

   L’environnement ‘description’ est utilisé pour fabriquer des listes
d’articles étiquetés.  Chaque ÉTIQUETTE d’article est composée en gras,
alignée à gauche.  Bien que les étiquettes sur les articles sont
optionnelles il n’y a pas de valeur par défaut sensée, c’est pourquoi
tous les articles devraient avoir une étiquette.

   La liste consiste en au moins un article ; voir See \item
(l’absence d’article cause l’erreur LaTeX ‘Something's wrong--perhaps a
missing \item’).  Chaque article est produit avec une commande ‘\item’.

   Une autre variation : puisque le style gras est appliqué aux
étiquettes, si vous composez une étiquette en style tapuscrit avec
‘\texttt’, vous obtiendrez du gras tapuscrit : ‘\item[\texttt{gras et
tapuscrit}]’.  C’est peut-être trop gras, entre autres problèmes.  Pour
obtenir juste le style tapuscrit, utilisez ‘\tt’, ce qui reinitialise
toutes les autres variations de style : ‘\item[{\tt tapuscrit de
base}]’.

   Pour les détails concernant l’espacement des listes, voir
itemize.

8.5 ‘displaymath’
=================

Synopsis :

     \begin{displaymath}
     DES MATHS
     \end{displaymath}

   L’environnement ‘displaymath’ compose le texte DES MATHS sur sa
propre ligne, centré par défaut.  L’option globale ‘fleqn’ justifie les
équations à gauche ; voir Document class options.

   Aucun numéro d’équation n’est ajouté au texte de texte
‘displaymath’ ; pour obtenir un numéro d’équation, vous pouvez utiliser
l’environnement ‘equation’ (see equation).

   LaTeX ne fait pas de saut de ligne au sein de DES MATHS.

   Notez que le paquetage ‘amsmath’ comprend des possibilités beaucoup
plus vastes en matière d’affichage d’équations.  Par exemple, il offre
plusieurs altenatives pour effectuer des sauts de lignes au sein de
texte en mode mathématique.

   La construction ‘\[DES MATHS\]’ est essentiellement un synonyme de
‘\begin{displaymath}DES MATHS\end{displaymath}’, mais ce dernier est
plus pratique à manipuler dans le code source ; par exemple la recherche
d’un caractère crochet ‘]’ peut donner des faux positifs, alors qu’il
est plus probable que le mot ‘displaymath’ soit unique.  (La
construction ‘$$DES MATHS$$’ tirée du language TeX de base est souvent
utilisée à tort comme un synonyme de ‘displaymath’.  Ce n’en est pas un,
parce que l’environnement ‘displaymath’ vérifie qu’il ne commence pas en
mode mathérmatique, parce qu’il gère l’espacement verticial environment
différemment, et parce qu’il honore l’option ‘fleqn’.)

   Le texte composé par cet exemple est centré et seul sur sa ligne.
     \begin{displaymath}
       \int_1^2 x^2\,dx=7/3
     \end{displaymath}
   De plus, le signe intégrale est plus grand que ce que la version en
ligne ‘\( \int_1^2 x^2\,dx=7/3 \)’ produit.

8.6 ‘document’
==============

L’environnement ‘document’ entoure le corps entier d’un document.  Il
est obligatoire dans tout document LaTeX.  See Starting and ending.

Synopsis :

     \AtBeginDocument{CODE}

   Sauvegarde CODE et exécute le quand ‘\begin{document}’ est exécuté, à
la toute fin du préambule.  Le code est exécuté après que les tables de
sélection de police ont été réglées, ainsi la police normale du document
est la police courante.  Toutefois, le code est exécuté en tant que
faisant partie du préambule, c’est pourquoi on ne peut pas composer du
texte avec.

   On peut utiliser cette commande plus d’une fois ; les lignes de code
successives sont exécutée dans l’ordre de passage à la commande.

Synopsis :

     \AtEndDocument{CODE}

   Sauvegarde CODE et l’exécute vers la fin du document.  Plus
précisément, il est exécuté lorsque ‘\end{document}’ est exécuté, avant
que la dernière page ne soit terminée et avant que tous environnements
flottant restants soient traités.  Si on désire d’une partie du code
soit exécuté après ces deux traitements, alors il suffit d’inclure un
‘\clearpage’ à l’endroit approprié du CODE.

   On peut utiliser cette commande plus d’une fois ; les lignes de code
successives sont exécutée dans l’ordre de passage à la commande.

8.7 ‘enumerate’
===============

Synopsis :

     \begin{enumerate}
     \item ARTICLE1
     \item ARTICLE2
     ...
     \end{enumerate}

   L’environnement ‘enumerate’ produit une liste numérotée d’articles.
Le format du numéro en étiquette dépend de si cet environnement est
imbriqué dans un autre ; voir plus bas.

   La liste consiste en au moins un article.  L’absence d’article cause
l’erreur LaTeX ‘Something's wrong--perhaps a missing \item’.  Chaque
article est produit avec la commande ‘\item’.

   Cet exemple fait la liste des deux premiers courreurs à l’arrivée du
marathon olympique de 1908 :

     \begin{enumerate}
      \item Johnny Hayes (USA)
      \item Charles Hefferon (RSA)
     \end{enumerate}

   Les énumerations peuvent être imbriquées les unes dans les autres,
jusqu’à une profondeur de quatre niveaux.  Elles peuvent aussi être
imbriquées au sein d’autres environnements fabriquant des paragraphes,
tels que ‘itemize’ (see itemize) et ‘description’ (see
description).  Le format de l’étiquette produite dépend du niveau
d’imbrication de la liste.  Voici les valeurs par défaut de LaTeX pour
le format à chaque niveau d’imbrication (où 1 est le niveau le plus
externe) :

  1. numéro arabe suivi d’un point : ‘1.’, ‘2.’, ...
  2. lettre en bas de casse et entre parenthèse : ‘(a)’, ‘(b)’ ...
  3. numéro romain en bas de casse suivi d’un point : ‘i.’, ‘ii.’, ...
  4. lettre capitale suivie d’un point : ‘A.’, ‘B.’, ...

   L’environnement ‘enumerate’ utilise les compteurs ‘\enumi’, ...,
‘\enumiv’ (see Counters).  Si vous utilisez l’argument optionnel
d’‘\item’ alors le compteur n’est pas incrementé pour cet article (see
\item).

   L’environnement ‘enumerate’ utilise les commandes de ‘\labelenumi’
jusqu’à ‘\labelenumiv’ pour produire l’étiquette par défaut.  Ainsi,
vous pouvez utiliser ‘\renewcommand’ pour chancher le format des
étiquettes (see \newcommand & \renewcommand).  Par exemple, cette
liste de premier niveau va être étiquettée avec des lettres capitales,
en gras, non suivies point :

     \renewcommand{\labelenumi}{\textbf{\Alph{enumi}}}
     \begin{enumerate}
       \item eI
       \item bi:
       \item si:
     \end{enumerate}

   Pour une liste des commandes comme ‘\Alph’ utilisables pour formatter
le compteur d’étiquette voir \alph \Alph \arabic \roman \Roman \fnsymbol.

   Pour plus ample information sur la personalisation de la forme voir
list.  De même, le paquetage ‘enumitem’ est utile pour cela.

8.8 ‘eqnarray’
==============

Tout d’abord une mise en garde : l’environnement ‘eqnarray’ a quelques
maladresse que l’on ne peut pas surmonter ; l’artice « Évitez
eqnarray ! » de Lars Madsen les décrit en détail
(<http://tug.org/TUGboat/tb33-1/tb103madsen.pdf>).  Ce qu’il faut
retenir c’est qu’il vaut mieux utiliser l’environnement ‘align’ (et
d’autres) du paquetage ‘amsmath’.

   Néanmoins, voici une description d’‘eqnarray’ :

     \begin{eqnarray} (ou ‘eqnarray*’)
     FORMULA1 \\
     FORMULA2 \\
     ...
     \end{eqnarray}

   L’environnement ‘eqnarray’ est utilisé pour afficher une séquence
d’équations ou d’inégalités.  Il est similaire à un environnement
‘array’ à trois colonnes, avec des lignes consecutives séparées par ‘\\’
et des articles consécutifs au sein d’une ligne séparé par une
esperluète ‘&’.

   ‘\\*’ peut aussi être utilisé pour séparer les équations, avec sa
signification normale de ne pas autoriser un saut de page à cette ligne.

   Un numéro d’équation est placé sur chaque ligne à moins que cette
ligne ait une commande ‘\nonumber’.  Alternativement, la forme étoilé
(en ‘*’) de l’environnement (‘\begin{eqnarray*} ... \end{eqnarray*}’)
omet la numérotation des équations entièrement, tout en faisant par
ailleurs la même chose qu’‘eqnarray’.

   La commande ‘\lefteqn’ est utilisée pour couper les longues formules
sur plusieurs lignes.  Elle compose son argument en hors texte et le
justifie à gauche dans une boîte de largeur nulle.

8.9 ‘equation’
==============

Synopsis :

     \begin{equation}
     MATH
     \end{equation}

   L’environnement ‘equation’ commence un environnement en ‘displaymath’
(see displaymath), par ex. en centrant le texte MATH sur la page, et
aussi en plaçant un numéro d’équation dans la marge de droite.

8.10 ‘figure’
=============

Synopsis :

     \begin{figure}[PLACEMENT]
       CORPSFIGURE
     \caption[TITRELDF]{TEXTE}
     \label{ÉTIQUETTE}
     \end{figure}

   ou

     \begin{figure*}[PLACEMENT]
     CORPSFIGURE
     \caption[TITRELDF]{TEXTE}
     \label{ÉTIQUETTE}
     \end{figure}

   Une classe de flottant (see Floats).  Parce qu’elles ne peuvent
pas être coupées à cheval sur plusieurs pages, elles ne sont pas
composées en séquence avec le texte normal, mais au contraire sont
“flottées” vers un endroit convenable, tel que le sommet d’une page
suivante.

   Pour les valeurs possibles de PLACEMENT et leur effet sur
l’algorithme de placement des flottants, voir Floats.

   La version étoilée ‘figure*’ est utilisée quand un document est en
mode double-colonne (see \twocolumn).  elle produit une figure qui
s’étend sur les deux colonnes, au sommet de la page.  Pour ajouter la
possibiltié de la placer à un bas de page voir la discussion de
PLACEMENT ‘b’ dans Floats.

   Le corps de la figure est composé dans une ‘parbox’ de largueur
‘\textwidth’ and ainsi il peut contenir du texte, des commandes, etc.

   L’étiquette est optionnelle ; elle est utilisée pour les double
renvois (see Cross references).  La commande ‘\caption’ spécifie la
légende TEXTE pour la figure.  La légende est numérotée par défaut.  Si
TITRELDF est présent, il est utilisé dans la liste des figures au lieu
de TEXTE (see Tables of contents).

   Cet exemple fabrique une figure à partir d’un graphique.  Il
nécessite l’un des paquetage ‘graphics’ ou ‘graphicx’.  Le graphique,
avec sa légende, est palcé au sommet d’une page ou, s’il est rejet à la
fin du document, sur une page de flottants.

     \begin{figure}[t]
       \centering
       \includegraphics[width=0.5\textwidth]{CTANlion.png}
       \caption{The CTAN lion, by Duane Bibby}
     \end{figure}

8.11 ‘filecontents’: Écrire un fichier externe
==============================================

Synopsis :

     \begin{filecontents}{NOMFICHIER}
     TEXTE
     \end{filecontents}

   ou

     \begin{filecontents*}{NOMFICHIER}
     TEXTE
     \end{filecontents*}

   Crée un fichier nommé NOMFICHIER et le remplit de TEXTE.  La version
non étoilée de l’environnement ‘filecontent’ préfixe le contenu du
ficher crée d’une en-tête ; voir l’exemple ci-dessous.  La version
étoilée ‘filecontent*’ n’inclut par l’en-tête.

   Cet environnement peut être utilisé n’importe-où dans le préambule,
bien qu’elle apparaisse en général avant la commande ‘\documentclass’.
Elle est typiquement utilisée quand une fichier source a besoin d’un
fichier non standard de style ou de classe.  L’environnement permet
d’écrire ce fichier dans le répertoire contenant ce fichier et ainsi de
rendre le code source autonome.  Une autre utilisation est d’inclure des
référence au format ‘bib’ dans le fichier source, de même pour le rendre
autonome.

   L’environnement vérifie si un fichier de même nom existe déjà, et si
oui, ne fait rien.  Il y a un paquetage ‘filecontents’ qui redéfinit
l’environnement ‘filecontents’ de sorte qu’au lieu de ne rien faire dans
ce cas, il écrase le fichier existant.

   Par exemple, ce document :

     \documentclass{article}
     \begin{filecontents}{JH.sty}
     \newcommand{\monnom}{Jim Hef{}feron}
     \end{filecontents}
     \usepackage{JH}
     \begin{document}
     Un article de \monnom.
     \end{document}

   produit ce fichier ‘JH.sty’.

     %% LaTeX2e file `JH.sty'
     %% generated by the `filecontents' environment
     %% from source `test' on 2015/10/12.
     %%
     \newcommand{\monnom}{Jim Hef{}feron}

8.12 ‘flushleft’
================

     \begin{flushleft}
     LIGNE1 \\
     LIGNE2 \\
     ...
     \end{flushleft}

   L’environnement ‘flushleft’ vous permet de créer un paragraphe ferré
à gauche, c’est à dire consistant en lignes qui sont alignées sur la
marge de gauche et en dentelures à droite comme un drapeau dont la hampe
(fer du composteur) serait à gauche et les franges à droite.  Chaque
ligne doit être terminée par la séquence de contrôle ‘\\’.

8.12.1 ‘\raggedright’
---------------------

La déclaration ‘\raggedright’ correspond à l’environnement ‘flushleft’.
Cette déclaration peut être utilisée au sein d’un environnement tel que
‘quote’ ou d’une ‘parbox’.

   Contrairement à l’environnement ‘flushleft’, la commande
‘\raggedright’ ne démarre pas un nouveau paragraphe ; elle change
seulement la façon dont LaTeX formatte les unités de paragraphe.  Pour
affecter le format d’une unité de paragraphe, la porté de la déclaration
doit contenir la ligne à blanc où la commande ‘\end’ qui termine l’unité
de paragraphe.

8.13 ‘flushright’
=================

     \begin{flushright}
     LIGNE1 \\
     LIGNE2 \\
     ...
     \end{flushright}

   L’environnement ‘flushright’ vous permet de créer un paragraphe ferré
à droite et drapeau gauche, c.-à-d. consistant de lignes qui sont
alignées sur la marge de droite (fer à droite) et en dentelures
(drapeau) sur la marge de gauche.  Chaque ligne doit être temrinée par
la séquence de contrôle ‘\\’.

8.13.1 ‘\raggedleft’
--------------------

La déclaration ‘\raggedleft’ correspond à l’environnement ‘flushright’.
Cette déclaration peut être utilisée au sein d’un environnement tel que
as ‘quote’ ou d’une ‘parbox’.

   Contrairement à l’environnement ‘flushright’, la commande
‘\raggedleft’ ne commence pas un nouveau paragraphe ; elle change
seulement la façon dont LaTeX formatte les unités de paragraphe.  Pour
affecter le format d’une une unité de paragraphe, la portée de la
déclaration doit contenir la ligne à blanc ou la commande ‘\end’ qui
termine l’unité de paragraphe.

8.14 ‘itemize’
==============

Synopsis :

     \begin{itemize}
     \item ITEM1
     \item ITEM2
     ...
     \end{itemize}

   L’environnement ‘itemize’ produit une liste « non ordonnée », « à
puces ».  Les environnement ‘itemize’ peuvent être imbriqués l’un dans
l’autre, jusqu’à quatre niveaux de profondeur.  Ils peuvent aussi être
imbriqués avec d’autre environnements fabriquant des paragraphes, comme
‘enumerate’ (see enumerate).

   Chaque article d’une liste ‘itemize’ commence avec une commande
‘\item’.  Il doit y avoir au moins une commande ‘\item’ au sein de
l’environnement.

   Par défaut, les marques de chaque niveau ressemblent à cela :

  1. • (puce)
  2. -- (tiret demi-cadratin gras)
  3. * (asterisque)
  4. .  (point centré verticalement, rendu ici comme un point final)

   Si vous utilisez l’environnement ‘babel’ avec la langue ‘french’,
alors il y a des tirets pour tous les niveaux comme c’est l’habitude des
Français.

   L’environnement ‘itemize’ utilise les commandes de ‘\labelitemi’
jusqu’à ‘\labelitemiv’ pour produire les étiquettes par défaut.  Ainsi,
vous pouvez utiliser ‘\renewcommand’ pour changer les étiquettes.  Par
exemple, pour que le premier niveau utilise des losanges :

     \renewcommand{\labelitemi}{$\diamond$}

   Les paramètres de ‘\leftmargini’ jusqu’à ‘\leftmarginvi’ définissent
la distance entre la marge de gauche de l’environnement surjacent et la
marge de gauche de la liste.  Par convention, ‘\leftmargin’ est réglée à
la ‘\leftmarginN’ appropriée quand on entre dans un nouveau niveau
d’imbrication.

   Les valeurs par défaut varient de ‘.5em’ (pour les niveaux
d’imbrication les plus élevés) jusqu’à ‘2.5em’ (premier niveau), et sont
légèrement réduits en mode deux-colonnes.  Cet exemple réduit grandement
l’espace de marge pour la liste la plus extérieure :

     \setlength{\leftmargini}{1.25em} % par défaut 2.5em

   Quelques paramètres qui affectent le formatage des listes :

‘\itemindent’
     Renfoncement supplementaire avant chaque articles dans une liste ;
     la valeur par défaut est zéro.

‘\labelsep’
     Espace entre l’étiquette et le texte d’un article ; la valeur par
     défaut est ‘.5em’.

‘\labelwidth’
     Largeur de l’étiquette ; la valeur par défaut est ‘2em’, ou ‘1.5em’
     en mode deux-colonnes.

‘\listparindent’
     Renfoncement supplémentaire ajoutée aux paragraphes suivants à
     commencer par le second au sein d’un article de liste ; la valeur
     par défaut est ‘0pt’.

‘\rightmargin’
     Distance horizontale entre la marge de droite de la liste et
     l’environnement surjacent ; la valeur par défaut est ‘0pt’, sauf à
     l’intérieur des environnement ‘quote’, ‘quotation’, et ‘verse’, où
     elle est réglée pour être égale à ‘\leftmargin’.

   Paramètres affectant l’espacement vertical entre les articles de
liste (plutôt relâché, par défaut).

‘\itemsep’
     Espace vertical entre les articles.  La valeur par défaut est ‘2pt
     plus1pt minus1pt’ pour les documents en ‘10pt’, ‘3pt plus2pt
     minus1pt’ pour ceux en ‘11pt’, et ‘4.5pt plus2pt minus1pt’ pour
     ceux en ‘12pt’.

‘\parsep’
     Espace vertical supplémentaire entre les paragraphes au sein d’un
     article de liste.  Par défaut vaut la même chose que ‘\itemsep’.

‘\topsep’
     Espace vertical entre le premier article et le paragraphe
     précédent.  Pour les listes au niveau le plus haut, la valeur par
     défaut est ‘8pt plus2pt minus4pt’ pour les documents en ‘10pt’,
     ‘9pt plus3pt minus5pt’ pour ceux en ‘11pt’, et ‘10pt plus4pt
     minus6pt’ pour ceux en ‘12pt’.  Ces valeurs sont réduites pour les
     listes avec au moins un niveau d’imbrication.

‘\partopsep’
     Espace supplémentaire ajouté à ‘\topsep’ quand l’environnement de
     liste démarre un paragraphe.  La valeur par défaut est ‘2pt plus1pt
     minus1pt’ pour les documents en ‘10pt’, ‘3pt plus1pt minus1pt’ pour
     ceux en ‘11pt’, et ‘3pt plus2pt minus2pt’ pour ceux en ‘12pt’.

   En particulier pour les listes avec des articles courts, il peut être
désirable d’élider l’espace entre les articles.  Voici un exemple
définissant un environnement ‘itemize*’ sans espacement supplémentaire
entre les articles, ni entre les paragraphes au sein d’un seul article
(‘\parskip’ n’est pas spécifique aux listes, see \parskip):

     \newenvironment{itemize*}%
       {\begin{itemize}%
         \setlength{\itemsep}{0pt}%
         \setlength{\parsep}{0pt}}%
         \setlength{\parskip}{0pt}}%
       {\end{itemize}}

8.15 environnement ‘letter’: écrire des lettres postales
========================================================

Cet environnement est utilisé pour créer des lettres.  See Letters.

8.16 ‘list’
===========

L’environnement ‘list’ est un environnement générique qui est utilisé
pour définir beaucoup des environnements plus spécifiques.  Il est
rarement utilisé dans des documents, mais souvant dans des macros.

     \begin{list}{ÉTIQUETTAGE}{ESPACEMENT}
     \item ITEM1
     \item ITEM2
     ...
     \end{list}

   L’argument obligatoire ÉTIQUETTAGE spécifie comment les articles
doivent être étiquetés (à moins que son argument optionnel soit fourni à
‘\item’).  Cet argument est un morceau de texte qui est inséré dans une
boîte pour former l’étiquette.  Il peut contenir, et d’habitude c’est le
cas, d’autres commandes LaTeX.

   L’argument obligatoire ESPACEMENT contient des commandes pour changer
les paramètres d’espacement pour la liste.  Cet argument est le plus
souvent vide, c.-à-d. ‘{}’, ce qui laisse l’espacement par défaut.

   L’argument utilisé pour composer les articles de la liste est
spécifiée par ‘\linewidth’ (see Page layout parameters).

Synopsis :

     \item texte de l'article

   ou
     \item[ÉTIQUETTE OPTIONNELLE] texte de l'article

   Un entrée dans une liste.  Les entrées sont préfixées par une
étiquette, dont la valeur par défaut dépend du type de liste.

   Parce que l’argument optionnel ÉTIQUETTE OPTIONNELLE est entouré de
crochets (‘[’ et ‘]’), pour utiliser des crochets au sein de l’argument
optionnel vous devez les cacher entre accolades, comme dans
‘\item[Crochet fermant, {]}]’.  De même, pour utiliser un crochet
ouvrant comme premier caractère du texte d’un article, cachez le aussi
au sein d’accolade.  See LaTeX command syntax.

   Dans cet exemple la liste ‘enumerate’ a deux articles qui utilise
l’étiquette par défaut et une qui utilise l’étiquette optionnelle.

     \begin{enumerate}
       \item Moe
       \item[sometimes] Shemp
       \item Larry
     \end{enumerate}

   Le premier article est étiquetté ‘1.’, le deuxième article est
étiquetté ‘sometimes’, et le troisième article est étiquetté ‘2.’ (notez
que, à cause de l’étiquette optionnelle dans le second article, le
troisième article ne reçoit pas l’étiquette ‘3.’).

8.17 ‘math’
===========

Synopsis :

     \begin{math}
     MATHS
     \end{math}

   L’environnement ‘math’ insert les MATHS donnés au sein du texte en
cours.  ‘\(...\))’ et ‘$...$’ sont des synonymes.  See Math formulas.

8.18 ‘minipage’
===============

     \begin{minipage}[POSITION][HAUTEUR][POS-INTERNE]{LARGEUR}
     TEXTE
     \end{minipage}

   L’environnement ‘minipage’ compose son corps TEXTE dans un bloc qui
ne peut pas être coupé sur plusieurs pages.  C’est similaire à la
commande ‘\parbox’ (see \parbox), mais contrairement à ‘\parbox’,
d’autres environnements de production de paragraphe peuvent être
utilisés au sein d’une minipage.

   Les arguments sont les mêmes que pour ‘\parbox’ (see \parbox).

   Par défaut, les paragraphes ne sont pas renfoncés au sein d’un
environnement ‘minipage’.  Vous pouvez restaurer le renfoncement avec
une commande telle que ‘\setlength{\parindent}{1pc}’.

   Les notes en bas de page au sein d’un environnement ‘minipage’ sont
gérées d’une façon qui est particulièrement utiles pour mettre des notes
en bas de page dans des figures ou des tableaux.  Une commande
‘\footnote’ ‘\footnotetext’ met la note en bas de page au bas de la
minipage au lieu de la mettre au bas de la page, et elle utilise le
compteur ‘\mpfootnote’ au lieu du compteur ordinaire ‘footnote’ (see
Counters).

   Cependant, ne mettez pas une minipage à l’intérieur d’une autre si
vous utilisez les note en bas de page ; elles pourraient terminer en bas
de la mauvaise minipage.

8.19 ‘picture’
==============

     \begin{picture}(LARGEUR,HAUTEUR)(DÉCALAGEX,DÉCALAGEY)
     ... COMMANDES PICTURE ...
     \end{picture}

   L’environnement ‘picture’ vous permet de créer toute sorte de dessin
dans lequel vous voulez du texte, des lignes, des flèches et des
cercles.  Vous dîtes à LaTeX où mettre les chose dans le dessin en
spécifiant leur coordonnées.  Une coordonnée est un nombre qui peut
avoir une séparateur décimal (point et non virgule) et un signe moins —
un nombre comme ‘5’, ‘0.3’ ou ‘-3.1416’.  Une coordonnées spécifie une
longueur en multiples de l’unité de longueur ‘\unitlength’, ainsi si
‘\unitlength’ a été réglée à ‘1cm’, alors la coordonnée 2.54 spécifie
une longueur de 2,54 centimètres.

   Vous devriez changer la valeur de ‘\unitlength’, en utilisant la
commande ‘\setlength’, en dehors d’un environnement ‘picture’.  La
valeur par défaut est ‘1pt’.

   Le paquetage ‘picture’ redéfinit l’environnement ‘picture’ de sorte
qu’où que soit utilisé un nombre au sein de COMMANDES PICTURE pour
spécifier une coordonnée, on puisse alternativement utiliser une
longueur.  Notez bien cependant que ceci empèche de dilater/contracter
ces longueurs en changeant ‘\unitlength’.

   Une “position” est une paire de coordonnées, telle que ‘(2.4,-5)’, ce
qui spécifie un point d’abscisse ‘2.4’ et d’ordonnée ‘-5’.  Les
coordonnées sont spécifiées de la manière habituelle relativement à une
origine, qui est normalement dans le coin inférieur gauche du dessin.
Notez que lorsque une position apparaît en argument, elle n’est pas
entourée d’accolades ; on délimite l’argument avec des parenthèses.

   L’environnement ‘picture’ a un argument obligatoire qui est une
position (LARGEUR,HAUTEUR) qui spécifie la taille du dessin.
L’environnement produit une boîte rectangulaire dont les dimensions sont
cette LARGEUR et cette HAUTEUR.

   L’environnement ‘picture’ a aussi un argument optionnel de position
(DÉCALAGEX,DÉCALAGEY), qui suit l’argument de taille, et qui peut
changer l’origine.  (Contrairement aux arguments optionnels ordinaire,
cet argument n’est pas contenu entre crochets.)  L’argument optionnel
donne les coordonnées du point dans le coin inférieur gauche du dessin
(par là même déterminant l’origine).  Par exemple, si ‘\unitlength’ a
été réglée à ‘1mm’, la commande

     \begin{picture}(100,200)(10,20)

produit un dessin de largeur 100 millimetres et hauteur 200 millimetres,
done le coin inférieur gauche est le (10,20) et dont le coin supérieur
doint est donc le point (110,220).  Lorsque vous dessin la première fois
un dessin, typiquement vous omettez l’argument optionnel, laissant
l’origine au coin inférieur gauche.  Si ensuite vous voulez modifier le
dessin en translatant tout, vous pouvez juste ajouter l’argument
optionnel approprié.

   L’argument obligatoire de l’environnement détermine la taille
nominale du dessin.  Il n’est pas nécessaire que cela soit en relation à
la taille réèlle du dessin ; LaTeX vous laissera sans broncher mettre
des chose en dehors de la boîte définie par la taille du dessin, et même
en dehors de la page.  La taille nominale du dessin est utilisée par
LaTeX pour la détermination de la quantité de place à prévoir pour lui.

   Tout ce qui apparaît dans un dessin ‘picture’ est dessiné par la
commande ‘\put’.  La commande

     \put (11.3,-.3){...}

met l’objet spécifié par ‘...’ dans le dessin ‘picture’, avec sont point
de référence aux coordonnées (11.3,-.3).  Les points de référence des
divers objets sont décrits plus bas.

   La commande ‘\put’ crée une “LR box”.  Vous pouvez mettre tout ce qui
peut aller dans une ‘\mbox’ (see \mbox) dans l’argument texte de la
commande ‘\put’.  Quand vous faites cela, le point de référence devient
le coin inférieur gauche de la boîte .

   Les commandes ‘picture’ sont décrites dans les rubriques suivantes.

8.19.1 ‘\circle’
----------------

Synopsis :
     \circle{DIAMÈTRE}
     \circle*{DIAMÈTRE}

   La commande ‘\circle’ produit un cercle dont le diamètre est le plus
proche possible de celui spécifié.  La forme étoilée (en ‘*’) de la
commande dessine un disque, c.-à-d. un cercle plein.

   Des cercles jusqu’à 40pt peuvent être dessinés.

8.19.2 ‘\makebox’
-----------------

Synopsis :
     \makebox(LARGEUR,HAUTEUR)[POSITION]{TEXTE}

   La commande ‘\makebox’ pour l’environnement ‘picture’ est similaire à
la commande normale ‘\makebox’ à ceci près que vous devez spécifier une
LARGEUR et une HAUTEUR implicitement multipliés par ‘\unitlength’.

   L’argument optionnel, ‘[POSITION]’, spécifie le quadrant dans lequel
votre TEXTE apparaît.  Vous pouvez sélectionner jusqu’à deux
spécificateurs parmi les suivants :

‘t’
     Place l’article au sommet du rectangle.

‘b’
     Place l’article en bas du rectangle.

‘l’
     Place l’article sur la gauche.

‘r’
     Place l’article sur la droite.

   See \makebox.

8.19.3 ‘\framebox’
------------------

Synopsis :

     \framebox(LARGEUR,HAUTEUR)[POS]{...}

   La commande ‘\framebox’ est similaire à ‘\makebox’ (voir section
précédent), à ceci près qu’elle met un cadre autour de l’extérieur du
contenu de la boîte qu’elle créée.

   La commande ‘\framebox’ produit un filet d’épaisseur ‘\fboxrule’, et
laisse un espace ‘\fboxsep’ entre le filet et le contenu de la boîte.

8.19.4 ‘\dashbox’
-----------------

Dessine une boîte avec une ligne en tireté.  Synopsis :

     \dashbox{TLONG}(RLARGEUR,RHAUTEUR)[POS]{TEXTE}

   ‘\dashbox’ crée un rectangle en tireté autour de TEXTE au sein d’un
environnement ‘picture’.  Les tirets sont long de TLONG unités, et le
rectangle a pour largeur totale RLARGEUR et hauteur totale RHAUTEUR.  Le
TEXTE est positionné par l’argument optionnel POS.

   Une boîte en tireté a meilleure allure quand les paramètres RLARGEUR
et RHAUTEUR sont des multiple de TLONG.

8.19.5 ‘\frame’
---------------

Synopsis :

     \frame{TEXTE}

   La commande ‘\frame’ met un cadre rectangulaire autour de TEXTE.  Le
point de référence est le coin en bas à gauche du cadre.  Aucun espace
supplémentaire n’est mis entre le cadre et l’objet TEXTE.

8.19.6 ‘\line’
--------------

Synopsis :

     \line(XPENTE,YPENTE){LONGUEUR}

   La commande ‘\line’ dessine un ligne avec la LONGUEUR donnée et la
pente XPENTE/YPENTE.

   De base LaTeX peut seulement dessiner des ligne dont la PENTE = x/y,
où x et y prennent des valeurs entières de −6 jusqu’à 6.  Pour des ligne
de pente quelconque, sans parler d’autres formes, voir le paquetage
‘curve2e’ et bien d’autres sur le CTAN.

8.19.7 ‘\linethickness’
-----------------------

La commande ‘\linethickness{DIM}’ déclare que l’épaisseur des lignes
horizontales et verticales dans un environnement ‘picture’ environnement
vaut DIM, qui doit être une longueur positive.

   ‘\linethickness’ n’affecte pas l’épaisseur des lignes obliques,
cercles, ou quarts de cercles dessinés par ‘\oval’.

8.19.8 ‘\thicklines’
--------------------

La commande ‘\thicklines’ est une épaisseur de trait alternative pour
les lignes verticales et horizontales dans un environnement picture ;
cf. \linethickness et \thinlines.

8.19.9 ‘\thinlines’
-------------------

La commande ‘\thinlines’ est l’épaisseur de trait par défaut pour les
lignes horizontales et verticales dans un environnement picture ;
cf. \linethickness et \thicklines.

8.19.10 ‘\multiput’
-------------------

Synopsis :
     \multiput(X,Y)(DELTA_X,DELTA_Y){N}{OBJ}

   La commande ‘\multiput’ copie l’objet OBJ en un motif régulier à
travers la figure.  OBJ est placé en premier à la position (x,y), puis à
la position (x+\delta x,y+\delta y), et ainsi de suite, N fois.

8.19.11 ‘\oval’
---------------

Synopsis :

     \oval(LARGEUR,HAUTEUR)[PORTION]

   La commande ‘\oval’ produit un rectangle aux coins arrondis.
L’argument optionnel PORTION vous permet de ne produire qu’une moitié de
l’ovale selon ce qui suit :

‘t’
     selectionne la moitié supérieure ;
‘b’
     selectionne la moitié inférieure ;
‘r’
     selectionne la moitié de droite ;
‘l’
     selectionne la moitié de gauche.

   Il est également possible de ne produire qu’un quart de l’ovale en
réglant PORTION à ‘tr’, ‘br’, ‘bl’, ou ‘tl’.

   Les « coins » de l’ovale sont fabriqués avec des quarts de cercle
d’un rayon maximal de 20pt, ainsi les « ovales » de grande taille
ressembleront plus à des boîtes aux coins arrondis.

8.19.12 ‘\put’
--------------

‘\put(XCOORD,YCOORD){ ... }’

   La commande ‘\put’ place l’article spécifié par l’argument
obligatoire aux coordonnées XCOORD et YCOORD fournies.

8.19.13 ‘\shortstack’
---------------------

Synopsis :

     \shortstack[POSITION]{...\\...\\...}

   La commande ‘\shortstack’ produit une pile d’objets.  Les positions
valides sont :

‘r’
     Déplace les objets à la droite de la pile.
‘l’
     Déplace les objets à la gauche de la pile
‘c’
     Déplace les objets au centre de la pile (position par défaut)

   Les objets sont séparés avec ‘\\’.

8.19.14 ‘\vector’
-----------------

Synopsis :

     \vector(XPENTE,YPENTE){LONGUEUR}

   La commande ‘\vector’ dessine une ligne fléchée de la LONGUEUR et
direction (XPENTE,YPENTE) spécifiées.  Les valeurs de XPENTE et YPENTE
doivent être comprises entre −4 and +4 y compris.

8.20 ‘quotation’ et ‘quote’
===========================

Synopsis :

     \begin{quotation}
     TEXTE
     \end{quotation}

   ou

     \begin{quote}
     TEXTE
     \end{quote}

   Cite du texte.

   Dans les deux environnement, les marges sont renfoncées à la fois sur
la gauche et la droite.  Le texte est justifié des deux côtés sur la
marge.  De même que dans le texte principal, laisser une ligne à blanc
au sein du texte produit un nouveau paragraphe.

   Pour comparer les deux : dans l’environnement ‘quotation’, les
paragraphes sont renfoncés de 1,5em et l’espace entre les paragraphe est
petit, ‘0pt plus 1pt’.  Dans l’environnement ‘quote’, les paragraphes ne
sont pas renfoncés et il y a une espace verticale entre les paragraphes
(c’est la longueur elastique ‘\parsep’).  Ainsi, l’environnement
‘quotation’ convient mieux environm aux documents où les nouveaux
paragraphes sont marqués par un renfoncement plutôt que par une
séparation verticale.  De plus, ‘quote’ convient meieux pour des
citations courtes ou une suite de citations courtes.

     \begin{quotation}
     \it Il y a quatre-vingt sept ans
       ... ne disparaîtra jamais de la surface de la terre.
     \hspace{1em plus 1fill}---Abraham Lincoln
     \end{quotation}

8.21 ‘tabbing’
==============

Synopsis :

     \begin{tabbing}
     ROW1COL1 \= ROW1COL2 \= ROW1COL3 \= ROW1COL4 \\
     ROW2COL1 \> \> ROW2COL3 \\
     ...
     \end{tabbing}

   L’environnement ‘tabbing’ fournit une technique pour aligner du texte
en colonnes.  Il fonctionne en réglant des taquet et en tabulant jusqu’à
eux bien comme on le ferait sur une machine à écrire.  Il convient le
mieux pour les cas où la largeur de chaque colonnne est constante et
connue d’avance.

   Cet environnement peut être rompu entre plusieurs pages,
contrairement à l’environnement ‘tabular’.

   Les commandes suivante peuvent être utilisée au sein d’un
environnement ‘tabbing’ :

‘\\ (tabbing)’
     Finit une ligne.

‘\= (tabbing)’
     Règle un taquet à la position courante.

‘\> (tabbing)’
     Avance au taquet suivant.

‘\<’
     Place le texte qui suit à la gauche de la marge locale (sans
     changer cette marge).  Ne peut être utilisé qu’au début d’une
     ligne.

‘\+’
     Déplace la marge de gauche d’un taquet vers la droite pour la ligne
     suivante et toutes celles qui suivent.

‘\-’
     Déplace la marge de gauche d’un taquet vers la gauche pour la ligne
     suivante et toutes celles qui suivent.

‘\' (tabbing)’
     Déplace tout ce que vous avez tapé jusqu’alors dans la colonne
     courante, c.-à-d. tout ce qui suit la plus récente commande ‘\>’,
     ‘\<’, ‘\'’, ‘\\’, ou ‘\kill’, à la droite de la colonne précédente,
     aligné à droite sur le taquet de la colonne courante.

‘\` (tabbing)’
     Vous perme de placer du texte justifié à droite sur n’importe quel
     taquet, y compris le taquet 0.  Toutefois, ne peut pas placer du
     texte à la droite de la dernière colonne parce qu’il n’y a pas de
     taquet à cet endroit.  La commande ‘\`’ déplace tout le texte qui
     la suit, jusqu’à la commande ‘\\’ ou ‘\end{tabbing}’ qui termine la
     ligne.

‘\a (tabbing)’
     Dans un environnement ‘tabbing’, les commandes ‘\=’, ‘\'’ et ‘\`’
     ne produisent pas d’accents comme d’habitude (see Accents).  À
     leur place, on utilise les commandes ‘\a=’, ‘\a'’ et ‘\a`’.

‘\kill’
     Règles les taquets sans produire de texte.  Fonctionne tout comme
     ‘\\’ à ceci près que la ligne courante est jetée au lieu de
     produire une sortie.  L’effet de toute commande ‘\=’, ‘\+’ ou ‘\-’
     dans cette ligne demeure en vigueur.

‘\poptabs’
     Restaure les positions de taquets sauvegardés par le dernier
     ‘\pushtabs’.

‘\pushtabs’
     Sauvegarde positions courantes de tous les taquets.  C’est utile
     pour changer temporairement les positions de taquets au milieu d’un
     environnement ‘tabbing’.

‘\tabbingsep’
     Distance à la gauche d’un taquet déplacé par ‘\'’.

   Cet exemple compose un fonction en Pascal function dans un format
traditionnel :

     \begin{tabbing}
     function \= fact(n : integer) : integer;\\
              \> begin \= \+ \\
                    \> if \= n $>$ 1 then \+ \\
                             fact := n * fact(n-1) \- \\
                       else \+ \\
                             fact := 1; \-\- \\
                 end;\\
     \end{tabbing}

8.22 ‘table’
============

Synopsis :

      \begin{table}[PLACEMENT]
       CORPS-DU-TALBEAU
      \caption[TITRELDT]{TITRE}
      \end{table}

   Une classe de flottants (see Floats).  Parce qu’ils ne peuvent
pas être coupés à cheval sur plusieurs pages, il ne sont pas composés en
séquence avec le texte normale, mais à la place sont « flottés » vers un
endroit convenable, tel que le sommet d’une page suivante.

   Pour les valeurs possibles de PLACEMENT et leur effet sur
l’algorithme de placement des flottants, voir Floats.

   Le corps du tableau est composé dans une ‘parbox’ de largueur
‘\textwidth’ and ainsi il peut contenir du texte, des commandes, etc.

   L’étiquette est optionnelle ; elle est utilisée pour les double
renvois (see Cross references).  La commande ‘\caption’ spécifie la
légende TEXTE pour la figure.  La légende est numérotée par défaut.  Si
TITRELDT est présent, il est utilisé dans la liste des talbeaux au lieu
de TITRE (see Tables of contents).

     \begin{table}[b]
       \centering
       \begin{tabular}{r|p{2in}} \hline
         Un &Le plus solitaire des nombres \\
         Deux &Peut être aussi triste qu'un.
              C'est le nombre le plus solitaire après le nombre un.
       \end{tabular}
       \caption{Vertus cardinales}
       \label{tab:VertusCardinales}
     \end{table}

8.23 ‘tabular’
==============

Synopsis :

     \begin{tabular}[POS]{COLS}
     column 1 entry & column 2 entry ... & column n entry \\
     ...
     \end{tabular}

ou

     \begin{tabular*}{LARGEUR}[POS]{COLS}
     column 1 entry & column 2 entry ... & column n entry \\
     ...
     \end{tabular*}

   Ces environnements produisent une boîte consistant d’une séquence de
ligne horizontales.  Chaque ligne consiste en des articles qui sont
alignés verticalement au sein de colonnes.  Ci-après une illustration de
beaucoup des caractéristiques.

     \begin{tabular}{l|l}
       \textit{Nom du joueur}  &\textit{Coups de circuit de toute sa carrière}  \\
       \hline
       Hank Aaron  &755 \\
       Babe Ruth   &714
     \end{tabular}

   Le format vertical de deux colonnes alignées à gauche, avec une barre
verticales entre elles, est spécifié par l’argument ‘{l|l}’ de
‘tabular’.  Les colonnes sont séparées avec une esperluette ‘&’.  On
crée un filet horizontal entre deux ligne avec ‘\hline’.  La fin de
chaque ligne est marquée avec une double-contr’oblique ‘\\’.  Cette ‘\\’
est optionnelle après la dernière ligne, à moins qu’une commande
‘\hline’ suive, pour mettre un filet sous le tableau.

   Les arguments obligatoires et optionnels de ‘tabular’ consistent en :

‘largeur’
     Obligatoire pour ‘tabular*’, non autorisé pour ‘tabular’.  Spécifie
     la largeur de l’ environnement ‘tabular*’.  Il doit y avoir de
     l’espace élastique entre les colonnes, comme avec with
     ‘@{\extracolsep{\fill}}’, de sorte à permettre au tableau de se
     dilater ou contracter pour faire la largeur spécifiée, sans quoi
     vous aurez probablement l’avertissement ‘Underfull \hbox (badness
     10000) in alignment ..’.

‘pos’
     Optionnel.  Spécifie la position verticale du tableau.  La valeur
     par défaut est d’aligner le tableau de sorte à ce que son centre
     vertical s’accorder à la ligne de base du texte autour.  Il y a
     deux autres alignements possible : ‘t’ aligne le tableau de sorte
     que la première ligne s’accorde à la ligne de base du texte autour,
     et ‘b’ fait la même chose pour la dernière ligne du tableau.

     Ceci n’a un effet que si il y a du texte autour de la table.  Dans
     le cas usuel d’un ‘tabular’ seul au sein d’un environnement
     ‘center’ cette option ne fait aucune différence.

‘cols’
     Obligatoire.  Spécifie le formatage des colonnes.  Il consiste en
     une séquence des spécificateurs suivants, correspondant à la
     séquence des colonnes et du matériel intercolonne.

     ‘l’
          Une colonne d’articles alignés à gauche.

     ‘r’
          Une colonne d’article alignés à droite.

     ‘c’
          Une colonne d’article centrés.

     ‘|’
          Une ligne verticale s’étendant complètement sur la hauteur et
          profondeur de l’environnement.

     ‘@{TEXTE OU ESPACE}’
          Ceci insère TEXTE OU ESPACE à cette position dans chaque
          ligne.  Le matériel TEXTE OU ESPACE est composé en mode LR. Ce
          texte est fragile (see \protect).

          Ce spécificateur est optionnel : à moins que vous mettiez dans
          votre propre @-expression alors les classes ‘book’, ‘article’
          et ‘report’ de LaTeX mettent de chaque côté de chaque colonne
          un espace de longueur ‘\tabcolsep’, qui par défaut vaut ‘6pt’.
          C’est à dire que par défaut des colonnes adjacentes sont
          séparées de 12pt (ainsi ‘\tabcolsep’ est un nom trompeur
          puisque ce n’est pas la séparation entre des colonnes de
          tableau).  Aussi, par défaut un espace de 6pt vient après la
          première colonne ainsi qu’après la dernière colonne, à moins
          que vous placiez un ‘@{...}’ ou ‘|’ à cet endroit.

          Si vous l’emportez sur la valeur par défaut et utilisez une
          expression en ‘@{...}’ alors vous devez insérer tout espace
          désiré vous-même, comme dans ‘@{\hspace{1em}}’.

          Une expression vide ‘@{}’ élimine l’espace, y compris l’espace
          au début ou à la fin, comme dans l’exemple ci-dessous où on
          veut que les lignes du tableau soient alignées sur la marge de
          gauche.

               \begin{flushleft}
                 \begin{tabular}{@{}l}
                   ..
                 \end{tabular}
               \end{flushleft}

          Cet exemple montre du texte, une virgule de séparation
          décimale, entre les colonnes, arangé de sorte que les nombres
          dans la table sont alignés sur cette virgule.

               \begin{tabular}{r@{$,$}l}
                 $3$ &$14$  \\
                 $9$ &$80665$
               \end{tabular}

          Une commande ‘\extracolsep{LRG}’ au sein d’une expression en
          ‘@{...}’ a pour effet qu’une espace supplémentaire de largeur
          LRG apparaît sur la gauche de toutes les colonnes suivantes,
          jusqu’à contre-ordre d’une autre commande ‘\extracolsep’.
          Contrairement aux à espace inter-colonnes ordinaires, cette
          espace supplémentaire n’est pas supprimé par une expression en
          ‘@{...}’.  Une commande ‘\extracolsep’ peut uniquement être
          utilisée au sein d’une expression en ‘@{...}’ elle-même au
          sein de l’argument ‘cols’.

               \begin{center}
                 \begin{tabular*}{10cm}{l@{\ \ldots\extracolsep{\fill}}l}
                   Tomber sept fois, se relever huit
                   &c'est comme ça la vie !
                 \end{tabular*}
               \end{center}

          Pour insérer des commandes qui sont automatiquement exécutées
          avant une colonne donnée, charger le paquetage ‘array’ et
          utilisez le spécificateur ‘>{...}’.

     ‘p{LRG}’
          Chaque cellule de la colonne est composée au sein d’une parbox
          de largeur LRG.

          Note que les sauts de ligne de type double-contr’oblique ‘\\’
          ne sont pas permis au sein d’une telle cellule, sauf à
          l’intérieur d’un environnement comme ‘minipage’, ‘array’, ou
          ‘tabular’, ou à l’intérieur d’une ‘\parbox’ explicite, ou dans
          la portée d’une déclaration ‘\centering’, ‘\raggedright’, ou
          ‘\raggedleft’ (quand elles sont utilisée au sein d’une cellule
          de colonne en ‘p’ ces déclaration doivent apparaître entre
          accolade, comme dans ‘{\centering .. \\ ..}’.  Sans quoi LaTeX
          prendra la double contr’oblique comme une fin de ligne.

     ‘*{NUM}{COLS}’
          Équivalent à NUM copies de COLS, où NUM est un entier positif
          et COLS est toute liste de spécificateurs.  Ainsi
          ‘\begin{tabular}{|*{3}{l|r}|}’ équivaut à
          ‘\begin{tabular}{|l|rl|rl|r|}’.  Notez que COLS peut contenir
          une autre expression en ‘*{...}{...}’.

   Paramètres qui contrôlent le formatage :

‘\arrayrulewidth’
     Une longueur qui est l’épaisseur du filet créé par ‘|’, ‘\hline’,
     et ‘\vline’ au sein des environnements ‘tabular’ et ‘array’.  La
     valeur par défaut est ‘.4pt’.  On peut la changer comme dans
     ‘\setlength{\arrayrulewidth}{0.8pt}’.

‘\arraystretch’
     Un facteur par lequel l’espacement entre les lignes au sein des
     environnement ‘tabular’ et ‘array’ est multiplié.  La valeur par
     défaut est ‘1’ pour aucune dilatation/contraction.  On peut la
     changer comme dans ‘\renewcommand{\arraystretch}{1.2}’.

‘\doublerulesep’
     Une longueur qui est la distance ente les filets verticaux produit
     par le spécificateur ‘||’.  La valeur par défaut est ‘2pt’.

‘\tabcolsep’
     Une longueur qui est la moitié de l’espace entre les colonnes.  La
     valeur par défaut est ‘6pt’.  On peut la changer avec ‘\setlength’

   Les commandes suivantes peuvent être utilisées à l’intérieur du corps
d’un environnement ‘tabular’ :

8.23.1 ‘\multicolumn’
---------------------

Synopsis :
     \multicolumn{NBRECOLS}{PATRON}{TEXTE}

   Fabrique une entrée de ‘array’ ou ‘tabular’ fusionnée sur plusieurs
colonnes.  Le premier argument, NBRECOLS spécifie le nombre de colonnes
sur lesquelles s’étend la fusion.  Le second argument, PATRON, est
obligatoire et spécifie le format de l’entrée ; notamment ‘c’ pour
centré, ‘l’ pour aligné à gauche, ‘r’ pour aligné à droite.  Le
troisième argument, TEXTE spécifie le texte à mettre dans l’entrée.

   Dans l’exemple suivant les trois première colonnes sont fusionnées en
le titre unique ‘Nom’.

     \begin{tabular}{lccl}
       \textit{ID}     &\multicolumn{2}{c}{\textit{Nom}} &\textit{Âge}\\ \hline % ligne 1
       978-0-393-03701-2 &O'Brian &Patrick                         &55            \\ % ligne two
         ...
     \end{tabular}

   On compte comme colonne chaque partie du patron PATRON de
l’environnement ‘array’ ou ‘tabular’ qui, à l’exception de la première,
commence par ‘l’, ‘c’, ‘r’, ou ‘p’.  Ainsi à partir de
‘\begin{tabular}{|r|ccp{4cm}|}’ les partie sont ‘|r|’, ‘c’, ‘c’,
et ‘p{1.5in}|’.

   L’argument PATRON l’emporte sur la spécification par défaut de zone
inter-colonne de l’environnement ‘array’ ou ‘tabular’ contigüe à cette
entrée multi-colonne.  Pour affecter cette zone, cet argument peut
contenir des barre verticale ‘|’ indiquant le placement de filets
verticaux, et d’expression ‘@{...}’.  Ainsi si PATRON est ‘|c|’ alors
l’entrée multi-colonne est centrée et un filet vertical la précède et la
suit dans les espaces intercolonne de part et d’autre.  Ce tableau nous
permet de décrire en détail le comportement exact.

     \begin{tabular}{|cc|c|c|}
       \multicolumn{1}{r}{w}       % entrée un
         &\multicolumn{1}{|r|}{x}  % entrée deux
         &\multicolumn{1}{|r}{y}   % entrée trois
         &z                        % entrée quatre
     \end{tabular}

   Avant la première entrée il n’y a pas de filet verticale en sortie
parce que le ‘\multicolumn’ a le spécificateur ‘r’ dans PATRON sans
barre verticales initiale.  Entre les entrée un et deux il y a un filet
vertical ; en effet bien que le premier PATRON ne se termine pas par une
barre verticale, le second PATRON en a une à son commencement.  Entre la
deuxième et la troisième entré il y a un seul filet vertical ; bien que
le PATRON dans les deux ‘multicolumn’ correspondant demandent un filet
vertical, vous n’en obtenez qu’un seul.  Entre les entrée trois et
quatre il n’y a aucun filet vertical ; la spécification par défaut en
demande un mais le PATRON dans le ‘\multicolumn’ de la troisième entrée
n’en demande pas, et cela l’emporte.  Finalement, à la suite de la
quatrième entrée il y a un filet vertical à cause de la spécification
par défaut.

   Le nombre de colonnes fusionnées NBRECOLS peut être 1.  En plus de
donner la possibilité de changer l’alignement horizontal, ceci est aussi
utile pour l’emporter pour l’une des ligne sur la définition ‘tabular’
par défaut de la zone inter-colonne, y compris concernant le placement
des filets verticaux.

   Dans l’exemple ci-dessous, dans la définition ‘tabular’ de la
première colonne on spécifie par défaut de justfier, mais au sein de la
première ligne l’entrée est centrée avec
‘\multicolumn{1}{c}{\textsc{Période}}’.  De même au sein de la première
ligne, les deuxième et troisième colonnes sont fusionnées entre elle
avec ‘\multicolumn{2}{c}{\textsc{Intervalle}}’, l’emportant sur la
spécification pour centrer ces deux colonnes sur le trait d’union au
sein de la plage de dates.

     \begin{tabular}{l|r@{-}l}
       \multicolumn{1}{c}{\textsc{Période}}
         &multicolumn{2}{c}{\textsc{Dates}} \\ \hline
       Baroque          &1600           &1760         \\
       Classique        &1730           &1820         \\
       Romantique       &1780           &1910         \\
       Impressioniste   &1875           &1925
     \end{tabular}

   Noter ue bien que la spécification ‘tabular’ par défaut place un
filet vertical etre la première et la deuxième colonne, du fait qu’il
n’y pas pas de barre verticale dans aucun des patrons PATRON des
commandes ‘\multicolumn’ des deux premières colonne, alors aucun filet
n’apparaît sur la première ligne.

8.23.2 ‘\cline’
---------------

Synopsis :

     \cline{I-J}

   La commande ‘\cline’ dessine des lignes horizontales à travers les
colonnes spécifiées en arguments obligatoires, en commençant dans la I
et finissant dans la colonne J.

8.23.3 ‘\hline’
---------------

La commande ‘\hline’ dessine une ligne horizontale de la largeur de
l’environnement ‘tabular’ ou ‘array’ surjacent.  Elle est la plupart du
temps utilisé pour dessiner une ligne au sommet, bas, et entre les
lignes d’un tableau.

8.23.4 ‘\vline’
---------------

La commande ‘\vline’ dessine une ligne verticale s’étendant sur la
totalité de la hauteur et de la profondeur de sa ligne.  Une commande
‘\hfill’ peut être utilisée pour déplacer cette ligne verticale vers le
bord de la colonne.  La commande ‘\vline’ peut aussi être utilisée dans
une expression ‘@{...}’.

8.24 ‘thebibliography’
======================

Synopsis :

     \begin{thebibliography}{ÉTIQUETTE-LA-PLUS-LARGE}
     \bibitem[ÉTIQUETTE]{CLEF_DE_CITE}
     ...
     \end{thebibliography}

   L’environnement ‘thebibliography’ produit une bibliographie ou une
liste de références.

   Dans la classe ‘article’, cette liste de références est intitulée
« Réferences » ; dans la classe ‘report’, elle est intitulée
« Bibliographie ».  Vous pouvez changer le titre (dans les classes
standardes) en redéfinissant la commande ‘\refname’.  Par exemple, cela
l’élimine complètement :

     \renewcommand{\refname}{}

   L’argument obligatoire ÉTIQUETTE-LA-PLUS-LARGE est un texte qui,
lorsqu’il est composé, est aussi large que la plus large des étiquettes
d’article produit pas les commandes ‘\bibitem’.  C’est typiquement donné
comme ‘9’ pour des bibliographies de moins de 10 références, ‘99’ pour
celles qui en on moins de 100, etc.

8.24.1 ‘\bibitem’
-----------------

Synopsis :
     \bibitem[ÉTIQUETTE]{CLEF_DE_CITE}

   La commande ‘\bibitem’ génère une entrée étiquetée par ÉTIQUETTE.  Si
l’argument ÉTIQUETTE est omis, un numéro est automatiquement généré en
utilisant le compteur ‘enumi’.  L’argument CLEF_DE_CITE est une “clef de
référence bibiliographique” consistant en une séquence quelconque de
lettres, chiffres, et signes de ponctuation ne contenant aucune virgule.

   Cette commande écrit une entrée dans le fichier ‘.aux’, et cette
entrée contient les ÉTIQUETTE et CLEF_DE_CITE de l’article considéré.
Lorsque le fichier ‘.aux’ est lu par la commande ‘\begin{document}’,
l’ÉTIQUETTE de l’article est associée à sa CLEF_DE_CITE, ce qui a pour
effet que toute référence à CLEF_DE_CITE avec une commande ‘\cite’
(see \cite) produit l’ÉTIQUETTE associée.

8.24.2 ‘\cite’
--------------

Synopsis :

     \cite[SUBCITE]{CLEFS}

   L’argument CLEFS est une liste d’une ou plus de clefs de références
bibliographiques (see \bibitem), séparées par des virgules.  Cette
commande génère une référence bibliographique au sein du textes
contenant les étiquettes associées aux clefs contenues dans CLEFS par
les entrées respectives au sein du fichier ‘.aux’.

   Le texte de l’argument optionnel SUBCITE apparaît après l’étiquette
de référence.  Par exemple, ‘\cite[p.~314]{knuth}’ pourrait produire
‘[Knuth, p. 314]’.

8.24.3 ‘\nocite’
----------------

Synopsis :

     \nocite{CLEFS}

   La commande ‘\nocite’ ne produit aucun texte, mais écrit CLEFS, ce
qui est une liste d’une ou plusieurs clefs de référence bibliograhique
dans le fichier ‘.aux’.

8.24.4 Utilisation de BibTeX
----------------------------

Si vous utilisez le programme BibTeX d’Oren Patashnik (ce qui est
fortement recommandé si vous avez besoin d’une bibliographie de plus
d’un ou deux titre) pour mainteninr votre bibliographie, vous n’utilisez
pas l’environnement ‘thebibliography’ (see thebibliography).  Au
lieu de cela, vous incluez les lignes :

     \bibliographystyle{STYLEBIB}
     \bibliography{FICBIB1,FICBIB2}

   La commande ‘\bibliographystyle’ ne produit aucune sortie en
elle-même.  En revanche, elle définit le style dans lequel la
bibliographie est à produite : STYLEBIB fait référence à un fichier
STYLEBIB‘.bst’ définissant l’aspect que doivent avoir vos référence
bibliographique.  Les nom STYLEBIB standards distribués avec BibTeX
sont :

‘alpha’
     Classé alphabetiquement.  Les étiquettes sont formées à partir du
     nom de l’auteur et de l’année de publication.
‘plain’
     Classé alphabetiquement.  Les étiquettes sont des numéros.
‘unsrt’
     Comme ‘plain’, mais les entrées sont dans l’ordre où les références
     y sont faites dans le texte.
‘abbrv’
     Comme ‘plain’, mais les étiquettes sont plus compactes.

   De plus, de nombreux autres styles BibTeX existent faits sur mesure
pour satisfaire les exigences de diverses publications.  Voir
<http://mirror.ctan.org/biblio/bibtex/contrib>.

   La commande ‘\bibliography’ est ce qui produit pour de bon la
bibliographie.  L’argument de ‘\bibliography’ fait référence aux
fichiers nommés ‘FICBIB1.bib’, ‘FICBIB2.bib’, ..., qui sont censés
contenir votre base de donnée au format BibTeX.  Seules les entrées
désignées par les commandes ‘\cite’ ou ‘\nocite’ sont listées dans la
bibliographie.

8.25 ‘theorem’
==============

Synopsis :

     \begin{theorem}
     TEXTE-THÉORÈME
     \end{theorem}

   L’environnement ‘theorem’ produit « Théorème N » en gras suivi de
TEXTE-THÉORÈME, où les possibilité de numérotation pour N sont décrites
par ‘\newtheorem’ (see \newtheorem).

8.26 ‘titlepage’
================

Synopsis :

     \begin{titlepage}
     TEXTE
     \end{titlepage}

   L’environnement ‘titlepage’ crée une page de titre, c’est à dire une
page sur laquelle ne sont inscrit aucun numéro de page ou libellé de
rubrique.  Il entraîne aussi que la page suivante a le numéro un.  Le
formatage de la page de titre vous est laissé.  La commande ‘\today’
peut être utile sur les pages de titre (see \today).

   Vous pouvez utiliser la commande ‘\maketitle’ (see \maketitle)
pour produire une page de titre standarde sans utiliser l’environnement
‘titlepage’.

8.27 ‘verbatim’
===============

Synopsis :

     \begin{verbatim}
     LITERAL-TEXTE
     \end{verbatim}

   L’environnement ‘verbatim’ est un environnement qui fabrique des
paragraphes dans lequel LaTeX produit exactement ce qui vous y taez ;
par exemple le caractère ‘\’ produit ‘\’ à l’impression .  Il, fait de
LaTeX une machine à écrire, c.-à-d. que le retour chariot et les blancs
y ont un tel effet.

   L’environnement ‘verbatim’ utilise une police de type machine à
écrire à chasse fixe (‘\tt’).

8.27.1 ‘\verb’
--------------

Synopsis :

     \verbCARTEXTE-LITTÉRALCAR
     \verb*CARTEXTE-LITTÉRALCAR

   La commande ‘\verb’ compose TEXTE-LITTÉRAL comme il est entré, en
incluant les caractères spéciaux et les espaces, en utilisant la police
tapuscrit (‘\tt’).  Aucun espaces n’est autorisé entre ‘\verb’ ou
‘\verb*’ et le délimiteur CAR qui marque le début et la fin du texte
verbatim.  Le délimiteur ne doit pas aparaître dans le TEXTE-LITTÉRAL.

   La forme étoilée (en ‘*’) diffère seulement en ce que les espaces
sont tapés avec un caractère « espace visible ».

8.28 ‘verse’
============

Synopsis :

     \begin{verse}
     LINE1 \\
     LINE2 \\
     ...
     \end{verse}

   L’environnement ‘verse’ est conçu pour la poésie, bien que vous
pouvez lui trouver d’autres usages.

   Les marges sont renfoncées sur la gauche et la droite, les
paragraphes ne le sont pas, et le texte n’est pas justifié.  Séparez le
ligne de chaque strophe avec ‘\\’, et utilisez une ou plusieurs lignes
vides pour séparer les strophes.

9 Saut à la ligne
*****************

La première chose que LaTeX fait lorsqu’il traite du texte ordinaire est
de traduire votre fichier d’entrée en une séquence de glyphes et
d’espaces.  Pour produire un document imprimé, cette séquence doit être
rompue en lignes (et ces lignes doivent être rompues en pages).

   D’ordinaire LaTeX effectue la rupture de ligne (et de page) pour
vous, mais dans certains environnements, vous faites la rupture
vous-même avec la commande ‘\\’, et vous pouvez toujours forcer
manuellement les ruptures.

9.1 ‘\\’
========

Synopsis :

     \\[ESPACEENPLUS]

   ou

     \\*[ESPACEENPLUS]

   Commencer une nouvelle ligne.  L’argument optionnel ESPACEENPLUS
spécifie l’espace supplémentaire vertical à insérer avant la ligne
suivante.  Ceci peut être une longueur négative.  Le texte avant le saut
est composé à sa longueur normale, c.-à-d. qu’il n’est pas dilaté pour
remplir la largeur de la ligne.

   Les sauts de ligne explicites au sein du corps de texte sont
inhabituels en LaTeX.  en particulier, pour commencer un nouveau
paragraphe laissez plutôt une ligne à blanc.  Cette commande est
utilisée principalement en dehors du flux principal de texte comme dans
un environnement ‘tabular’ ou ‘array’.

   Dans des circonstances ordinaires (par ex. en dehors d’une colonne
spécifiée par ‘p{...}’ dans un environnement ‘tabular’) la commande
‘\newline’ est un synonyme de ‘\\’ (see \newline).

   En plus de commencer une nouvelle ligne, la forme étoilée ‘\\*’ dit à
LaTeX de ne pas commencer une nouvelle page entre les deux lignes, en
émettant un ‘\nobreak’.

     \title{Mon histoire~: \\[7mm]
            un conte pathétique}

9.2 ‘\obeycr’ & ‘\restorecr’
============================

La commande ‘\obeycr’ a pour effet qu’un retour chariot dans le fichier
d’entrée (‘^^M’, internement) soit traité de la même façon que ‘\\’
(suivi d’un ‘\relax’).  Ainsi chaque passage à la ligne dans l’entrée
est aussi un passage à la ligne dans la sortie.

   ‘\restorecr’ restaure le comportement normal vis à vis des saut de
ligne.

9.3 ‘\newline’
==============

Dans du texte ordinaire ceci est équivalent à une double-contr’oblique
(see \\) ; cela rompt la ligne, sans dilatation du texte le
précéndent.

   Au sein d’un environnement ‘tabular’ ou ‘array’, dans une colonne
avec un specificateur produisant une boîte paragraphe, comme typiquement
‘p{..}’, ‘\newline’ insère un saut de ligne au sein de la colonne,
c.-à-d. insère un saut de ligne à l’intérieur de la colonne, c.-à-d.
qu’il ne rompt pas la ligne entière.  Pour rompre la ligne entière
utilisez ‘\\’ ou son équivalent ‘\tabularnewline’.

   L’exemple suivant écrit ‘Nom~:’ et ‘Adresse~:’ comme deux ligne ain
sein d’une seule cellule du tableau.

     \begin{tabular}{p{2.5cm}{\hspace{5cm}}p{2.5cm}}
       Nom~: \newline Adresse~: &Date~: \\ \hline
     \end{tabular}

   La ‘Date~:’ sera alignée sur la ligne de base de ‘Nom~:’.

9.4 ‘\-’ (césure à gré)
=======================

La commande ‘\-’ commande dit à LaTeX qu’il peut faire une césure du
mode à cet endroit.  LaTeX est très bon en ce qui concerne les césures,
et il trouve la plupart des points corrects de césure, tout en n’en
utilisant presque jamais un incorrect.  La commande ‘\-’ est commande
est utilisée pour les cas exceptionnels.

   Quand vous insérez des commandes ‘\-’ dans un mot, le mot ne pourra
avoir de césure qu’à ces endroit et non dans aucun des points de césure
que LaTeX aurait pu choisir sinon.

9.5 ‘\discretionary’ (point de césure généralisé)
=================================================

Synopsis :

     \discretionary{AVANT-SAUT}{APRÈS-SAUT}{SANS-SAUT}

   La commande ‘\discretionary’ permet de contrôler finement la césure
dans les cas où ne suffisent ni le contrôle standard de la césure fait
l’algorithme de césure de TeX et les règles de césures données par les
paquetages de gestion linguistiques, ni les moyens de contrôle
explicites offerts par les commandes ‘\hyphenation’ (see
\hyphenation) et ‘\-’ (see \- (césure à gré)).

   ‘\discretionary’ indique qu’un saut de ligne est possible à cet
endroit.  Dans le cas d’un saut de ligne, le texte AVANT-SAUT est placé
immédiatement avant le saut, et le texte APRÈS-SAUT immédiatement après.
Dans le cas sans saut de ligne le texte SANS-SAUT est imprimé.

   Les arguments de ‘\discretionary’ ne peuvent contrenir que des
caractères, des boîtes ou des crénages.

   L’usage typique de ‘\discretionary’ est par exemple de contrôler la
césure au sein d’une formule mathématique en mode ligne (voir aussi
Miscellanées mathématique (entrée \*)).
Ci-dessous un exemple de contrôle de la césure au sein d’une adresse
réticulaire, où l’on autorise la césure sur les obliques mais en
utilisant une contr’oblique violette en lieu de trait d’union :

     \documentclass{article}
     \usepackage[T1]{fontenc}
     \usepackage[utf8]{inputenc}
     \usepackage{xcolor}
     \usepackage{hyperref}
     \usepackage{french}
     \newcommand*\DiscrSlash{\discretionary{\mbox{\textcolor
      {purple}{\textbackslash}}}{/}{/}}
     \begin{document}
     Allez donc à \href{http://une/tr\%c3\%A8s/tr\%c3\%A8s/longue%
       /mais/vraiment/tr\%c3\%A8s/longue/adresse/r\%C3\%A9ticulaire%
       /index.html}{http://une\DiscrSlash très\DiscrSlash très\DiscrSlash
       longue\DiscrSlash mais\DiscrSlash vraiment\DiscrSlash
       très\DiscrSlash longue\DiscrSlash adresse\DiscrSlash
       réticulaire\DiscrSlash index.html}
     \end{document}

9.6 ‘\fussy’
============

La déclaration ‘\fussy’ (ce qui est le réglage par défaut) a pour effet
que TeX fait le difficile à propos des saut de ligne.  Ceci évite
d’ordinaire trop d’espace entre les mots, au prix d’occasionnellement
une boîte trop pleine (‘overfull \hbox’).

   Cette commande annule l’effet d’une commande ‘\sloppy’ précédente
(see \sloppy).

9.7 ‘\sloppy’
=============

La déclaration ‘\sloppy’ a pour effet que TeX fasse moins le difficile à
propos des sauts de ligne.  Ceci evite les boîtes trop pleines, au prix
d’un espacement lâche entre les mots.

   L’effet dure jusqu’à la prochaine commande ‘\fussy’ (see \fussy).

9.8 ‘\hyphenation’
==================

Synopsis :

     \hyphenation{MOT-UN MOT-DEUX}

   La commande ‘\hyphenation’ déclare les points de césure autorisé avec
un caratère ‘-’ au sein des mots donnés.  Les mots sont séparés par des
espaces.  TeX ne fera de césure que si le mot correspond exactement,
aucune désinence n’est essayée.  Des commandes ‘\hyphenation’ mutliple
s’accumulent.  Voici quelques exemples en anglais (les motifs de césure
par défaut de TeX manquent les césures de ces mots) :

     \hyphenation{ap-pen-dix col-umns data-base data-bases}

9.9 ‘\linebreak’ & ‘\nolinebreak’
=================================

Synopsis :

     \linebreak[PRIORITÉ]
     \nolinebreak[PRIORITÉ]

   Par défaut, la commande ‘\linebreak’ (‘\nolinebreak’) force (empêche)
un saut de ligne à la position courante.  Pour ‘\linebreak’, les espaces
de la ligne sont dilatés jusqu’à ce qu’elle s’étende jusqu’à la marge de
droite, comme d’habitude.

   Avec l’argument optionnel PRIORITÉ, vous pouvez convertir la commande
d’une simple demande à une requête.  La PRIORITÉ doit être un nombre
compris entre 0 et 4.  Plus ce nombre est grand, et plus la requête est
insistante.

10 Saut de page
***************

LaTeX commence de nouvelles pages de façon asynchrone, lorsque
suffisamment de matériel a été accumulé pour remplir une page.
D’ordinaire ceci se produit automatiquement, mais parfois on peut
désirer influencer les sauts.

10.1 ‘\cleardoublepage’
=======================

La commande ‘\cleardoublepage’ finit la page courante et fait que LaTeX
imprime tous les flottants, tableaux et figures, qui sont apparus en
entrée jusqu’à ce point et sont en attente.  Dans le cas d’une
impression en style ‘twoside’, elle fait aussi que la nouvelle page et
une page de droite (numérotée impaire), en produisant si nécessaire une
page à blanc.

10.2 ‘\clearpage’
=================

La commande ‘\clearpage’ finit la page actuelle et fait que LaTeX
imprime tous les flottants, tableaux et figures, qui sont apparus en
entrée jusqu’à ce point et sont en attente.

10.3 ‘\newpage’
===============

La commande ‘\newpage’ finit la page courante, mais ne débourre pas tous
les flottants (see \clearpage).

10.4 ‘\enlargethispage’
=======================

‘\enlargethispage{size}’

   ‘\enlargethispage*{size}’

   Agrandit la ‘\textheight’ de la page courante de la quantité
spécifiée ; par exemple ‘\enlargethispage{\baselineskip}’ permet d’avoir
une ligne de plus.

   La forme étoilée essaie de comprimer le matériel sur la page autant
que possible.  Ceci est normalement utilisé en même temps qu’un
‘\pagebreak’ explicite.

10.5 ‘\pagebreak’ & ‘\nopagebreak’
==================================

Synopsis :

     \pagebreak[PRIORITÉ]
     \nopagebreak[PRIORITÉ]

   Par défaut, la commande ‘\pagebreak’ (‘\nopagebreak’) force (empèche)
un saut de page à la position courante.  Avec ‘\pagebreak’, l’espace
verticale sur la page est dilatée où c’est possible de sorte à s’étendre
jusqu’à la marge inférieure normale.

   Avec l’argument optionnel PRIORITÉ, vous pouvez convertique la
commande ‘\pagebreak’ d’une demande à une exigence.  Le nombre doit être
compris entre 0 et 4.  Plus grand est le nombre, et plus insistant est
l’exigence.

11 Note en bas de page
**********************

Mettez une note en bas de la page courante avec la commande ‘\footnote’
comme ci-dessous.

     Noël Coward a dit plaisamment que lire une note en bas de page, c'est
     comme devoir descendre répondre à la porte d'entrée alors qu'on est en
     train de faire l'amour\footnote{Je ne peux pas le savoir ; je ne lis
     jamais les notes en bas de page}

   Vous pouvez placer beaucoup de notes en bas de page dans une page.
Si le texte devient trop long alors il est continué sur la page
suivante.

   Vous pouvez aussi produire des notes en bas de page en combinant les
commandes ‘\footnotemark’ et ‘\footnotetext’, ce qui est utiles dans des
circonstances speciales.

11.1 ‘\footnote’
================

Synopsis :

     \footnote[NUMÉRO]{TEXTE}

   Place en bas de la page courante une note TEXTE numérotée.

     Il y a plus d'un milier de notes en bas de page dans \textit{Histoire
     Du Déclin Et De La Chute De L'empire Romain}\footnote{Après la lecture
     d'une version préléminaire, David Hume s'est plaint, « On souffre d'un
     fléau avec ces notes, selon la méthode acutelle d'imprimer le livre » et
     il suggera qu'elles « ne soient seulement imprimée dans la marge ou en
     bas de page »} d'Édouard Gibbon.

   L’argument optionnel NUMÉRO vous perme de spécifier le numéro de la
note.  Le compteur ‘footnote’ donnant le numéro de la note n’est pas
incrémenté si vous utilisez cette option, mais l’est dans le cas
contraire.

   Changez l’aspect que LaTeX donne au compteur de note en bas de page
avec quelque chose du genre de
‘\renewcommand{\thefootnote}{\fnsymbol{footnote}}’, ce qui utilise une
séquence de symboles (see \alph \Alph \arabic \roman \Roman \fnsymbol).
Pour rendre ce changement global mettez cela dans le
préambule.  Si vous faite ce changement local alors vous désirerez sans
doute réinitialiser le compte avec ‘\setcounter{footnote}{0}’.  Par
défaut LaTeX utilise des nombres arabes.

   Le comportement par défaut de LaTeX met beaucoup de restrictions sur
l’endroit où l’on peut utiliser une ‘\footnote’ ; par exemple, vous ne
pouvez pas l’utiliser dans l’argument d’une commande de rubricage telle
que ‘\chapter’ (elle ne peut être utilisée seulement en mode paragraphe
le plus externe).  Il y a des contournements ; voir les rubriques
suivantes.

   Au sein d’un environnement ‘minipage’ la commande ‘\footnote’ utilise
le compteur ‘mpfootnote’ au lieu de ‘footnote’, de sorte que les notes
sont numérotéee indépendemment.  Elles apparaissent au bas de
l’environnement, et non au bas de la page.  Et par défaut elles
apparaissent alphabétiquement.  See minipage.

11.2 ‘\footnotemark’
====================

Synopsis :

     \footnotemark

   Sans l’argument optionnel, la commande ‘\footnotemark’ place dans le
texte le numéro de la note courante.  Cette commande peut être utilisée
en mode paragraphe interne.  Vous pouvez donner le texte de la note
séparéement la commande ‘\footnotetext’.

   Cette commande pour produire plusieurs marque de note en bas de page
faisant référence à la même note avec

     \footnotemark[\value{footnote}]

après la première commande ‘\footnote’.

11.3 ‘\footnotetext’
====================

Synopsis, l’un des deux :

     \footnotetext{TEXTE}
     \footnotetext[NUMÉRO]{TEXTE}

   Place TEXTE au bas de la page comme une note en bas de page.  Cette
This commande peut appraître n’importe où après la commande
‘\footnotemark’.  L’argument optionnel NUMÉRO change le numéro de note
affiché.  La commande ‘\footnotetext’ ne doit être utilisée qu’en mode
paragraphe externe.

11.4 Notes en bas de page dans un tableau
=========================================

Au sein d’un environnement ‘table’ la commande ‘\footnote’ ne fonctionne
pas.  Par exemple, si le code ci-dessous apparaît sans plus alors la
note disapaît tout simplement ; il y aura une marque de note dans la
cellule du tableau mais rien n’est composé en bas de la page.

     \begin{center}
          \begin{tabular}{l|l}
          \textsc{Ship}  &\textsc{Book} \\ \hline
          \textit{HMS Sophie}     &Master and Commander  \\
          \textit{HMS Polychrest} &Post Captain  \\
          \textit{HMS Lively}     &Post Captain \\
          \textit{HMS Surprise}   &A number of books\footnote{Starting with
                                     HMS Surprise.}
          \end{tabular}
     \end{center}

   La solution est d’entourer l’environnement the ‘tabular’ d’un
environnement ‘minipage’, comme ci-après (see minipage).

     \begin{center}
       \begin{minipage}{.5\textwidth}
         .. matériel tabulaire ..
       \end{minipage}
     \end{center}

   La même technique marche au sein d’un environnement ‘table’ flottant
(see table).  To get the footnote at the bottom of the page use the
‘tablefootnote’ package, comme illustré dans l’exemple ci-apès.  Si vous
placez ‘\usepackage{tablefootnote}’ dans le préambule et utilisez le
code source ci-dessous, alors la note apparaîtra en bas de la page et
sera numérotée dans la même séquence que les autres notes en bas de
page.

     \begin{table}
       \centering
          \begin{tabular}{l|l}
          \textsc{Date}  &\textsc{Campagne} \\ \hline
          1862           &Fort Donelson \\
          1863           &Vicksburg     \\
          1865           &Armée de Virginie du Nord\footnote{Fin de la
                          guerre.}
          \end{tabular}
         \caption{Forces capturées par le général Grant}
     \end{table}

11.5 Note en bas de page dont le renvoi est au sein d’un titre de rubrique
==========================================================================

Mettre une note en bas de page depuis un titre de rubrique, comme dans :

     \section{Les ensembles complets\protect\footnote{Ce texte est dû à ...}}

a pour effet que la note en bas de page apparaît à la fois en bas de la
page où la rubrique commence, et de celle où son titre apparaît dans la
table des matières, ce qui vraisembablement n’est pas voulu.  Pour
qu’elle n’apparaisse pas sur la table des matières utilisez le paquetage
‘footmisc’ avec l’option ‘stable’.

     \usepackage[stable]{footmisc}
      ..
     \begin{document}
      ..
     \section{Les ensembles complets\footnote{Ce texte est dû à R~Jones.}}

   Notez que le ‘\protect’ a disparu ; l’inclure aurait pour effet que
la note en bas de page apparaîtrait de nouveau dans la table des
matières.

11.6 Paramètres des notes en bas de page
========================================

‘\footnoterule’
     Produit le filet de séparation entre texte principal sur une page
     et les notes en bas de cette page.  Les dimension par défaut :
     épaisseur (ou largeur) ‘0.4pt’, et longueur ‘0.4\columnwidth’ dans
     les classes standard de document (à l’exception ‘slide’, où elle
     n’apparaît pas).

‘\footnotesep’
     La hauteur de l’étai placé au début de la note en bas de page.  Par
     défaut, c’est réglé à l’étai nomal pour des police de taille
     ‘\footnotesize’ (see Font sizes), donc il n’y a pas d’espace
     supplémentaire entre les notes.  Cela vaut ‘6.65pt’ pour des
     polices à ‘10pt’, ‘7.7pt’ pour ‘11pt’, et ‘8.4pt’ pour ‘12pt’.

12 Définitions
**************

LaTeX prend en charges la fabrication de nouvelles commandes de bien des
genres.

12.1 ‘\newcommand’ & ‘\renewcommand’
====================================

‘\newcommand’ définit une nouvelle commande, et ‘\renewcommand’ la
redéfinit.

   Synopsis :

       \newcommand{\CMD}[NARGS][OPTARGDÉFAUT]{DÉFN}
     \renewcommand{\CMD}[NARGS][OPTARGDÉFAUT]{DÉFN}
       \newcommand*{\CMD}[NARGS][OPTARGDÉFAUT]{DÉFN}
     \renewcommand*{\CMD}[NARGS][OPTARGDÉFAUT]{DÉFN}

   La forme étoilée (en ‘*’) de ces commandes exige que les arguments ne
contiennent pas de paragraphes de texte (la commande n’est pas ‘\long’,
dans la terminologie de TeX de base).

CMD
     Obligatoire ; ‘\CMD’ est le nom de la commande.  Pour
     ‘\newcommand’, il ne doit pas être déja défini et ne doit pas
     commencer avec ‘\end’ ; pour ‘\renewcommand’, il doit être déja
     défini.

NARGS
     Optionnel ; un entier compris entre 1 et 9 spécifiant le nombre
     d’arguments que commande peut prendre, y compris un éventuel
     argument optionnel.  Si cet argument n’est pas présent, alors la
     spécification par défaut est que la commande ne prend aucun
     argument.  Lorsque on redéfinit une commande, la nouvelle version
     peut prendre un nombre différent d’arguments par rapport à
     l’ancienne.

OPTARGDÉFAUT
     Optionnel ; si cet argument est present, alors le premier argument
     de la commande ‘\CMD’ en définition est optionnel, et sa valeur par
     défaut est OPTARGDÉFAUT (qui peut être une chaîne vide).  Si cet
     argument n’est pas présent, alors ‘\CMD’ ne prend pas d’argument
     optionnel.

     C’est à dire que si ‘\CMD’ est utilisé avec des crochets à la
     suite, comme dans ‘\CMD[MAVAL]’, alors au sein de DÉFN le premier
     “paramètre positionnel” ‘#1’ se développe en MAVAL.  Par contre si
     ‘\CMD’ est appelé sans crochet à la suite, alors au sein de DÉFN le
     paramètre positionnel ‘#1’ se développe en la valeur par défaut
     OPTARGDÉFAUT.  Dans tous les cas, tout argument obligatoire sera
     désigné en commençant par ‘#2’.

     Omettre ‘[MAVAL]’ dans un appel n’est pas la même chose qu’avoir
     les crochets ne contenant rien, comme dans ‘[]’.  Dans le premier
     cas le paramètre ‘#1’ se développe en OPTARGDÉFAUT ; alors que dans
     le secon ‘#1’ se développe en une chaîne vide.

DÉFN
     Le texte par lequel substituer chaque occurrence de \‘cmd’ ; le
     paramètre positionnel ‘#N’ au sein de DÉFN est remplacée par le
     texte passé comme Nième argument.

   TeX ignore les espaces dans le code source à la suite d’une commande
(ou de toute séquence de contrôle), comme dans ‘\cmd ’.  Si vous désirez
une espace réellement à cet endroit, une solution est de taper ‘{}’
après la commande (‘\cmd{} ’), et un autre est d’utiliser un espace de
contrôle explicite (‘\cmd\ ’).

   Un exemple simple de définition d’une nouvelle commande :
‘\newcommand{\JM}{Jean Martin}’ a pour effet le remplacement de
l’abréviation ‘\JM’ par le texte plus long de la définition.

   La redéfinition d’une commande existante est similaire :
‘\renewcommand{\symbolecqfd}{{\small CQFD}}’.

   Voici la définition d’une commande avec un argument obligatoire :

     \newcommand{\defref}[1]{Définition~\ref{#1}}

Alors, ‘\defref{def:basis}’ se développe en
‘Définition~\ref{def:basis}’, ce qui en fin de compte se développera en
quelque-chose du genre de ‘Définition~3.14’.

   Un exemple avec deux arguments obligatoires :
‘\newcommand{\nbym}[2]{$#1 \times #2$}’ est invoqué comme ‘\nbym{2}{k}’.

   Un exemple avec un argument optionnel :

     \newcommand{\salutation}[1][Madame, Monsieur]{#1,}

Alors, ‘\salutation’ donne ‘Madame, Monsieur,’ alors ‘\salutation[Cher
Jean]’ donne ‘Cher Jean,’.  Et ‘\salutation[]’ donne ‘,’.

   Les accolades autour de DÉFN ne définissent pas un groupe, c.-à-d.
qu’elle ne délimitent pas la portée du résultat du développement de
DÉFN.  Ainsi la définition ‘\newcommand{\nomnavire}[1]{\it #1}’ est
problématique ; dans cette phrase

     Le \nomnavire{Monitor} rencontra le \nomnavire{Merrimac}.

les mots ‘rencontra le’ sont mis incorrectement en italique.  Une paire
supplémentaire d’accolades est nécessaire, comme cela :
‘\newcommand{\nomnavire}[1]{{\it #1}}’.  Ces accolades font partie de la
définition et par conséquent définissent bien un groupe.

12.2 ‘\newcounter’
==================

Synopsis :

     \newcounter{NOMCOMPTEUR}[SUPER]

   La commande ‘\newcounter’ définit un nouveau compteur nommé
NOMCOMPTEUR.  Le nouveau compteur est initialisé à zéro.

   Quand l’argument optionnel ‘[SUPER]’ est fourni, le compteur
NOMCOMPTEUR est réinitialisé à chaque incrémentation du compteur nommé
SUPER.

   See Counters, pour plus d’information à propos des compteurs.

12.3 ‘\newlength’
=================

Synopsis :

     \newlength{\ARG}

   La commande ‘\newlength’ définit l’argument obligatoire comme une
commande de “longueur” avec une valeur de ‘0mm’.  L’argument doit être
une séquence de contrôle, comme dans ‘\newlength{\foo}’.  Une erreur se
produit si ‘\foo’ est déjà défini.

   See Lengths, pour comment régler la nouvelle longeur à une valeur
non nulle, et pour plus d’information à propos des longueurs en général.

12.4 ‘\newsavebox’
==================

Synopsis :

     \newsavebox{\CMD}

   Définit ‘\CMD’ pour se référer à un nouveau bac pour stocker des
boîtes.  Une telle boîte sert à détenir du matériel composé, pour
l’utiliser plusieurs fois (see Boxes) ou pour le mesurer ou le
manipuler.  Le nom ‘\CMD’ doit commencer par une contr’oblique, et ne
doit pas être déjà défini.

   L’allocation d’une boîte est globale.  Cette commande est fragile
(see \protect).

12.5 ‘\newenvironment’ & ‘\renewenvironment’
============================================

Ces commandes définissent ou redéfinissent un environnement ENV,
c.-à-d., ‘\begin{ENV} CORPS \end{ENV}’.

   Synopsis :

       \newenvironment{ENV}[NARGS][ARGOPTDÉFAUT]{DÉFDÉBUT}{DÉFFIN}
       \newenvironment*{ENV}[NARGS][ARGOPTDÉFAUT]{DÉFDÉBUT}{DÉFFIN}
     \renewenvironment{ENV}[NARGS]{DÉFDÉBUT}{DÉFFIN}
     \renewenvironment*{ENV}[NARGS]{DÉFDÉBUT}{DÉFFIN}

   La forme étoilée de ces commandes exige que les arguments (à ne pas
confondre avec le corps de l’environnement) ne contiennent pas de
paragraphes de texte.

ENV
     Obligatoire ; le nom de l’environnement.  Il est constitué
     seulement de lettres ou du caractère astérisque ‘*’, et donc ne
     commence pas par une contr’oblique ‘\’.  Il ne doit pas commencer
     par la chaîne ‘end’.  Pour ‘\newenvironment’, ENV ne doit pas être
     le nom d’un environnement déjà existant, et la commande ‘\ENV’ ne
     doit pas être définie.  Pour ‘\renewenvironment’, ENV doit être le
     nom d’un environnement déjà existant.

NARGS
     Optionnel ; un entier de 0 à 9 indiquant le nombre d’arguments que
     l’environnement attend.  Quand l’environnement est utilisé, ces
     arguments apparaissent après le ‘\begin’, comme dans
     ‘\begin{ENV}{ARG1}...{ARGN}’.  Si cet argument n’est pas présent,
     alors par défaut l’environment n’attend pas d’argument.  Lorsqu’on
     redéfinit un environment, la nouvelle version peut prendre un
     nombre différent d’arguments que la précédente.

ARGOPTDÉFAUT
     Optionnel ; si cet argument est présent alors le premier argument
     de l’environnement en définition est optionnel, et sa valeur par
     défaut est ARGOPTDÉFAUT (éventuellement une chaîne vide).  Si cet
     argument n’est pas présent alors l’environnement ne prend pas
     d’argument optionnel.

     c.-à-d. que si ‘[ARGOPTDÉFAUT]’ est présent dans la définition de
     l’environnement, et que ‘\begin{ENV}’ est utilisé avec des crochets
     à la suite, comme dans ‘\begin{ENV}[MAVAL]’, alors, au sein de
     DÉFDÉBUT, le paramètre positionnel ‘#1’ se développe en MAVAL.  Si
     par contre ‘\begin{ENV}’ est appéelé sans être suivi de crochet,
     alors, au sein de DÉFDÉBUT, le paramètre positionnel ‘#1’ se
     développe en la valeur par défaut, c.-à-d. OPTARGDEFAULT.  Dans les
     deux cas, le premier paramètre positionnel faisant référence à
     argument obligatoire est ‘#2’.

     Omettre ‘[MAVAL]’ dans l’appel est différent d’avoir des crochets
     sans contenu, c.-à-d. ‘[]’.  Dans le premier cas ‘#1’ se développe
     en ARGOPTDÉFAUT, et dans le second en une chaîne vide.

DÉFDÉBUT
     Obligatoire ; le texte qui est développé à toute occurrence de
     ‘\begin{ENV}’ ; au sein de DÉFDÉBUT, le Nième paramètre
     positionnel, (c.-à-d. ‘#N’), est remplacé au sein de DÉFDÉBUT par
     le texte du Nième argument.

DÉFFIN
     Obligatoire ; le texte développé à toute occurrence de ‘\end{ENV}’.
     Il ne doit contenir aucun paramètre positionnel, ainsi ‘#N’ ne peut
     pas être utilisé ici (mais voyez l’exemple final ci-après).

   Tous les environnements, c’est à dire le code de DÉFDÉBUT, le corps
de l’environnement, et le code DÉFFIN, sont traités au sein d’un groupe.
Ansi, dans le premier exemple ci-dessous, l’effet de ‘\small’ est limité
à la citation et ne s’étend pas au matériel qui suit l’environnement.

   Cet exemple dont un environnement semblable à ‘quotation’ de LaTeX à
ceci près qu’il sera composé dans une taille de police plus petite :

     \newenvironment{smallquote}{%
       \small\begin{quotation}
     }{%
       \end{quotation}
     }

   Celui-ci montre l’utilisation des arguments ; cela donne un
environnement de citation qui affiche l’auteur :

     \newenvironment{citequote}[1][Corneille]{%
       \begin{quotation}
       \noindent\textit{#1}:
     }{%
       \end{quotation}
     }

Le nom de l’auteur est optionnel, et vaut par défaut ‘Corneille’.  Dans
le document, utilisez l’environnement comme ceci :

     \begin{citequote}[Clovis, roi des Francs]
       ...
     \end{citequote}

   Ce dernier exemple montre comment sauvegarder la valeur d’un argument
pour l’utiliser dans DÉFFIN, dans ce cas dans une boîte (see \sbox).

     \newsavebox{\quoteauthor}
     \newenvironment{citequote}[1][Corneille]{%
       \sbox\quoteauthor{#1}%
       \begin{quotation}
     }{%
       \hspace{1em plus 1fill}---\usebox{\quoteauthor}
       \end{quotation}
     }

12.6 ‘\newtheorem’
==================

Définit une nouvel “environnement simili-théorème”.  Synopsis :

     \newtheorem{NOM}{TITRE}[NUMÉROTÉ_AU_SEIN_DE]
     \newtheorem{NOM}[NUMÉROTÉ_COMME]{TITRE}

   Ces deux commandes crééent un environnement simili-théorème NOM.
Utiliser la première des deux formes,

     \newtheorem{NOM}{TITRE}[NUMÉROTÉ_AU_SEIN_DE]

avec l’argument optionnel après le second argument obligatoire, crée un
environnement dont le compteur est subordonné au compteur déjà existant
NUMÉROTÉ_AU_SEIN_DE, c.-à-d. qui est réinitialisé à it will chaque
réinitialisation de NUMÉROTÉ_AU_SEIN_DE.

   Utiliser la seconde forme,

     \newtheorem{NIM}[NUMÉROTÉ_COMME]{TITRE}

avec l’argument optionnel entre les deux arguments obligatoire, crée une
environnement dont le compteur partage le compteur déjà défini
NUMÉROTÉ_COMME.

   Vous pouvez spécifier l’un seul de NUMÉROTÉ_AU_SEIN_DE et
NUMÉROTÉ_COMME, ou ni l’un ni l’autre, mais non les deux à la fois.

   Cette commande crée un compteur nommé NAME.  De plus, à moins que
l’argument optionnel NUMÉROTÉ_COMME soit utilisé, la valeur courrante de
‘\ref’ est celle de ‘\theNUMÉROTÉ_AU_SEIN_DE’ (see \ref).

   Cette déclaration est globale.  Elle est fragile (see \protect).

NOM
     Le nom de l’environnement.  Il ne doit pas commencer avec une
     contr’oblique (‘\’).  Il ne doit pas être le nom d’un environnement
     déjà exisant ; en fait le nom de commande ‘\NOM’ ne doit pas être
     déjà défini de quelque façon que ce soit.

TITRE
     Le texte imprimé au début de l’environnement, avant le numéro.  Par
     exemple, ‘Théorème’.

NUMÉROTÉ_AU_SEIN_DE
     Optionnel ; le nom d’un compteur déjà défini, d’ordinaire une unité
     sectionnelle telle que ‘chapter’ ou ‘section’.  Lorsque le compteur
     NUMÉROTÉ_AU_SEIN_DE est re-initialisé, alors le compteur de
     l’environnement NOM l’est aussi.

     Si cet argument optionnel est omis alors la commande ‘\theNOM’ est
     définie comme ‘\arabic{NOM}’.

NUMÉROTÉ_COMME
     Optionnel ; le nom d’un environement simil-théorème déjà défini.
     Le nouvel environnement se numéroté en séquence avec
     NUMÉROTÉ_COMME.

   En l’absence des arguments optionnels les environnement sont
numérotés en séquence.  L’exemple suivant a une déclaration dans le
préambule qui résulte en ‘Définition 1’ et ‘Définition 2’ en sortie.

     \newtheorem{defn}{Définition}
     \begin{document}
     \section{...}
     \begin{defn}
       Première déf.
     \end{defn}

     \section{...}
     \begin{defn}
       Seconde déf.
     \end{defn}

   Parce que l’exemple suivant spécifie ‘section’ comme argument
optionnel NUMÉROTÉ_AU_SEIN_DE à ‘\newtheorem’, l’exemple, reprenant le
même corps de document que l’exemple précédent, donne ‘Définition 1.1’
et ‘Définition 2.1’.

     \newtheorem{defn}{Definition}[section]
     \begin{document}
     \section{...}
     \begin{defn}
       Première déf.
     \end{defn}

     \section{...}
     \begin{defn}
       Seconde déf.
     \end{defn}

   Dans l’exemple suivant il y a deux déclarations dans le préambule, la
seconde desquelle appelle le nouvel environnement ‘thm’ pour utilise le
même compteur que ‘defn’.  Cela donne ‘Définition 1.1’, suivi de
‘Théorème 2.1’ et ‘Définition 2.2’.

     \newtheorem{defn}{Définition}[section]
     \newtheorem{thm}[defn]{Théorème}
     \begin{document}
     \section{...}
     \begin{defn}
       Première déf.
     \end{defn}

     \section{...}
     \begin{thm}
       Premier théorème
     \end{thm}

     \begin{defn}
       Seconde déf.
     \end{defn}
     \section{...}

12.7 ‘\newfont’: définit une nouvelle police (obsolète)
=======================================================

‘\newfont’, desormais obsolète, définit une commande qui commute la
police de caractère.  Synopsis :

     \newfont{\CMD}{DESCRIPTION_POLICE}

   Ceci définit une séquence de contrôle ‘\CMD’ qui change la police
courante.  LaTeX cherche sur votre système un fichier nommé
‘NOMPOLICE.tfm’.  La séquence de contrôle ne doit pas être déjà définie.
Elle doit commencer par une contr’oblique (‘\’).

   Cette commande est obsolète.  c’est une commande de bas niveau pour
mettre en place une police individuelle.  De nos jours, les polices sont
pratiquement toujours définies en familles (ce qui vous permet, par
exemple, d’associer un gras et un romain) au travers de ce qu’il est
convenu de nommer le « Nouveau Plan de Sélection de Polices de
caractère », soit en utilisant des fichier ‘.fd’ ou à travers
l’utilisation d’un moteur qui sait accéder au système de polices de
caractère, tel que XeLaTeX (see Les moteurs TeX).

   Mais puisque cela fait partie de LaTeX, voici l’explication : le
paramètre DESCRIPTION_POLICE consiste en un NOMPOLICE et une “clause at”
optionnelle ; celle-ci peut avoir soit la forme ‘at DIMEN’ ou ‘scaled
FACTEUR’, où un FACTEUR de ‘1000’ signifie aucune
dilatation/contraction.  Pour l’usage de LaTeX, tout ce que ceci fait
est de dilater ou contracter le caractère et les autre dimension
relative à la taille de conception de la police, ce qui est une valeur
définie dans le fichier en ‘.tfm’.

   Cet exemple défnit deux polices équivalente et compose quelques
caractères dans chacune d’elles :

     \newfont{\testpoliceat}{cmb10 at 11pt}
     \newfont{\testpolicedilatee}{cmb10 scaled 1100}
     \testpoliceat abc
     \testpolicedilatee abc

12.8 ‘\protect’
===============

Toutes les commandes de LaTeX sont soit “fragiles” soit “robustes”.  Les
notes en bas de page, les saut de ligne, toute commande prenant un
argument optionnel, et bien d’autres, sont fragiles.  Une commande
fragile peut se disloquer et causer une erreur lorsque elle est utilisée
au sein de l’argument de certaines commandes.  Pour empécher la
dislocation de ces commandes l’une des solutions est de les précéder de
la commande ‘\protect’.

   Par exemple, lorsque LaTeX execute la commande
‘\section{NOM-RUBRIQUE}’ il écrit le texte NOM-RUBRIQUE dans le fichier
auxiliaire ‘.aux’, de sorte à pouvoir le tirer de là pour l’utiliser
dans d’autres partie du document comme la table des matières.  On
appelle “argument mouvant” tout argument qui est développé en interne
par LaTeX sans être directement composé en sortie.  Une commande est
dite fragile si elle se développe pendant ce processus en un code TeX
non valide.  Certains exemples d’arguments mouvants sont ceut qui
apparaissent au sein des commande ‘\caption{...}’ (see figure), dans
la commande ‘\thanks{...}’ (see \maketitle), et dans les expression
en @ des environnements ‘tabular’ et ‘array’ (see tabular).

   Si vous obtenez des erreurs étranges de commandes utilisées au sein
d’arguments mouvants, essayez des les précéder d’un ‘\protect’.  Il faut
un ‘\protect’ pour chacune des commandes fragiles.

   Bien qu’en général la commande ‘\protect’ ne fait pas de mal, les
commandes de gestion de longueurs sont robustes et ne devraient pas être
précédées d’une commande ‘\protect’.  Une commande ‘\protect’ ne peut
pas non plus être utilisée au sein de l’argument d’une commande
‘\addtocounter’ ou ‘\setcounter’.

   Dans l’exemple qui suit la commande ‘\caption’ produit une erreur
mystérieuse

     \begin{figure}
       ...
       \caption{Company headquarters of A\raisebox{1pt}{B}\raisebox{-1pt}{C}}
     \end{figure}

   Dans l’exemple suivant la commande ‘\tableofcontents’ produit une
erreur à cause du ‘\(..\)’ dans le titre de section qui se développe en
code incorrect TeX dans le fichier ‘.toc’.  Vous pouvez résoudre ceci en
remplaçat ‘\(..\)’ par ‘\protect\(..\protect\)’.

     \begin{document}
     \tableofcontents
     ...
     \section{Einstein's \( e=mc^2 \)}
     ...

13 Compteurs
************

Tout ce que LaTeX numérote pour vous a un compteur associé avec soi.  Le
nom du compteur est le même que le nom de l’environnement ou de la
commande qui produit le numéro, sauf qu’il ne pas de ‘\’.
(‘enumi’–‘enumiv’ sont utilisés pour les environnements ‘enumerate’
imbriqués).  Ci-dessous se trouve une liste des compteurs utilisée dans
les classes standardes de documents LaTeX pour contrôler la
numérotation.

     part paragraphe figure enumi
     chapter subparagraph table enumii
     section page footnote enumiii
     subsection équation mpfootnote enumiv
     subsubsection

13.1 ‘\alph \Alph \arabic \roman \Roman \fnsymbol’: Taper des compteurs
=======================================================================

Toutes ces commandes prennent un unique compteur en argument, par
exemple, ‘\alph{enumi}’.

‘\alph’
     tape COMPTEUR en utilisant des lettre en bas de casse : ‘a’, ‘b’,
     ...

‘\Alph’
     Utilise des lettres capitales : ‘A’, ‘B’, ...

‘\arabic’
     Utilise des numéro en chiffres arabes : ‘1’, ‘2’, ...

‘\roman’
     Utilise des nombres romains en bas de casse : ‘i’, ‘ii’, ...

‘\Roman’
     Utilise des nombres romains en capitales : ‘I’, ‘II’, ...

‘\fnsymbol’
     Tape la valeur de COMPTEUR dans une séquence spécifique de neuf
     symboles (utilisés par convention pour la numérotation des notes en
     bas de page).  La valeur de COMPTEUR doit être comprise entre 1
     et 9 inclus.

     Voici ces symboles :

     Nom                      Commande                 Équivalent Unicode
     ---------------------------------------------------------------------------
     astérisque               ‘\ast’                   *
     obèle                    ‘\dagger’                †
     double-obèle             ‘\ddagger’               ‡
     marque-de-section        ‘\S’                     §
     marque-de-paragraphe     ‘\P’                     ¶
     parallèle                ‘\parallel’              ‖
     asterisque-double        ‘\ast\ast’               **
     obèle-double             ‘\dagger\dagger’         ††
     double-obèle-double      ‘\ddagger\ddagger’       ‡‡

13.2 ‘\usecounter{COMPTEUR}’
============================

Synopsis :

     \usecounter{COMPTEUR}

   La commande ‘\usecounter’ est utilisée dans le second argument de
l’environnement ‘list’ pour spécifier le COMPTEUR à utiliser pour
numéroter les articles de la liste.

13.3 ‘\value{COMPTEUR}’
=======================

Synopsis :

     \value{COMPTEUR}

   La commande ‘\value’ produit la valeur de COMPTEUR.  Ça peut être
utilisé partout là où LaTeX attend un nombre, par exemple :

     \setcounter{moncompteur}{3}
     \addtocounter{moncompteur}{1}
     \hspace{\value{moncompteur}\parindent}

13.4 ‘\setcounter{COMPTEUR}{VALUE}’
===================================

Synopsis :

     \setcounter{COMPTEUR}{VALUE}

   La commande ‘\setcounter’ règle la valeur de COMPTEUR à l’argument
VALUE.

13.5 ‘\addtocounter{COMPTEUR}{VALEUR}’
======================================

La commande ‘\addtocounter’ incrémente COMPTEUR de la quantité spécifiée
par l’argument VALEUR, qui peut être negatif.

13.6 ‘\refstepcounter{COMPTEUR}’
================================

La commande ‘\refstepcounter’ fonctionne de la même façon que
‘\stepcounter’ \stepcounter, à ceci près qu’elle définit
également la valeur courante de ‘\ref’ comme le résultat de
‘\thecounter’.

13.7 ‘\stepcounter{COMPTEUR}’
=============================

La commande ‘\stepcounter’ ajouter un à COMPTEUR et re-initialise tous
les compteurs subsidiaires.

13.8 ‘\day \month \year’: Predefined compteurs
==============================================

LaTeX définit des compteurs pour le quantième du mois (‘\day’, 1–31), le
mois de l’année (‘\month’, 1–12), et l’année (‘\year’, de l’ère
chrétienne).  Quand TeX démarre, ils sont mis à la valeur courante du
système sur lequel TeX s’exécute.  Ils ne sont pas remis à jour pendant
que le traitement par TeX progresse.

   En relation avec ces compteurs, la commande ‘\today’ produit une
chaîne représentant le jour courant (see \today).

14 Longueurs
************

Une “longeur” est une mesure de distance.  Beaucoup de commandes LaTeX
prennent une longueur en argument.

14.1 Unités de longueur
=======================

TeX et LaTeX connaissent ces unités aussi bien en mode mathématique
qu’en dehors de celui-ci.

‘pt’
     Point (1/72,27)pouce.  La conversion en unités métriques units,
     avec deux chiffres après la virgule, est 1point = 2,85mm = 28,45cm.

‘pc’
     Pica, 12pt

‘in’
     Pouce, 72,27pt

‘bp’
     Big point, 1/72 pouce.  Cette longueur est la défition d’un point
     en PostScript et dans beaucoup d’autres systèmes bureautiques
     d’éditique (PAO).

‘cm’
     Centimetre

‘mm’
     Millimètre

‘dd’
     Point Didot, 1,07pt

‘cc’
     Cicero, 12dd

‘sp’
     Point proportionné, (1/65536)pt

   Deux autre longueurs sont souvent utilisées et sont des valeurs
réglées par les créateurs de caractères typographiques.  La hauteur “ex”
d’un x de la fonte coutante , traditionnellement la hauteur de la lettre
x en bas de casse, est souvent utilisée pour les longueurs verticales.
De même le “em”, traditionnellement la largeur de la lettre M capitale,
est souvant utilisée pour les longueurs horizontales (il y a aussi
‘\enspace’ qui vaut ‘0.5em’).  L’utilisation de ces unités peut aider
améliorer le fonctionnement d’une définition lors des changements de
fonte.  Par exemple, il est plus probable qu’une définition de l’espace
verticale entre les articles d’une liste donnée comme
‘\setlength{\itemsep}{1ex plus 0.05ex minus 0.01ex}’ reste raisonnable
si la fonte est changée que si elle était exprimée en points.

   En mode mathématique, beaucoup de définitions sont exprimées dans
l’unité mathématique “mu” donnée par 1em = 18mu, où le em est pris de la
famille courante des symboles mathématiques.  See Spacing in math mode.

14.2 ‘\setlength’
=================

Synopsis :

     \setlength{\LONGUEUR}{VALEUR}

   La commande ‘\setlength’ règle la valeur d’une “commande de longueur”
‘\LONGUEUR’ à l’argument VALEUR qui peut être exprimé dans n’importe
quelle unité comprise par LaTeX, c.-à-d. des pouces (‘in’), des
millimètres (‘mm’), des points (‘pt’), des « big points » (‘bp’), etc.

14.3 ‘\addtolength’
===================

Synopsis :

     \addtolength{\LONGUEUR}{VALEUR}

   La commande ‘\addtolength’ incrémente une commande de longueur
‘\LONGUEUR’ de la quantité spécifiée par l’argument QUANTITÉ, ce qui
peut être négatif.

14.4 ‘\settodepth’
==================

Synopsis :

     \settodepth{\LONGUEUR}{TEXTE}

   La commande ‘\settodepth’ règle la valeur d’une commande le longueur
‘\LONGUEUR’ à la profondeur de l’argument ‘texte’.

14.5 ‘\settoheight’
===================

Synopsis :

     \settoheight{\LONGUEUR}{TEXTE}

   La commande ‘\settoheight’ règle la valeur d’une commande le longueur
‘\LONGUEUR’ à la hauteur de l’argument ‘texte’.

14.6 ‘\settowidth’
==================

Synopsis :

     \settowidth{\LONGUEUR}{TEXTE}

   La commande ‘\settoheight’ règle la valeur d’une commande le longueur
‘\LONGUEUR’ à la largeur de l’argument ‘texte’.

14.7 Longueurs prédéfinies
==========================

‘\width’

   ‘\height’

   ‘\depth’

   ‘\totalheight’

   Ces paramètres de longueur peuvent être utilisés au sein des
arguments des commandes de fabrication de boîte (see Boxes).  Il
spécifient la largeur naturelle, etc., du texte dans la boîte.
‘\totalheight’ vaut ‘\height’ + ‘\depth’.  Pour frabriquer une boîte
dont le texte est dilaté au double de sa taille naturelle, écrivez par
ex. :

     \makebox[2\width]{Dilatez moi}

15 Faire des paragraphes
************************

Un paragraphe se termine par une ou plusieurs lignes complètement
blanches — des lignes ne contenant même pas un ‘%’.  Une ligne à blanc
ne devrait pas apparaître là où un nouveau paragraphe n’a pas le droit
de commencer, tel que en mode mathématique ou dans l’argument d’une
commande de rubricage.

15.1 ‘\indent’
==============

‘\indent’ produit un espace horizontal dont la largeur est égale à la
longueur ‘\parindent’, le “renfoncement” normal d’un paragraphe.  Elle
est utilisée pour ajouter un renfoncement de paragraphe là où il serait
autrement supprimé.

   La valeur par défaut de ‘\parindent’ est ‘1em’ en mode ‘two-column’,
autrement elle vaut ‘15pt’ pour les documents ‘10pt’, ‘17pt’ pour
‘11pt’, et ‘1.5em’ pour ‘12pt’.

15.2 ‘\noindent’
================

Utilisée au commencement d’un paragraphe, la commande ‘\noindent’
supprime tout renfoncement de paragraphe.

     ... fin du paragraphe précédent.

     \noindent Ce paragraphe n'est pas renfoncé.

   Elle est sans effet quand elle est utilisée au milieu d’un
paragraphe.

   Pour éliminer le renfoncement de paragraphe dans tout un document,
mettez ‘\setlength{\parindent}{0pt}’ dans le préambule.

15.3 ‘\parskip’
===============

‘\parskip’ est une longueur élastique définissant l’espace vertical
additionnel ajouté avant chaque paragraphe.  La valeur par défaut est
‘0pt plus1pt’.

15.4 Notes en marge
===================

Synopsis :

     \marginpar[GAUCHE]{DROITE}

   La commande ‘\marginpar’ crée une note dans la marge.  La première
ligne de la note a la même ligne de base que la ligne dans le texte où
le ‘\marginpar’ se trouve.

   Lorsque vous spécifiez seulement l’argument obligatoire DROITE, le
texte est placé

   • dans la marge de droite pour une disposition en recto simple
     (option ‘oneside’, voir Document class options) ;
   • dans la marge extérieure pour une disposition en recto-verso
     (option ‘twoside’, voir Document class options) ;
   • dans la nearest la plus proche pour une disposition à deux colonnes
     (option ‘twocolumn’, voir Document class options).

   La commande ‘\reversemarginpar’ place les notes en marge suivante sur
la marge opposée (interne).  ‘\normalmarginpar’ les replace dans la
position par défaut.

   Lorsque vous spécifier les deux arguments, GAUCHE est utilisé pour is
used la marge de gauche, et DROITE est utilisé pour la marge de is used
droite.

   Le premier mot doit normalement ne pas être sujet à une césure ; Vous
pouvez activer la césure à cet endroit en commençant le nœud avec
‘\hspace{0pt}’.

   Ces paramètres affectent le formattage de la note :

‘\marginparpush’
     Espace verticale minimale entre les notes ; par défaut ‘7pt’ pour
     des documents à ‘12pt’, ‘5pt’ sinon.

‘\marginparsep’
     Espace horizontale entre le texte principal et la note ; par défaut
     ‘11pt’ pour des documents à ‘10pt’, ‘10pt’ sinon.

‘\marginparwidth’
     Largeur de la note même ; la valeur par défaut est ‘90pt’ pour un
     document en recto simple et à ‘10pt’ , ‘83pt’ pour ‘11pt’, et
     ‘68pt’ pour ‘12pt’ ; ‘17pt’ de plus dans chacun de ces cas pour un
     document recto-verso.  En mode à deux colonnes, la valeur par
     défaut est ‘48pt’.

   La routine standarde de LaTeX pour les notes en marge n’empêche pas
les notes de déborder hors du bas de la page.

16 Formules mathématiques
*************************

Il y a trois environnements qui mettent LaTeX en mode mathématique :

‘math’
     Pour les formules qui apparaissent directement dans le texte.
‘displaymath’
     Pour les formules qui apparaissent sur leur propre ligne.
‘equation’
     Parail que l’environnement ‘displaymath’ sauf qu’il ajoute un
     numéro d’équation dans la marge de droite.

   L’environnement ‘math’ peut être utilsé aussi bien en mode paragraphe
qu’en mode LR, mais les environnements ‘displaymath’ et ‘equation’ ne
peuvent être utilisés qu’en mode paragraphe.  Les environnements ‘math’
et ‘displaymath’ sont utilisés si souvent qu’ils ont les formes abrégées
suivantes :

     \(...\) au lieu de \begin{math}...\end{math}
     \[...\] au lieu de \begin{displaymath}...\end{displaymath}

   En fait, l’environnement ‘math’ est si fréquent qu’il a une forme
encore plus courte :

     $ ... $ au lieu de \(...\)

   La commande ‘\boldmath’ change les lettres and symboles mathématiques
pour qu’il soient en gras.  Elle est utilisée _en dehors_ du mode
mathématique.  À l’inverse, la commande ‘\unboldmath’ change les glyphes
mathématique pour qu’ils soient dans une fonte normale ; elle aussi est
à utiliser _en dehors_ du mode mathématique.

   La déclaration ‘\displaystyle’ force la taille et le style de la
formule à être ceux de ‘displaymath’, par ex., avec les limites au
dessus et en dessous le signe de sommation.  Par exemple
     $\displaystyle \sum_{n=0}^\infty x_n $

16.1 Indices inférieurs & supérieurs
====================================

En mode mathématique, utilisez le caractère caret ‘^’ pour qu’une
expression EXP apparaisse en indice supérieur, c.-à-d. tapez ‘^{’EXP‘}’.
Similairement, en mode mathémtique, ‘_{’EXP‘}’ fait un indice inférieur
de EXP.

   Dans cet exemple le ‘0’ et le ‘1’ apparaissent comme indices
inférieurs alors que le ‘2’ est un indice supérieur.

     \( (x_0+x_1)^2 \)

   Pour avoir plus d’un caractère au sein de EXP utilisez des accolades
comme dans ‘e^{-2x}’.

   LaTeX manipule la mise en indice supérieur d’un matériel et tout ce
qui tient de cela de la manière naturelle, de sorte que des expressions
telles que ‘e^{x^2}’ et ‘x_{a_0}’ seront composées comme il faut.  Il
fait même ce qu’il faut quand quelque-chose a à la fois un indice
supérieur et un indice inférieur.  Dans cet exemple le ‘0’ apparaît au
bas du signe intégrale alors que le ‘10’ apparaît en haut.

     \int_0^{10} x^2 \,dx

   Vous pouvez mettre un indice supérieur ou inférieur avant un symbole
avec une construction telle que ‘{}_t K^2’ en mode mathématique (le ‘{}’
initial empèche l’indice préfixé d’être attaché à quelque symbole qui le
précède dans l’expression).

   En dehors du mode mathématique, une construction comme ‘Un
test$_\textnormal{indice inf.}$’ produit un indice inférieur composé en
mode texte, non pas en mode mathémque.  Notez qu’il y a des paquetage
spécialisée pour écrire des formule chimique, tel que ‘mhchem’.

16.2 Symboles mathématiques
===========================

LaTeX fournit presque tout symbole mathématique dont vous êtes
susceptible d’avoir besoin.  Par exemple, si vous incluez ‘$\pi$’ dans
votre code source, alors vous obtenez le symbole pi π.

   Ci-dessous se trouve une liste de symboles généralement disponibles.
Ce n’est en aucun cas une liste exhaustive.  Chaque symbole y est décrit
brièvement et avec sa classe de symbole (qui détermine l’espacement
autour de lui) qui est donnée entre parenthèses.  Les commandes pour ces
symboles peuvent, sauf mention contraire, être utilisées seulement en
mode mathématique.

   Pour redéfinir une commande de sorte à pouvoir l’utiliser quel que
soit le mode, voir \ensuremath.

‘\|’
     ∥ Parallèle (relation).  Synonyme : ‘\parallel’.

‘\aleph’
     ℵ Aleph, cardinal transfini (ordinaire).

‘\alpha’
     α Lettre grecque en bas de casse alpha (ordinaire).

‘\amalg’
     ⨿ Union disjointe (binaire)

‘\angle’
     ∠ Angle géometrique (ordinaire).  Similaire : sign inférieur-à ‘<’
     et chevron ‘\langle’.

‘\approx’
     ≈ Presque égal à (relation).

‘\ast’
     ∗ Opérateur astérisque, convolution, à six branches (binaire).
     Synonyme : ‘*’, ce qui est souvent un indice supérieur ou
     inférieur, comme dans l’étoile de Kleene.  Similaire : ‘\star’, qui
     est à cinq branches, et est quelque-fois utilisée comme une
     opération binaire générale, and quelques-fois reservée pour la
     corrélation-croisée.

‘\asymp’
     ≍ Équivalent asymptomatiquement (relation).

‘\backslash’
     \ contr’oblique (ordinaire).  Similaire : soustraction
     d’ensemble ‘\setminus’, et ‘\textbackslash’ pour une contr’oblique
     en-dehors du mode mathématique.

‘\beta’
     β Lettre grecque en bas de casse beta (ordinaire).

‘\bigcap’
     ⋂ De taille Variable, ou n-aire, intersection (opérateur).
     Similaire : intersection binaire ‘\cap’.

‘\bigcirc’
     ⚪ Cercle, plus grand (binaire).  Similaire : composition de
     fonction ‘\circ’.

‘\bigcup’
     ⋃ De taille variable, ou n-aire, union (opérateur).  Similaire :
     union binaire ‘\cup’.

‘\bigodot’
     ⨀ De taille variable, ou n-aire, opérateur point encerclé
     (opérateur).

‘\bigoplus’
     ⨁ De taille variable, ou n-aire, opérateur plus encerclé
     (opérateur).

‘\bigotimes’
     ⨂ De taille variable, ou n-aire, opérateur multiplié encerclé
     (opérateur).

‘\bigtriangledown’
     ▽ De taille variable, ou n-aire, triangle ouvert pointant vers le
     bas(opérateur).

‘\bigtriangleup’
     △ De taille variable, ou n-aire, triangle ouvert pointant vers le
     haut (opérateur).

‘\bigsqcup’
     ⨆ De taille variable, ou n-aire, union carrée (opérateur).

‘\biguplus’
     ⨄ De taille variable, ou n-aire, opérateur union avec un plus
     (opérateur).  (Notez que le nom a juste un p.)

‘\bigvee’
     ⋁ De taille variable, ou n-aire, et-logique (opérateur).

‘\bigwedge’
     ⋀ De taille variable, ou n-aire, ou-logique (opérateur).

‘\bot’
     ⊥ Taquet vers le haut, minimum, plus petit élément d’un ensemble
     partiellement ordonné, ou une contradiction (ordinaire).  Voir
     aussi ‘\top’.

‘\bowtie’
     ⋈ Jonction naturelle de deux relations (relation).

‘\Box’
     □ Opérateur modal pour la nécessité ; boîte ouverte carrée
     (ordinaire).  Ceci n’est pas disponible en TeX de base.  En LaTeX
     vous devez charger le paquetage ‘amssymb’.

‘\bullet’
     • Puce (binaire).  Similaire : point de multiplication ‘\cdot’.

‘\cap’
     ∩ Intersection de deux ensembles (binaire).  Similaire : opérateur
     de taille variable ‘\bigcap’.

‘\cdot’
     ⋅ Multiplication (binaire).  Similaire : Point puce ‘\bullet’.

‘\chi’
     χ Lettre grecque en bas de casse chi (ordinaire).

‘\circ’
     ∘ Composition de fonctions, opérateur rond (binaire).  Similaire :
     opérateur de taille variable ‘\bigcirc’.

‘\clubsuit’
     ♣ Trèfle de carte à jouer (ordinaire).

‘\complement’
     ∁ Complement d’ensemble, utilisée en indice supérieur comme dans
     ‘$S^\complement$’ (ordinaire).  Ceci n’est pas disponible en TeX de
     base.  En LaTeX vous devez charger le paquetage ‘amssymb’.  On
     utilise aussi : ‘$S^{\mathsf{c}}$’ ou ‘$\bar{S}$’.

‘\cong’
     ≅ Congruent (relation).

‘\coprod’
     ∐ Coproduit (opérateur).

‘\cup’
     ∪ Réunion de deux ensembles (binaire).  opérateur de taille
     variable ‘\bigcup’.

‘\dagger’
     † Relation obèle (binaire).

‘\dashv’
     ⊣ Taquet gauche, tiret avec barre verticale à droite, tourniquet
     pour gauchers (relation).  Similaire : taquet droit,
     tourniquet ‘\vdash’.

‘\ddagger’
     ‡ Relation double obèle (binaire).

‘\Delta’
     Δ Delta grec capital, utilisé pour indiquer une incrémentation
     (ordinaire).

‘\delta’
     δ Delta grec bas-de-casse (ordinaire).

‘\Diamond’
     ◇ Opérateur grand carreau (ordinaire).  Ceci n’est pas disponible
     en TeX de base.  En LaTeX vous devez charger le paquetage
     ‘amssymb’.

‘\diamond’
     ⋄ Opérateur Carreau, ou puce carreau (binaire).  Similaire : grand
     carreau ‘\Diamond’, puce disque ‘\bullet’.

‘\diamondsuit’
     ♢ Carreau de carte à jouer (ordinaire).

‘\div’
     ÷ Signe de division, obélus (binaire).

‘\doteq’
     ≐ Approche la limite (relation).  Similaire : géométriquement égal
     à ‘\Doteq’.

‘\downarrow’
     ↓ Flèche vers le bas, converge (relation).  Similaire : flèche à
     ligne double vers le bas ‘\Downarrow’.

‘\Downarrow’
     ⇓ Flèche à ligne double vers le bas (relation).  Similaire : flèche
     à ligne simple vers le bas ‘\downarrow’.

‘\ell’
     ℓ Lettre l bas de casse cursive (ordinaire).

‘\emptyset’
     ∅ Symbole ensemble vide (ordinaire).  La forme en variante
     est ‘\varnothing’.

‘\epsilon’
     ϵ Lettre grecque bas de casse epsilon lunaire (ordinaire).
     Sembable à la lettre en texte grec.  En mathématiques on utilise
     plus fréquemment l’epsilon minuscule de ronde ‘\varepsilon’ ε.  En
     relation avec : la relation ensembliste « appartenir à » ‘\in’ ∈.

‘\equiv’
     ≡ Équivalence (relation).

‘\eta’
     η Lettre grecque en bas de casse (ordinaire).

‘\exists’
     ∃ Quanteur « Il existe » (ordinaire).

‘\flat’
     ♭ Bémol (ordinaire).

‘\forall’
     ∀ Quanteur « Pour tout » (ordinaire).

‘\frown’
     ⌢ Moue (ordinaire).

‘\Gamma’
     Γ Lettre grecque en capitale (ordinaire).

‘\gamma’
     γ Lettre grecque en bas de casse (ordinaire).

‘\ge’
     ≥ Supérieur ou égal à (relation).  Synonyme : ‘\geq’.

‘\geq’
     ≥ Supérieur ou égal à (relation).  Synonyme : ‘\ge’.

‘\gets’
     ← Auquel est assignée la valeur (relation).
     Synonyme : ‘\leftarrow’.

‘\gg’
     ≫ Beaucoup plus grand que (relation).  Similaire : Beaucoup plus
     petit que ‘\ll’.

‘\hbar’
     ℏ Constante de Planck sur deux pi (ordinaire).

‘\heartsuit’
     ♡ Cœur de carte jouer (ordinaire).

‘\hookleftarrow’
     ↩ Flèche vers la gauche avec crochet (relation).

‘\hookrightarrow’
     ↪ Flèche vers la gauche avec crochet (relation).

‘\iff’
     ⟷ Si et seulement si (relation).  C’est un ‘\Longleftrightarrow’
     avec un ‘\thickmuskip’ de chaque côté.

‘\Im’
     ℑ Partie imaginaire (ordinaire).  Voir aussi : partie réelle ‘\Re’.

‘\in’
     ∈ Appartient à (relation).  Voir aussi : lettre grecque bas de
     casse epsilon lunaire ‘\epsilon’ ϵ et l’epsilon minuscule de
     ronde ‘\varepsilon’.

‘\infty’
     ∞ Infini (ordinaire).

‘\int’
     ∫ Intégrale (opérateur).

‘\iota’
     ι Lettre grecque en bas de casse (ordinaire).

‘\Join’
     ⨝ Symbole jointure condensé (relation).  Ceci n’est pas disponible
     en TeX de base.

‘\kappa’
     κ Lettre grecque en bas de casse (ordinaire).

‘\Lambda’
     Λ Lettre grecque en capitale (ordinaire).

‘\lambda’
     λ Lettre grecque en bas de casse (ordinaire).

‘\land’
     ∧ Et logique (binaire).  Synonyme : ‘\wedge’.  Voir aussi
     ou-logique ‘\lor’.

‘\langle’
     ⟨ Chevron mathématique gauche, ou séquence, crochet (ouvrant).
     Similaire : inférieur à ‘<’.  Correspond à ‘\rangle’.

‘\lbrace’
     { Accolade gauche (ouvrant).  Synonyme : ‘\{’.  Correspond
     à ‘\rbrace’.

‘\lbrack’
     [ Crochet gauche (ouvrant).  Synonyme : ‘[’.  Correspond
     à ‘\rbrack’.

‘\lceil’
     ⌈ Plafond à gauche, ressemble à un crochet mais avec le pied coupé
     (ouvrant).  Correspond à ‘\rceil’.

‘\le’
     ≤ Inférieur ou égal à (relation).  C’est un synonyme de ‘\leq’.

‘\leadsto’
     ⇝ flèche vers la droite en tire-bouchon (relation).  Ceci n’est pas
     disponible en TeX de base.  En LaTeX vous devez charger le
     paquetage ‘amssymb’.

‘\Leftarrow’
     ⇐ Est impliqué par, flèche vers la gauche à double-ligne
     (relation).  Similaire : flèche vers la gauche à simple
     ligne ‘\leftarrow’.

‘\leftarrow’
     ← Flèche vers la gauche à simple ligne (relation).
     Synonyme : ‘\gets’.  Similaire : Flèche vers la gauche à
     double-ligne ‘\Leftarrow’.

‘\leftharpoondown’
     ↽ Harpon vers la gauche à simple ligne avec crochet vers le bas
     (relation).

‘\leftharpoonup’
     ↼ Harpon vers la gauche à simple ligne avec crochet vers le haut
     (relation).

‘\Leftrightarrow’
     ⇔ Bi-implication ; double flèche bilatérale (relation).
     Similaire : flèche bilatérale ‘\leftrightarrow’.

‘\leftrightarrow’
     ↔ Flèche bilatérale (relation).  Similaire : double flèche
     bilatérale ‘\Leftrightarrow’.

‘\leq’
     ≤ Inférieur ou égal à (relation).  Synonyme : ‘\le’.

‘\lfloor’
     ⌊ Plancher à gauche (ouvrant).  Correspond à : ‘\rfloor’.

‘\lhd’
     ◁ Pointe de flèche, c.-à-d. triangle pointant vers la gauche
     (binaire).  Ceci n’est pas disponible en TeX de base.  En LaTeX
     vous devez charger le paquetage ‘amssymb’.  For the normal subgroup
     symbol you should load ‘amssymb’ and use ‘\vartriangleleft’ (qui
     est une relation et ainsi donne un meilleur espacement).

‘\ll’
     ≪ Beaucoup plus petit que (relation).  Similaire : Beaucoup plus
     grand que ‘\gg’.

‘\lnot’
     ¬ Négation logique (ordinaire).  Synonyme : ‘\neg’.

‘\longleftarrow’
     ⟵ Longue flèche vers la gauche à ligne simple (relation).
     Similaire : longue flèche gauche à ligne double ‘\Longleftarrow’.

‘\longleftrightarrow’
     ⟷ Longue flèche bilatérale à ligne simple (relation).  Similaire :
     longue flèche bilatérale à ligne double ‘\Longleftrightarrow’.

‘\longmapsto’
     ⟼ Longue flèche d’un taquet vers la droite à ligne simple
     (relation).  Similaire : version courte ‘\mapsto’.

‘\longrightarrow’
     ⟶ Longue flèche vers la droite à ligne simple (relation).
     Similaire : longue flèche vers la droite à ligne
     double ‘\Longrightarrow’.

‘\lor’
     ∨ Ou-logique (binaire).  Synonyme : ‘\wedge’.

‘\mapsto’
     ↦ Flèche d’un taquet vers la droite (relation).  Similaire :
     version longue ‘\longmapsto’.

‘\mho’
     ℧ Conductance, symbole Ohm culbuté (ordinaire).  Ceci n’est pas
     disponible en TeX de base.  En LaTeX vous devez charger le
     paquetage ‘amssymb’.

‘\mid’
     ∣ Barre verticale à ligne simple (relation).  une utilisation
     typique de ‘\mid’ est pour un ensemble ‘\{\, x \mid x\geq 5 \,\}’.

     Similaire : ‘\vert’ et ‘|’ produisent le même symbole de barre
     verticale à ligne simple mais sans aucun espacement (on les classe
     comme « ordinaires ») et vous ne devriez pas les utiliser comme
     symbole de relation mais seulement comme des ordinaux, c.-à-d.
     comme des symboles de note en bas de page.  Pour dénoter une valeur
     absolue, voir l’entrée de ‘\vert’ et pour une norme voir l’entrée
     de ‘\Vert’.

‘\models’
     ⊨ Vrai, ou satisfait ; double turnstile, short double dash
     (relation).  Similaire : long double dash ‘\vDash’.

‘\mp’
     ∓ Moins ou plus (relation).

‘\mu’
     μ Lettre grecque en bas de casse (ordinaire).

‘\nabla’
     ∇ Del de Hamilton, ou différentiel, opérateur (ordinaire).

‘\natural’
     ♮ Bécarre (ordinaire).

‘\ne’
     ≠ Non égal (relation).  Synonyme : ‘\neq’.

‘\nearrow’
     ↗ Flèche nord-est (relation).

‘\neg’
     ¬ Négation logique (ordinaire).  Synonyme : ‘\lnot’.  Utilisé
     parfois au lieu du symbole de négation: ‘\sim’.

‘\neq’
     ≠ Non égal (relation).  Synonyme : ‘\ne’.

‘\ni’
     ∋ Signe d’appartenance réfléchi ; « contient comme élément »
     (relation).  Synonyme : ‘\owns’.  Similaire : « appartient
     à » ‘\in’.

‘\not’
     ̸ Barre oblique longue utilisée pour rayer un opérateur la suivant
     (relation).

     Beaucoup opérateurs en négation qui n’ont pas besoin de ‘\not’ sont
     disponibles, en particulier avec le paquetage ‘amssymb’.  Par
     exemple, ‘\notin’ est sans doute préférable à ‘\not\in’ d’un point
     de vue typographique.

‘\notin’
     ∉ N’appartient pas à (relation).  Similaire : non contenu
     dans ‘\nsubseteq’.

‘\nu’
     ν Lettre grecque en bas de casse (ordinaire).

‘\nwarrow’
     ↖ Flèche nord-ouest (relation).

‘\odot’
     ⊙ Point cerclé (binaire).  Similaire : opérateur de taille
     variable ‘\bigodot’.

‘\oint’
     ∮ Intégrale de contour, intégrale avec un cercle au milieu
     (opérateur).

‘\Omega’
     Ω Lettre grecque en capitale (ordinaire).

‘\omega’
     ω Lettre grecque en bas de casse (ordinaire).

‘\ominus’
     ⊖ Signe moins, ou tiret, cerclé (binaire).

‘\oplus’
     ⊕ Signe plus cerclé (binaire).  Similaire : opérateur de taille
     variable ‘\bigoplus’.

‘\oslash’
     ⊘ Barre de fraction, ou barre oblique, cerclée (binaire).

‘\otimes’
     ⊗ Signe de multiplication, ou croix, cerclé (binaire).  Similaire :
     opérateur de taille variable ‘\bigotimes’.

‘\owns’
     ∋ Epsilon d’appartenance réfléchi ; « contient comme élément »
     (relation).  Synonyme : ‘\ni’.  Similaire : appartient à ‘\in’.

‘\parallel’
     ∥ Parallèle (relation).  Synonyme : ‘\|’.

‘\partial’
     ∂ Différentielle partielle (ordinaire).

‘\perp’
     ⟂ Perpendiculaire (relation).  Similaire : ‘\bot’ utilise le même
     glyphe mais l’espacement est différent parce qu’il est dans la
     classe ordinaire.

‘\phi’
     ϕ Lettre grecque en bas de casse (ordinaire).  La forme en variante
     est ‘\varphi’ φ.

‘\Pi’
     Π Lettre grecque en capitale (ordinaire).

‘\pi’
     π Lettre grecque en bas de casse (ordinaire).  La forme en variante
     est ‘\varpi’ ϖ.

‘\pm’
     ± Plus or minus (binaire).

‘\prec’
     ≺ Précède (relation).  Similaire : inférieur à ‘<’.

‘\preceq’
     ⪯ Précède ou égal, précède par-dessus signe égal à une ligne
     (relation).  Similaire : inférieur ou égal ‘\leq’.

‘\prime’
     ′ Prime, ou minute au sein d’une expression temporelle (ordinaire).
     Typiquement utilisé en indice supérieur ‘$A^\prime$’.  Il est à
     noter sque ‘$f^\prime$’ et ‘$f'$’ produisent le même résultat.  Un
     avantage de la seconde forme est que ‘$f'''$’ produit le symbole
     désiré, c.-à-d. le même résultat que ‘$f^{\prime\prime\prime}$’,
     mais en nécessitant moins de saisie.  Il est à noter que vous ne
     pouvez utiliser ‘\prime’ qu’en mode mathématique.  Utiliser le
     quote ‘'’ en mode texte produit un caractère différent (apostrophe
     ou guillemet anglais simple de droite).

‘\prod’
     ∏ Produit (opérateur).

‘\propto’
     ∝ Proportionnel à (relation)

‘\Psi’
     Ψ Lettre grecque en capitale (ordinaire).

‘\psi’
     ψ Lettre grecque en bas de casse (ordinaire).

‘\rangle’
     ⟩ Chevron mathématique droit, ou séquence, crochet (fermant).
     Similaire : supérieur à ‘>’.  Correspond à ‘\langle’.

‘\rbrace’
     } Accolade de droite (fermante).  Synonyme : ‘\}’.  Correspond
     à ‘\lbrace’.

‘\rbrack’
     ] Crochet droit (fermant).  Synonyme : ‘]’.  Correspond
     à ‘\lbrack’.

‘\rceil’
     ⌉ Plafond droit (fermant).  Correspond à ‘\lceil’.

‘\Re’
     ℜ Partie réelle, nombres réels, R capital gothique (ordinaire).  En
     relation avec : R majuscule ajouré, ou gras de tableau
     d’école ‘\mathbb{R}’ ; pour accéder à cela charger le paquetage
     ‘amsfonts’.

‘\restriction’
     ↾ Restriction d’une fonction (relation).
     Synonyme : ‘\upharpoonright’.  Ceci n’est pas disponible en TeX de
     base.  En LaTeX vous devez charger le paquetage ‘amssymb’.

‘\revemptyset’
     ⦰ Symbole ensemble vide inversé (ordinaire).  En relation avec :
     ‘\varnothing’.  Ceci n’est pas disponible en TeX de base.  En LaTeX
     vous devez charger le paquetage ‘stix’.

‘\rfloor’
     ⌋ Plancher droit, un crochet droit avec la dent du haut coupée
     (fermant).  Correspond à ‘\lfloor’.

‘\rhd’
     ◁ Pointe de flèche, c.-à-d. u triangle pointant vers la droite
     (binaire).  Ceci n’est pas disponible en TeX de base.  En LaTeX
     vous devez charger le paquetage ‘amssymb’.  Pour le symbole normal
     de sousgroupe vous devriez plutôt charger ‘amssymb’ et utiliser
     ‘\vartriangleright’ (qui est une relation et ainsi donne un
     meilleur espacement).

‘\rho’
     ρ Lettre grecque en bas de casse (ordinaire).  La forme en variante
     est ‘\varrho’ ϱ.

‘\Rightarrow’
     ⇒ Implique, flèche vers la droite à double-ligne (relation).
     Similaire : flèche vers la droite ‘\rightarrow’.

‘\rightarrow’
     → Flèche vers la droite à ligne simple (relation).
     Synonyme : ‘\to’.  Similaire : flèche vers droite à ligne
     double ‘\Rightarrow’.

‘\rightharpoondown’
     ⇁ Harpon vers la droite avec crochet vers le bas (relation).

‘\rightharpoonup’
     ⇀ Harpon vers la droite avec crochet vers la haut (relation).

‘\rightleftharpoons’
     ⇌ Harpon vers la droite avec crochet vers le haut au dessus d’un
     harpon vers la gauche avec crochet vers le bas (relation).

‘\searrow’
     ↘ Flèche pointant sud-est (relation).

‘\setminus’
     ⧵ Difference ensembliste, barre de faction inversée ou
     contr’oblique, comme \ (binaire).  Similaire :
     contr’oblique ‘\backslash’ et aussi ‘\textbackslash’ hors du mode
     mathémaitque.

‘\sharp’
     ♯ Dièse (ordinaire).

‘\Sigma’
     Σ Lettre grecque en capitale (ordinaire).

‘\sigma’
     σ Lettre grecque en bas de casse (ordinaire).  La forme en variante
     est ‘\varsigma’ ς.

‘\sim’
     ∼ Similaire à, dans une relation (relation).

‘\simeq’
     ≃ Similaire ou égal à, dans une relation (relation).

‘\smallint’
     ∫ Signe intégrale qui ne change pas en taille plus grande au sein
     d’une formule hors texte (opérateur).

‘\smile’
     ⌣ Arc concave en haut, sourire (ordinaire).

‘\spadesuit’
     ♠ Pique de carte à jouer (ordinaire).

‘\sqcap’
     ⊓ Symbole d’intersection carré (binaire).  Similaire :
     intersection ‘cap’.

‘\sqcup’
     ⊔ Symbole d’union carré (binaire).  Similaire : union ‘\cup’.  En
     relation avec : opérateur de taille variable ‘\bigsqcup’.

‘\sqsubset’
     ⊏ Symbole carré de sous-ensemble (relation).  Similaire :
     sous-ensemble ‘\subset’.  Ceci n’est pas disponible en TeX de base.
     En LaTeX vous devez charger le paquetage ‘amssymb’.

‘\sqsubseteq’
     ⊑ Symbole carré de sous-ensemble ou égal à (binaire).  Similaire :
     subset or égal à ‘\subseteq’.

‘\sqsupset’
     ⊐ Symbole carré de sur-ensemble (relation).  Similaire :
     superset ‘\supset’.  Ceci n’est pas disponible en TeX de base.  En
     LaTeX vous devez charger le paquetage ‘amssymb’.

‘\sqsupseteq’
     ⊒ Symbole carré de sur-ensemble ou égal à (binaire).  Similaire :
     sur-ensemble ou égal ‘\supseteq’.

‘\star’
     ⋆ Étoile à cinq branches, quelque-fois utilisée comme une opération
     binaire générale mais quelque-fois réservée pour la corrélation
     croisée (binaire).  Similaire : les synonymes astérisque ‘*’ anet
     ‘\ast’, qui sont à six branches, et apparaissent plus souvent comme
     indice supérieur et inférieur, comme c’est le cas avec l’étoile de
     Kleene.

‘\subset’
     ⊂ Est contenu (occasionnellement, est impliqué par) (relation).

‘\subseteq’
     ⊆ Est contenu ou égal à (relation).

‘\succ’
     ≻ Vient après, suit (relation).  Similaire : inférieur à ‘>’.

‘\succeq’
     ⪰ Suit ou est égal à (relation).  Similaire : inférieur ou égal
     à ‘\leq’.

‘\sum’
     ∑ Summation (opérateur).  Similaire : Lettre grecque
     capitale ‘\Sigma’.

‘\supset’
     ⊃ Contient (relation).

‘\supseteq’
     ⊇ Contient ou est égal à (relation).

‘\surd’
     √ Symbole racine (ordinaire).  La commande LaTeX ‘\sqrt{..}’
     compose la racine de l’argument, avec une barre qui s’étend pour
     couvrir l’argument.

‘\swarrow’
     ↙ Flèche pointant au sud-ouest (relation).

‘\tau’
     τ Lettre grecque en bas de casse (ordinaire).

‘\theta’
     θ Lettre grecque en bas de casse (ordinaire).  La forme en variante
     est ‘\vartheta’ ϑ.

‘\times’
     × Signe de multiplication d’école primaire (binaire).  Voir
     aussi ‘\cdot’.

‘\to’
     → Flèche en ligne simple vers la droite (relation).
     Synonyme : ‘\rightarrow’.

‘\top’
     ⊤ Taquet vers le haut ; dessus, plus grand élément d’un poset
     (ordinaire).  Voir aussi ‘\bot’.

‘\triangle’
     △ Triangle (ordinaire).

‘\triangleleft’
     ◁ Triangle non-rempli pointant à gauche (binaire).
     Similaire : ‘\lhd’.  Pour le symbole normal de sous-groupe vous
     devez charger ‘amssymb’ et utiliser ‘\vartriangleleft’ (qui est une
     relation et ainsi donne un meilleur espacement).

‘\triangleright’
     ▷ Triangle non-rempli pointant à droite (binaire).  Pour le symbole
     normal de sousgroupe vous devez à la place charger ‘amssymb’ et
     utiliser ‘\vartriangleright’ (qui est une relation et ainsi donne
     un meilleur espacement).

‘\unlhd’
     ⊴ Pointe de flèche non-pleine soulignée pointant vers la gauche,
     c.-à-d. triangle avec une ligne en dessous (binaire).  Ceci n’est
     pas disponible en TeX de base.  En LaTeX vous devez charger le
     paquetage ‘amssymb’.  Pour le symbole normal de sous-groupe chargez
     ‘amssymb’ et utilisez ‘\vartrianglelefteq’ (qui est une relation et
     ainsi donne un meilleur espacement).

‘\unrhd’
     ⊵ Pointe de flèche non-pleine soulignée pointant vers la droite,
     c.-à-d. triangle avec une ligne en dessous (binaire).  Ceci n’est
     pas disponible en TeX de base.  En LaTeX vous devez charger le
     paquetage ‘amssymb’.  Pour le symbole normal de sous-groupe chargez
     ‘amssymb’ et utilisez ‘\vartrianglerighteq’ (qui est une relation
     et ainsi donne un meilleur espacement).

‘\Uparrow’
     ⇑ Flèche vers le haut à ligne double (relation).  Similaire :
     flèche vers le haut à ligne simple ‘\uparrow’.

‘\uparrow’
     ↑ Single-line upward-pointing flèche, diverges (relation).
     Similaire : double-line up-pointing flèche ‘\Uparrow’.

‘\Updownarrow’
     ⇕ Double-line upward-and-downward-pointing flèche (relation).
     Similaire : single-line upward-and-downward-pointing
     flèche ‘\updownarrow’.

‘\updownarrow’
     ↕ flèche haut et bas à ligne simple (relation).  Similaire : flèche
     haut et bas à ligne double ‘\Updownarrow’.

‘\upharpoonright’
     ↾ Harpon vers le haut avec crochet à droite (relation).
     Synonyme : ‘\restriction’.  Ceci n’est pas disponible en TeX de
     base.  En LaTeX vous devez charger le paquetage ‘amssymb’.

‘\uplus’
     ⊎ Union de multiensemble, un symbole union avec un symbole plus en
     son sein (binaire).  Similaire : union ‘\cup’.  En relation avec :
     opérateur de taille variable ‘\biguplus’.

‘\Upsilon’
     Υ Lettre grecque en capitale (ordinaire).

‘\upsilon’
     υ Lettre grecque en bas de casse (ordinaire).

‘\varepsilon’
     ε Epsilon de ronde en bas de casse (ordinaire).  Plus largement
     utilise en mathematique que la forme non variante epsilon lunaire
     ‘\epsilon’ ϵ.  En relation avec : « appartient à » ‘\in’.

‘\vanothing’
     ∅ Symbole ensemble vide.  Similaire : ‘\emptyset’.  En relation
     avec : ‘\revemptyset’.  Ceci n’est pas disponible en TeX de base.
     En LaTeX vous devez charger le paquetage ‘amssymb’.

‘\varphi’
     φ Variante de la lettre grecque bas de casse (ordinaire).  La forme
     non en variante est ‘\phi’ ϕ.

‘\varpi’
     ϖ Variante de la lettre grecque bas de casse (ordinaire).  La forme
     non en variante est ‘\pi’ π.

‘\varrho’
     ϱ Variante de la lettre grecque bas de casse (ordinaire).  La forme
     non en variante est ‘\rho’ ρ.

‘\varsigma’
     ς Variante de la lettre grecque bas de casse (ordinaire).  La forme
     non en variante est ‘\sigma’ σ.

‘\vartheta’
     ϑ Variante de la lettre grecque bas de casse (ordinaire).  La forme
     non en variante est ‘\theta’ θ.

‘\vdash ⊢ Taquet droit ; prouve, implique ;’
     portillon/tourniquet ; barre verticale et un tiret (relation).
     Similaire : portillon inversé ‘\dashv’.

‘\vee’
     ∨ Ou logique ; une forme de v pointant vers le bas (binaire).  En
     relation avec : Et logique ‘\wedge’.  Similaire : Opérateur de
     taille variable ‘\bigvee’.

‘\Vert’
     ‖ Double barre verticale (ordinaire).  Similaire : barre verticale
     simple ‘\vert’.

     Pour une norme vous pouvez utiliser le paquetage ‘mathtools’ et
     ajouter ‘\DeclarePairedDelimiter\norm{\lVert}{\rVert}’ à votre
     préambule.  Ceci vous donne trois variantes de commande pour faire
     des barres verticales correctement espacées horizontalement : si
     dans le corps du document vous écrivez la version étoilée
     ‘$\norm*{M^\perp}$’ alors la hauteur des barres verticales
     correspond à celle de l’argument, alors qu’avec ‘\norm{M^\perp}’
     les barres ne grnadissent pas avec la hauteur de l’argument mais à
     la place reste de la hauteur par défaut, et
     ‘\norm[COMMANDE-TAILLE]{M^\perp}’ donne aussi des barres qui ne
     grandissent pas mais sont de la taille donnée dans la
     COMMANDE-TAILLE, par ex. ‘\Bigg’.

‘\vert’
     | Barre verticale simple (ordinaire).  Similaire : barre à
     double-ligne verticale ‘\Vert’.  Pour usage tel qu’au sein de la
     définition d’un ensemble, utilisez ‘\mid’ parce que c’est une
     relation.

     Pour une valeur aboslue vous pouvez utilise le paquetage
     ‘mathtools’ et ajouter
     ‘\DeclarePairedDelimiter\abs{\lvert}{\rvert}’ à votre préambule.
     Ceci vous donne trois variantes de commande pour les barres simples
     verticales qui sont correctement espacées verticalement : si dans
     le corps du document vous écrivrez la version étoilée
     ‘$\abs*{\frac{22}{7}}$’ alors la hauteur des barres verticales
     correspond à la hauteur de l’argument, alors qu’avec
     ‘\abs{\frac{22}{7}}’ les pabarres ne grandissent pas avec
     l’argument ais à la place sont de la hauteur par défaut, et
     ‘\abs[COMMANDE-TAILLE]{\frac{22}{7}}’ donne aussi des barres qui ne
     grandissent pas mais qui sont rélgées à la taille donnée par la
     COMMANDE-TAILLE, par ex. ‘\Bigg’.

‘\wedge’
     ∧ Et logique (binaire).  Synonyme : ‘\land’.  Voir aussi ou logique
     ‘\vee’.  Similaire : opérateur de taille variable ‘\bigwedge’.

‘\wp’
     ℘ « p » de Weierstrass, fonction elliptique de Weierstrass
     (ordinaire).

‘\wr’
     ≀ Produit couronnne (binaire).

‘\Xi’
     Ξ Lettre grecque en capitale (ordinaire).

‘\xi’
     ξ Lettre grecque en bas de casse (ordinaire).

‘\zeta’
     ζ Lettre grecque en bas de casse (ordinaire).

16.3 Fonctions mathématiques
============================

En mode mathématique ces commandes produisent des noms de fonction en
police romaine et avec l’espacement adéquat.

‘\arccos’
     \arccos

‘\arcsin’
     \arcsin

‘\arctan’
     \arctan

‘\arg’
     \arg

‘\bmod’
     Opérateur modulo binaire (x \bmod y)

‘\cos’
     \cos

‘\cosh’
     \cosh

‘\cot’
     \cos

‘\coth’
     \cosh

‘\csc’
     \csc

‘\deg’
     \deg

‘\det’
     \deg

‘\dim’
     \dim

‘\exp’
     \exp

‘\gcd’
     \gcd

‘\hom’
     \hom

‘\inf’
     \inf

‘\ker’
     \ker

‘\lg’
     \lg

‘\lim’
     \lim

‘\liminf’
     \liminf

‘\limsup’
     \limsup

‘\ln’
     \ln

‘\log’
     \log

‘\max’
     \max

‘\min’
     \min

‘\pmod’
     Modulo parenthésé, comme dans (\pmod 2^n - 1)

‘\Pr’
     \Pr

‘\sec’
     \sec

‘\sin’
     \sin

‘\sinh’
     \sinh

‘\sup’
     \sup

‘\tan’
     \tan

‘\tanh’
     \tanh

16.4 Accents mathématiques
==========================

LaTeX fournit diverse commandes pour produire des lettres accentuées en
math.  Elles diffèrent de celles concernant les accents en texte normal
(see Accents).

‘\acute’
     Accent aigu mathématique : \acute{x}.

‘\bar’
     Accent barre suscrite mathématique : \bar{x}.

‘\breve’
     Accent brève mathématique : \breve{x}.

‘\check’
     Accent háček (caron) mathématique : \check{x}.

‘\ddot’
     Accent diérèse (tréma) mathématique : \ddot{x}.

‘\dot’
     Accent point suscrit mathématique : \dot{x}.

‘\grave’
     Accent grave mathématique : \grave{x}.

‘\hat’
     Accent chapeau (circonflexe) mathématique : \hat{x}.

‘\imath’
     I sans point mathématique.

‘\jmath’
     J sans point mathématique.

‘\mathring’
     Accent rond-en-chef mathématique : x̊.

‘\tilde’
     Accent tilde mathématique : \tilde{x}.

‘\vec’
     Symbole vecteur mathématique : \vec{x}.

‘\widehat’
     Accent chapeau large mathématique : \widehat{x+y}.

‘\widetilde’
     Accent tilde mathématique : \widetilde{x+y}.

16.5 Espacement en mode mathématique
====================================

Au sein d’un environnement ‘math’, LaTeX ignore les espaces que vous
tapez et met à la place l’espacement correspondant aux règles normales
pour les textes mathématiques.

   En mode mathématique, beaucoup de définitions sont exprimées dans
l’unité mathématique “mu” donnée par 1 em = 18 mu, où le em est pris de
la famille courante des symboles mathématiques (see Units of length).

‘\;’
     Normalement ‘5.0mu plus 5.0mu’.  Le nom long est ‘\thickspace’.
     Utilisable seulement en mode mathématique.

‘\:’
‘\>’
     Normalement ‘4.0mu plus 2.0mu minus 4.0mu’.  The longer name is
     ‘\medspace’.  Utilisable seulement en mode mathématique.

‘\,’
     Normalement ‘3mu’.  Le nom long est ‘\thinspace’.  Utilisable à la
     fois en mode mathématique et en mode texte.  See \thinspace.

‘\!’
     Une espace finie négative.  Normalement ‘-3mu’.  Utilisable
     seulement en mode mathématique.

‘\quad’
     Vaut 18mu, c.-à-d. 1em.  Souvent utilisé pour l’espace entourant
     les équation ou expression, par ex. pour l’espace entre deux
     équation au sein d’un environnement ‘displaymath’.  Utilisable à la
     fois en mode mathématique et en mode texte.

‘\qquad’
     Une longueur de 2 quads, soit 36mu = 2em.  Utilisable à la fois en
     mode mathématique et en mode texte.

   Dans cet exemple une espace fine sépare la fonction de la forme
différentielle.

     \int_0^1 f(x)\,dx

16.6 Recueil de diverses commandes utiles en math
=================================================

‘\*’
     Un symbole de multipliciation “discrétionnaire”, sur lequel un saut
     de ligne est autorisé.  En l’absence de saut, la multiplication est
     indiquée implicitement par un espace, alors qu’en cas de saut un
     symbole × est imprimé immédiatement avant le saut.  Ainsi

          \documentclass{article}
          \usepackage[utf8]{inputenc}
          \usepackage{french}
          \begin{document}
          Mais \(A_3 = 0\), ainsi le produit de tous les termes de
          \(A_1\) à \(A_4\), c.-à-d.\ \(A_1\* A_2\* A_3 \* A_4\),
          est égal à zéro.
          \end{document}

     produit une sortie de ce type (on a omis une partie du texte pour
     faire apparaître la césure au même endroit que dans une sortie
     TeX) :

          Mais A_3 = 0, ainsi [...] de A_1 à A_4, c.-à-d. A_1 A_2 \times
          A_3 A_4, est égal à zéro.

‘\cdots’
     Des points de suspension élevés au centre de la ligne.

‘\ddots’
     Des points de suspension en diagonale : \ddots.

‘\frac{NUM}{DÉN}’
     Produit la fraction NUM divisé par DÉN.

‘\left DELIM1 ... \right DELIM2’
     Les deux délimiteurs ne se correspondent par nécessairement ; ‘.’
     tient lieu de “délimiteur nul”, ne produisant rien en sortie.  Les
     délimiteurs sont dimensionnés selon la portion de formule
     mathématique qu’ils embrassent.  Exemple : ‘\left( \sum_{i=1}^{10}
     a_i \right]’.

‘\mathdollar’
     Signe dollar en mode mathématique : $.

‘\mathellipsis’
     Points de suspension (épacés pour du texte) en mode mathématique :
     ....

‘\mathparagraph’
     Signe paragraphe (pied-de-mouche) en mode mathématique : ¶.

‘\mathsection’
     Signe section en mode mathématique.

‘\mathsterling’
     Signe livre sterling mode mathématique : £.

‘\mathunderscore’
     Signe « souligné » en mode mathématique : _.

‘\overbrace{MATH}’
     Génère une accolade au dessus de MATH.  Par exemple,
     ‘\overbrace{x+\cdots+x}^{k \;\textrm{fois}}’.

‘\overline{TEXTE}’
     Génère une ligne horizontale au dessus de TEXTE.  Par exemple,
     ‘\overline{x+y}’.

‘\sqrt[NIÈME]{ARG}’
     Produit la représentation de la racine carrée de ARG.  L’argument
     optionnel NIÈME détermine quelle racine produire.  Par exemple, la
     racine cubique de ‘x+y’ serait tapée comme ‘$\sqrt[3]{x+y}$’.

‘\stackrel{TEXTE}{RELATION}’
     Place TEXTE au dessus de RELATION.  Par exemple,
     ‘\stackrel{f}{\longrightarrow}’.

‘\underbrace{MATH}’
     Génère MATH avec une accolade en-dessous.  Par exemple,
     ‘\underbrace{x+y+z}_{>\,0}’.

‘\underline{TEXTE}’
     A pour effet que TEXTE, ce qui peut être ou non en mode
     mathématique, soit souligné.  La ligne est toujours sous le texte,
     en prenant en compte les jambages.

‘\vdots’
     Produit des points de suspension alignés verticalement.

17 Modes
********

Quand LaTeX traite votre texte en entrée, il est forcément dans l’un de
ces trois modes :

   • Mode paragraphe
   • Mode math
   • Mode gauche-à-doite, appelé également mode LR (left-to-right) pour
     faire bref

   LaTeX change le mode seulement lorsqu’il monte ou descend un escalier
le menant à un niveau différent, quoique tous les changement de niveau
ne produisent pas de changement de mode.  Les changements de mode se
produisent seulement lorsqu’on entre dans ou quitte un environnement, ou
quand LaTeX traite l’argument de cetraines commandes qui produisent du
texte.

   Le « mode paragraphe » est le plus usuel ; c’est celui dans lequel
LaTeX se trouve lorsqu’il traite du texte ordinaire.  Dans ce mode-là,
LaTeX fragments votre texte en lignes et fragmentes les lignes en pages.
LaTeX est en « mode math » quand il est en train de générer une formule
mathématique.  En « mode LR », comme en mode paragraphe, LaTeX considère
la sortie qu’il produit comme une chaîne de mots avec des espaces entre
eux.  Toutefois, contrairement au mode paragraphe, LaTeX continue à
progresser de la gauche vers la droite ; il ne démarre jamais une
nouvelle ligne en mode LR. Même si vous mettez une centraine de mots
dans une ‘\mbox’, LaTeX continue à les composer de gauche à droite au
sein d’une seule boîte, et ensuite se plaindra que la boîte résultante
est trop large pour tenir dans la ligne.

   LaTeX est en mode LR quand il commence à fabriquer une boîte avec une
commande ‘\mbox’.  Vous pouver le faire entrer dans un mode different
mode au sein de la boîte — par exemple, vous pouvez le faire entrer en
mode math pour mettre un forume dans la boîte.  Il y a aussi plusieurs
commandes qui produisent du texte et environnement pour fabriquer une
boîte qui mettre LaTeX en mode paragraphe.  La boîte fabriquée par l’une
de ces commandes ou environnements est appelée une ‘parbox’.  Quand
LaTeX est en mode paragraphe alors qu’il fabrique une boîte, on dit
qu’il est en « mode paragraphe interne ».  Son mode paragraphe normal,
celui dans lequel il démarre, est appelé « mode paragraphe externe ».

17.1 ‘\ensuremath’
==================

Synopsis :

     \ensuremath{FORMULE}

   La commande ‘\ensuremath’ assure que FORMULE est composée en mode
mathématique quel que soit le mode courant où la commande apparaît.

   Par exemple :

     \documentclass{report}
     \usepackage{french}
     \newcommand{\ab}{\ensuremath{(\delta, \varepsilon)}}
     \begin{document}
     Le couple \ab\ vaut alors \(\ab = (\frac{1}{\pi}, 0)\), ...
     \end{document}

   Il est possible de redéfinir des commandes qui ne peuvent être
utilisées qu’en mode mathématique pour qu’elles puissent être utilisées
en tout mode comme dans l’exemple ci-dessous avec ‘\leadsto’ :

     \documentclass{report}
     \usepackage{amssymb}
     \usepackage{french}
     \newcommand{\originalMeaningOfLeadsTo}{}
     \let\originalMeaningOfLeadsTo\leadsto
     \renewcommand\leadsto{\ensuremath{\originalMeaningOfLeadsTo}}
     \begin{document}
     Tous les chemins \leadsto\ Rome.
     \end{document}

18 Styles de page
*****************

La commande ‘\documentclass’ détermine la taille et la position de
l’en-tête et du bas de page.  Le style de page détermine leur contenu.

18.1 ‘\maketitle’
=================

18.2 ‘\pagenumbering’
=====================

Synopsis :

     \pagenumbering{STYLE}

   Spécifie le style des numéros de page numbers selon STYLE.
‘\pagenumbering’ remet également le numéro de page à 1.  L’argument
STYLE peut prendre les valeurs suivantes :

‘arabic’
     nombres arabes

‘roman’
     Nombres romain en bas de casse

‘Roman’
     Nombres romain en capitales

‘alph’
     Lettres en bas de casse

‘Alph’
     Lettre en capitales

18.3 ‘\pagestyle’
=================

18.4 ‘\thispagestyle{STYLE}’
============================

La commande ‘\thispagestyle’ fonctionne de la même manière que la
commande ‘\pagestyle’ (voir section pécédente) à ceci près qu’elle
change en STYLE pour la page courante seulement.

19 Espaces
**********

LaTeX a beaucoup de façons de produire de l’espace blanc (ou rempli).

   Une autre commande produisant de l’espace est ‘\,’ pour produire une
espace « fine » (d’habitude 1/6quad).  Elle peut être utilisée en mode
texte, mais est le plus souvent utile en mode math (see Espacement en mode mathématique).

Espace horizontal

Espace vertical

19.1 ‘\hspace’
==============

Synopsis :

     \hspace{LONGUEUR}
     \hspace*{LONGUEUR}

   La commande ‘\hspace’ ajoute de l’espace horizontal.  L’argument
LONGUEUR peut être exprimé en toute unité que LaTeX comprend : points,
pouces, etc. C’est une longueur elastique.  Vous pouvez ajouter aussi
bien de l’espace négatif que de l’espace positif avec une commande
‘\hspace’ ; ajouter de l’espace negatif revient à retourner en arrière.

   LaTeX enlève normalement l’espace horizontal qui vient au début ou à
la fin d’une ligne.  Pour préserver cet espace, utilisez la forme
étoilée, c.-à-d. avec le suffixe ‘*’ optionnel.

19.2 ‘\hfill’
=============

La commande ‘\hfill’ de remplissage produit une “longueur élastique” qui
n’a aucun espace naturel mais peut s’allonger ou se rétrécir
horizontalement autant que nécessaire.

   Le paramètre ‘\fill’ est la longueur élastique elle-même (c.-à-d.
pour parler technique, la valeur de glue ‘0pt plus1fill’) ; ainsi,
‘\hspace\fill’ équivaut à ‘\hfill’.

19.3 ‘\<<espace>>’ et \@
========================

Ces commandes permettent de marquer un caractère de ponctuation,
typiquement un point, comme soit finissant une phrase, soit finissant
une abréviation.

   Par défaut, lorsque LaTeX justifie une ligne il ajuste l’espace après
le point final de chaque phrase (ou le point d’interrogation, la
virgule, ou le deux-points) plus que pour l’espace inter-mot (see
\frenchspacing).  LaTeX suppose que le point finit une phrase à moins
qu’il soit précédé d’une lettre capitale, dans quel cas il considère que
ce point fait partie d’une abréviation.  Il est à noter que si un point
final de phrase est immédiatement suivit d’une parenthèse ou crochet de
droite, ou d’un guillemet-apostrophe simple ou double de droite, alors
l’espace inter-phrase suit cette parenthèse ou ce guillemet.

   Si vous avez un point finissant une abréviation dont la dernière
lettre n’est pas une capitale, et que cette abréviation n’est pas le
dernier mot d’une phrase, alors faites suivre ce point d’un
contr’oblique-espace (‘\ ’), où d’un tilde (‘~’).  Voici des exemples :
‘Nat.\ Acad.\ Science’, et ‘Mr.~Bean’, et ‘(du fumier, etc.)\ à vendre’.

   Pour une autre utilisation de ‘\ ’, see ‘\ ’ après une séquence de contrôle.

   Dans la situation opposée, si vous avez une lettre capitale suivi
d’un point qui finit la phrase, alors placez ‘\@’ avant ce point.  Par
ex., ‘book by the MAA\@.’ aura l’espacement inter-phrase après ce point.

   Par contre, placer ‘\@’ après un point dit à TeX que ce point ne
finit pas la phrase.  Dans l’exemple ‘les mot réservés (if, then,
etc.\@) sont différents’, TeX met un espace inter-mot après la
parenthèse fermante (notez que ‘\@’ est avant la parenthèse).

19.4 ‘\ ’ après une séquence de contrôle
========================================

La commande ‘\ ’ est aussi souvent utilisée après les séquences de
contrôle pour les empêcher d’avaler les espaces qui suivent, comme dans
‘\TeX\ c'est chouette.’ Et, dans des circonstances normales,
‘\’<tabulation> et ‘\’<sautdeligne> sont équivalents à ‘\ ’.  Pour une
autre utilisation de ‘\ ’, voir aussi \(SPACE) and \@.

   Certaines personnes préfèrent utiliser ‘{}’ dans le même but, comme
dans ‘\TeX{} c'est chouette’.  Ceci a l’avantage que vous écrivez
toujours la même chose, en l’occurrence ‘\TeX{}’, qu’elle soit suivie
d’un espace ou d’un signe de ponctuation.  Comparez :

     \TeX\ est un chouette système. \TeX, un chouette système.

     \TeX{} est un chouette système. \TeX{}, un chouette système.

   Certaines commandes, notamment celles définies avec le paquetage
‘xspace’, ne suivent pas ce comportement standard.

19.5 ‘\frenchspacing’, rendre égaux les espacements inter-phrase et inter-mot
=============================================================================

Cette déclaration (provenant de TeX de base) cause que LaTeX traite
l’espacement inter-phrase de la même façon que l’espacement inter-mot.

   En justifiant le texte sur une ligne, certaine traditions
typographique, y comrpis l’anglaise, préfèrent ajuster l’espace entre
les phrase (ou après d’autres signes de ponctuation) plus que l’espace
entre les mots.  À la suite de cette déclaration, tous les espaces sont
traités de la même façon.

   Revenez au comportement par défaut en déclarant ‘\nonfrenchspacing’.

19.6 ‘\thinspace’
=================

‘\thinspace’ produit une espace insécable et non-elastique qui vaut 1/6
d’em.  C’est l’espace adéquate entre des guillemets anglais simples
emboîtés, comme dans ’”.

19.7 ‘\/’ : insérer une correction italique
===========================================

La commande ‘\/’ produit une “correction italique”.  C’est une espace
fine deéfni par le créateur de caractères typographiques pour un
caractère donné, pour éviter que le caractère entre en collision avec ce
qui suit.  Le caractère italique f a typiquement une valeur importante
de correction italique.

   Si le caractère suivant est un point ou une virgule, il n’est pas
nécessaire d’insérer une correction italique, puisque ces symboles de
ponctuation ont une très faible hauteur.  Toutefois, avec les
point-virgules ou les deux-points, de même qu’avec les lettres normales,
il peut être utilie.  Comparez : f: f; (dans la sortie TeX, les ‘f’s
sont séparés joliment) avec f: f;.

   Lorsque on change de fontes avec des commandes telles que
‘\textit{italic text}’ ou ‘{\itshape italic text}’, LaTeX insère
automatiquement une correction italique appropriée si nécessaire (see
Font styles).

   Malgré leur nom, les caractères romains peuvent aussi avoir une
correction italique.  Comparez : pdfTeX (dans la sortie TeX, il y a une
espace fine après le ‘f’) avec pdfTeX.

   Le concept de correction italique n’existe pas en mode mathématique ;
l’espacement y est fait d’une façon différente.

19.8 ‘\hrulefill \dotfill’
==========================

Produit une longueur elastique infinie (see Lengths) remplie avec un
filled filet horizontal (c.-à-d. une ligne) ou avec des pointillés, au
lieu de just de l’espace blanche.

   Quand on le place entre deux lignes à blanc cet exemple crée un
paragraphe qui est justifié à gauche et à droite, où l’espace au milieu
est rempli avec des pointillés uniformément espacés.

     \noindent Jack Aubrey\dotfill Melbury Lodge

   Pour que le filet ou les pointillés aillent jusqu’au bout de la ligne
utilisez ‘\null’ au début ou à la fin.

   Pour changer l’épaisseur du filet, copiez la définition et ajustez
là, comme avec ‘\renewcommand{\hrulefill}{\leavevmode\leaders\hrule
height 1pt\hfill\kern\z@}’, ce qui cuange l’épaisseur par défaut de
0.4pt à 1pt.  De même, ajustez l’espacement inter-pointillé comme avec
‘\renewcommand{\dotfill}{\leavevmode\cleaders\hb@xt@ 1.00em{\hss .\hss
}\hfill\kern\z@}’, ce qui change la longeur par défaut de 0.33em à
1.00em.

19.9 ‘\addvspace’
=================

‘\addvspace{LENGTH}’

   Ajoute un espace vertical de longeur LENGTH, ce qui est une longueur
élatsique (see Lengths).  Toutefois, si l’espace vertical a déjà été
ajouté au même point de la sortie par une commande ‘\addvspace’
précédente, alors cette commande n’ajoutera pas plus d’espace que
nécessaire à fabriquer la longeur naturelle de l’espace vertical total
égale à LENGTH.

   Utilisez cette commande pour ajuster l’espace vertical au-dessus ou
au-dessous d’un environnement qui commence un nouveau paragraphe.  (Par
exemple, un environnement Theorem est défini pour commencer et finir en
‘\addvspace{..}’ de sorte que deux Theorem consécutifs sont séparés par
un espace vertical, et non deux.)

   Cette commande est fragile (see \protect).

   L’erreur ‘Something's wrong--perhaps a missing \item’ signifie que
vous n’étiez pas en mode vertical quand vous avez invoqué cette
commande ; une façon pour sortir de cela et de faire précéder cette
commande d’une commande ‘\par’.

19.10 ‘\bigskip \medskip \smallskip’
====================================

Ces commandes produisent une quantité donnée d’espace, spécifiée par la
classe de document.

‘\bigskip’
     La même chose que ‘\vspace{\bigskipamount}’, ordinairement environ
     l’espace d’une ligne, avec dilatation et rétrécissement (la valeur
     par défaut pour les classes ‘book’ et ‘article’ et ‘12pt plus 4pt
     minus 4pt’).

‘\medskip’
     La même chose que ‘\vspace{\medskipamount}’, ordinairement environ
     la moitié de l’espace d’une ligne, avec dilatation et
     rétrécissement (la valeur par défaut pour les classes ‘book’ et
     ‘article’ et ‘6pt plus 2pt minus 2pt’).

‘\smallskip’
     La même chose que ‘\vspace{\smallskipamount}’, ordinairement
     environ le quart de l’espace d’une ligne, avec dilatation et
     rétrécissement (la valeur par défaut pour les classes ‘book’ et
     ‘article’ et ‘3pt plus 1pt minus 1pt’).

19.11 ‘\vfill’
==============

Finit le paragraphe courante et insère une longueur elastique verticale
(see Lengths) qui est infinie, de sorte qu’elle puisse se dilater ou
that is se rétrécire autant que nécessaire.

   On l’utilise souvent de la même façon que ‘\vspace{\fill}’, à ceci
près que ‘\vfill’ finit le paragraphe courant, tandis que
‘\vspace{\fill}’ ajoute une espace verticale infinin sous sa ligne sans
tenir compte de la structure du paragraphe.  Dans les deux cas cette
espace disparaît à la fin de la page ; pour éviter cela voir See
\vspace.

   Dans l’exemple qui suit la page est remplie, de sorte que les lignes
en haut et en bas contiennent le texte ‘Chien perdu !’ et que le
troisième ‘Chien perdu !’ est exactement à mi-chemin entre eux.

     \begin{document}
     Chien perdu !
     \vfill
     Chien perdu !
     \vfill
     Chien perdu !
     \end{document}

19.12 ‘\vspace’
===============

Synopsis, l’une des deux formes suivantes :

     \vspace{LONGUEUR}
     \vspace*{LONGUEUR}

   Ajout l’espace verticale LONGUEUR.  Celle-ci peut-être négative ou
positive, et c’est une longueur élastique (see Lengths).

   LaTeX enlève l’espace verticale provenant de ‘\vspace’ aux sauts de
page, c.-à-d. au sommet et au bas des pages.  La version étoilée
‘\vspace*{...}’ permet de conserver cette espace.

   Si ‘\vspace’ est utilisée au milieu d’un paragraphe (c.-à-d. en mode
horizontal), l’esace est insérée _après_ la ligne comprenant la commande
‘\vspace’ sans commencer un nouveau paragraphe.

   Dans cet exemple les deux questions sont espacées uniformément
verticalement sur la page, avec au moins 2,5cm d’espace sous chacune
d’elle.

     \begin{document}
     1) Z'avez pas vu Mirza ? Oh la la la la la la
     \vspace{2.5cm plus 1fill}

     2) Où est donc passé ce chien ? Je le cherche partout
     \vspace{2.5cm plus 1fill}
     \end{document}

20 Boîtes
*********

Tous les paramètres de longueurs prédéfinies (see Predefined lengths)
peuvent être utilisés au sein des arguments des commandes de
fabrication de boîtes.

20.1 ‘\mbox{TEXTE}’
===================

La commande ‘\mbox’ crée un boîte qui a la largeur juste du texte créé
par son argument.  Le TEXTE n’est pas coupé en plusieurs lignes, c’est
pourquoi cette commande peut être utilisée pour empécher la césure.

20.2 ‘\fbox’ and ‘\framebox’
============================

Synopsis :

     \fbox{TEXTE}
     \framebox[LARGEUR][POSITION]{TEXTE}

   Les commandes ‘\fbox’ et ‘\framebox’ sont similaires à ‘\mbox’, à
ceci près qu’elle mettent un cadre autour de l’extérieur de la boîte
ainsi créée.

   De plus, la commande ‘\framebox’ permet de spécifier explicitement la
largeur de la boîte avec l’argument optionnel LARGEUR (une longueur), et
sa position sur la ligne avec l’argument optionnel POSITION.

   Les deux commandes produisent un filet d’épaisseur ‘\fboxrule’
(valant par défaut ‘.4pt’), et laisse un espace de ‘\fboxsep’ (valant
par défaut ‘3pt’) entre le filet et le contenu de la boîte.

   See \framebox (picture), pour la commande ‘\framebox’ dans
l’environnement ‘picture’.

20.3 ‘lrbox’
============

Synopsis :

     \begin{lrbox}{\CMD}
       TEXTE
     \end{lrbox}

   Ceci est la forme environnement de la commande ‘\sbox’.

   Le TEXTE au sein de l’environnement est sauvegarder dans une boîte
‘\CMD’ qui doit avoir préalablement été déclarée avec ‘\newsavebox’.

20.4 ‘\makebox’
===============

Synopsis :

     \makebox[LARGEUR][POSITION]{TEXTE}

   La commande ‘\makebox’ crée une boîte juste assez large pour contenir
le TEXTE spécifié.  La largeur de la boîte peut-être emportée par
l’argument optionnel LARGEUR.  La position du texte au sein de la boîte
est determinée par l’argument optionnel POSITION qui peut prendre l’une
des valeurs suivantes :

‘c’
     Centré (par défaut).
‘l’
     (Left) justifié à gauche.
‘r’
     (Right) justifié à droite.
‘s’
     (Stretch) justifié à travers la LARGEUR entière ; TEXTE doit
     contenir de l’espace dilatable pour que cela marche.

   ‘\makebox’ est aussi utilisé au sein de l’environnement ‘picture’,
see \makebox (picture).

20.5 ‘\parbox’
==============

Synopsis :

     \parbox[POSITION][HAUTEUR][POS-INTERNE]{LARGEUR}{TEXTE}

   La commande ‘\parbox’ produit une boîte dont le contenu est créé en
“mode paragraphe”.  On devrait l’utiliser pour fabriquer une boîte à
partir de petits moreaux de texte, avec rien de trop élaboré à
l’intérieur.  En particulier, vous ne devriez utiliser aucun
environnement de fabrication de paragraphe au sein de l’argument TEXTE
d’une ‘\parbox’.  Pour des morceaux de texte de plus grande taille, y
compris ceux comprenant un environnement de fabrication de paragraphe,
vous devriez utiliser un environnement ‘minipage’ (see minipage).

   ‘\parbox’ a deux arguments obligatoires :

LARGEUR
     la largeur de la parbox;
TEXTE
     le texte qui à mettre dans la parbox.

   Par défault LaTeX positionne verticallement un parbox de sorte que
son centre soit aligné avec le centre de la ligne de texte alentour.
Lorsque l’argument optionnel POSITION est présent et vaut soit ‘t’ soit
‘b’, cela vous permet respectivement d’aligner soit la ligne du haut,
soit la ligne du bas de la parbox avec la ligne de base du texte
alentour.  Il est possible de spécifier POSITION à ‘m’ pour avoir le
comportement par défaut.

   L’argument optionnel HAUTEUR l’emporte sur la hauteur naturelle de la
boîte.

   L’argument POS-INTERNE contrôle la position du texte au sein de la
boîte, comme suit ; s’il n’est pas spécifié, POSITION est utilisé.

‘t’
     le texte est placé en haut de la boîte.
‘c’
     le texte est centré dans la boîte.
‘b’
     le texte est placé en bas de la boîte.
‘s’
     dilatation (stretch) verticale ; le texte doit contenir de
     l’espaces dilatable verticalement pour que cela fonctionne.

20.6 ‘\raisebox’
================

Synopsis :

     \raisebox{DISTANCE}[HAUTEUR][PROFONDEUR]{TEXTE}

   La commande ‘\raisebox’ élève ou abaisse du TEXTE.  Le premier
argument obligatoire spécifie la longueur dont le TEXTE doit être élevé
(ou abaissé si c’est une longueur négative).  Le TEXTE lui-même est
traité en mode LR.

   Les arguments optionnels HAUTEUR et PROFONDEUR sont des longueurs.
S’ils sont spécifiés, LaTeX traite TEXTE comme s’il s’étendait une
certaine distance (HAUTEUR) au-dessus de la ligne de base, ou au dessous
(PROFONDEUR), en ignorant ses hauteur et profondeur naturelles.

20.7 ‘\savebox’
===============

Synopsis :

     \savebox{\BOXCMD}[LARGEUR][POS]{TEXTE}

   Cette commande compose TEXTE dans une boîte de la même façon qu’avec
‘\makebox’ (see \makebox), à ceci près qu’au lieu d’imprimer la
boîte résultante, elle la sauvegarde dans une boîte étiquettée \BOXCMD,
ce qui doit avoir été déclaré avec ‘\newsavebox’ (see \newsavebox).

20.8 ‘\sbox{\BOXCMD}{TEXTE}’
============================

Synopsis :

     \sbox{\BOXCMD}{TEXTE}

   ‘\sbox’ tape TEXTE au sein d’une boîte tout comme ‘\mbox’ (see
\mbox) à ceci près qu’au lieu que la boîte résultante soit incluse
dans la sortie normale, elle est sauvegardée dans la boîte étiquetée
\BOXCMD.  \BOXCMD doit avoir été préalablement déclarée avec
‘\newsavebox’ (see \newsavebox).

20.9 ‘\usebox{\BOXCMD}’
=======================

Synopsis :

     \usebox{\BOXCMD}

   ‘\usebox’ produit la boîte la plus récemment sauvegardée dans le bac
\BOXCMD par une commande ‘\savebox’ (see \savebox).

21 Insertions spéciales
***********************

LaTeX fournit des commandes pour insérer les caractères qui ont une
signification spéciale mais ne correspondent à aucun caractère simple
que vous pouvez taper.

21.1 Caractères réservés
========================

LaTeX réserve les caractères suivant à un usage spécial (par exemple, le
signe pourcent ‘%’ sert aux commentaires) c’est pourquoi on les appelle
“caractères réservés” ou “caractères spéciaux”.

     # $ % & { } _ ~ ^ \

   Si vous voulez qu’un caractère réservés soit imprimé comme lui-même,
dans la même police que le corps du texte, alors pour tous les
caractères hormis les trois derniers de cette liste il suffit de les
faire précéder d’une contr’oblique ‘\’.  Ainsi ‘\$1.23’ produit ‘$1.23’
en sortie.

   Quant aux trois derniers caractères, pour faire un tilde dans la
police du corps du texte utilisez ‘\~{}’ (sans les accolades cela
mettrait un accent tilde sur le caractère suivant).  De même pour faire
un accent circonflexe dans la police du corps du texte utilisez ‘\^{}’.
Une contr’oblique dans la police du corps de texte se fait avec
‘\textbackslash{}’.

   Pour produire les caractères réservé dans la police d’une machine à
écrire utilisez ‘\verb!!’ comme ci-dessous :

     \begin{center}
       \# \$ \% \& \{ \} \_ \~{} \^{} \textbackslash \\
       \verb!# $ % & { } _ ~ ^ \!
     \end{center}

   Dans cet exemple la double contr’oblique ‘\\’ n’est là que pour
sauter à la ligne.

21.2 Symboles appelés par leur position dans une police
=======================================================

Vous pouvez accéder à n’importe quel caractère de la police courante en
utilisant son numéro avec la commande ‘\symbol’.  Par exemple, le
caractère espace visible utilisé dans la commande ‘\verb*’ a le code
décimal 32, ainsi on peut le taper avec ‘\symbol{32}’.

   Vous pouvez également spécifier le numéro en octal (base 8) en
utilisant un préfixe ‘'’, ou en hexadécimal (base 16) avec un préfixe
‘"’, ainsi l’exemple précédent pourrait tout aussi bien être écrit comme
‘\symbol{'40}’ ou ‘\symbol{"20}’.

21.3 Symboles en texte
======================

LaTeX fournit des commandes pour générer divers symboles qui ne sont pas
des lettres dans le cours sein du texte.  Certaines d’entre elles, en
particulier les plus obscures, ne sont pas disponible en OT1 ; il se
peut que vous deviez charger le paquetage ‘textcomp’.

‘\copyright’
‘\textcopyright’
     Le symbole « droit d’auteur », ©.

‘\dag’
     Le symbole obèle (dans le texte).

‘\ddag’
     Le symbole double obèle (dans le texte).

‘\LaTeX’
     Le logo LaTeX.

‘\LaTeXe’
     Le logo LaTeX2e.

‘\guillemotleft («)’
‘\guillemotright (»)’
‘\guilsinglleft (‹)’
‘\guilsinglright (›)’
     Guillemets à chevron double et simple, utilisés communément en
     français : «, », ‹, ›.

‘\ldots’
‘\dots’
‘\textellipsis’
     Des points de suspension (trois points sur la ligne de base) :
     ‘...’.  ‘\ldots’ et ‘\dots’ peuvent également être utilisés en mode
     mathématique.

‘\lq’
     guillemet-apostrophe simple de gauche (ouvrant) : ‘.

‘\P’
‘\textparagraph’
     Signe paragraphe : ¶ (pied-de-mouche).

‘\pounds’
‘\textsterling’
     Livre sterling anglais : £.

‘\quotedblbase („)’
‘\quotesinglbase (‚)’
     Guillemets-virgule inférieur double et simple : „ et ‚.

‘\rq’
     Guillemet-apostrophe simple de gauche (fermant) : ’.

‘\S’
     \itemx \textsection Signe section : §.

‘\TeX’
     Le logo TeX.

‘\textasciicircum’
     circonflexe ASCII : ^.

‘\textasciitilde’
     tilde ASCII : ~.

‘\textasteriskcentered’
     Astérisque centré : *.

‘\textbackslash’
     Contr’oblique : \.

‘\textbar’
     Barre verticale : |.

‘\textbardbl’
     Barre verticale double.

‘\textbigcircle’
     Symbole grand rond.

‘\textbraceleft’
     Accolade gauche : {.

‘\textbraceright’
     Accolade droite : }.

‘\textbullet’
     Puce : •.

‘\textcircled{LETTRE}’
     LETTRE dans un cercle, comme dans ®.

‘\textcompwordmark’
‘\textcapitalcompwordmark’
‘\textascendercompwordmark’
     Marque de mot composé (invisible).  La forme ‘\textcapital...’ à la
     hauteur de capitale de la fonte, alors que la forme
     ‘\textascender...’ a la hauteur de hampe.

‘\textdagger’
     Obèle : \dag.

‘\textdaggerdbl’
     Double-obèle : \ddag.

‘\textdollar (ou ‘\$’)’
     Signe Dollar : $.

‘\textemdash (ou ‘---’)’
     Cadratin : — (pour la ponctuation).

‘\textendash (ou ‘--’)’
     Demi cadratin : – (pour les plages en anglais).

‘\texteuro’
     Le symbole Euro : €.

‘\textexclamdown (ou ‘!`’)’
     Point d’exclamation culbuté : ¡.

‘\textgreater’
     Supérieur à : >.

‘\textless’
     Inférieur à : <.

‘\textleftarrow’
     Flèche gauche.

‘\textordfeminine’
‘\textordmasculine’
     Symboles ordinaux féminin et masculin : ª, º.

‘\textperiodcentered’
     Point centré : ·.

‘\textquestiondown (ou ‘?`’)’
     Point d’interrogation culbuté : ¿.

‘\textquotedblleft (ou ‘``’)’
     Guillemet-apostrophe double culbuté : “.

‘\textquotedblright (ou ‘''’)’
     Guillemet-apostrophe de droite double : ”.

‘\textquoteleft (ou ‘`’)’
     Guillemet-apostrophe simple culbuté : ‘.

‘\textquoteright (ou ‘'’)’
     Guillemet-apostrophe simple : ’.

‘\textquotesingle’
     Guillemet-apostrophe simple droit.  (Du codage TS1.)

‘\textquotestraightbase’
‘\textquotestraightdblbase’
     Guillemets droit simple et double sur la ligne de base.

‘\textregistered’
     Symbole « marque déposée » : ®.

‘\textrightarrow’
     Flèche droite.

‘\textthreequartersemdash’
     Cadratin « trois quarts ».

‘\texttrademark’
     Symbole marque de commerce : ™.

‘\texttwelveudash’
     Deux-tiers cadratin.

‘\textunderscore’
     Tiret bas : _.

‘\textvisiblespace’
     Symbol espace visible.

21.4 Accents
============

LaTeX a une prise en charge très large de beaucoup des scripts et
langages du monde, à travers ce qu’offre le paquetage ‘babel’.  Cette
section ne tente pas de couvrir la totalité de cette prise en charge.
Elle liste simplement les commandes LaTeX cœur pour créer des caractères
accentués, et plus généralement des caractères portant un signe
diacritique.

   Les commandes ‘\capital...’ produisent des formes alternatives
pouvant être utilisées avec les lettres capitales.  Elles ne sont pas
disponible avec l’OT1.

‘\"’
‘\capitaldieresis’

     Produit une tréma, comme dans ö.

‘\'’
‘\capitalacute’
     Produit un accent aigu, comme dans ó.  Dans l’environnement
     ‘tabbing’, pousse la colonne courante à droite de la colonne
     précédente (see tabbing).

‘\.’
     Produit un point suscrit à la lettre qui suit, comme dans ȯ.

‘\=’
‘\capitalmacron’
     Produit un macron (une barre) suscrit à la lettre qui suit, comme
     dans ō.

‘\^’
‘\capitalcircumflex’
     Produit un accent circonflexe (un chapeau) suscrit à la lettre qui
     suit, comme dans ô.

‘\`’
‘\capitalgrave’
     Produit un accent grave suscrit à la lettre qui suit, comme dans ò.
     Au sein de l’environnement ‘tabbing’, déplace le texte qui suit à
     la marge de droite (see tabbing).

‘\~’
‘\capitaltilde’
     Produit un diacritique tilde suscrit à la lettre qui suit, comme
     dans ñ.

‘\b’
     Produit un diacritique barre souscrite à la lettre qui suit, comme
     dans o̲.  Voir aussi ‘\underbar’ ci-après.

‘\c’
‘\capitalcedilla’
     Produit une cedille souscrite à la lettre qui suit, comme dans ç.

‘\d’
‘\capitaldotaccent’
     Produit un point souscrit à la lettre qui suit, comme dans ọ.

‘\H’
‘\capitalhungarumlaut’
     Produit un long tréma hongrois suscrit à la lettre qui suit, comme
     dans ő.

‘\i’
     Produit un i sans point, comme dans ‘ı’.

‘\j’
     Produit un j sans point, comme dans ‘j’.

‘\k’
‘\capitalogonek’
     Produit un ogonek, comme dans ‘ǫ’.  Non disponible dans le codage
     OT1.

‘\r’
‘\capitalring’
     Produit un rond en chef, comme dans ‘o̊’.

‘\t’
‘\capitaltie’
‘\newtie’
‘\capitalnewtie’
     Produit un tirant suscrit (double brève renversée), comme dans
     ‘oo͡’.  La forme ‘\newtie’ est centrée dans sa boîte.

‘\u’
‘\capitalbreve’
     Produit un accent brève, comme dans ‘ŏ’.

‘\underbar’
     Ce n’est pas vraiement un diacritique.  Produit une barre
     au-dessous de l’argument texte.  L’argument est toujours traité en
     mode horizontal.  La barre est toujours à une position fixée sous
     la ligne de base, de la sorte elle traverse les descentes.  Voir
     aussi ‘\underline’ dans Math miscellany.  Voir aussi ‘\b’
     ci-avant.

‘\v’
‘\capitalcaron’
     Produit un accent háček (caron), comme dans ‘ǒ’.

21.5 Lettres latines supplémentaires
====================================

Voici les commandes de base de LaTeX pour insérer des caractères
utilisés généralement utilisés dans des langages autres que l’anglais.

‘\aa’
‘\AA’
     å et Å.

‘\ae’
‘\AE’
     æ et Æ.

‘\dh’
‘\DH’
     Lettre islandaise eth : ð et Ð. Non disponible dans le codage OT1,
     il vous faut le paquetage ‘fontenc’ pour sélectionner un autre
     codage de police, tel que T1.

‘\dj’
‘\DJ’
     d et D barre, lettre d capitale et bas-de-casse avec une barre
     traversant la hampe.  Non disponible dans le codage OT1, il vous
     faut le paquetage ‘fontenc’ pour sélectionner un autre codage de
     police, tel que T1.

‘\ij’
‘\IJ’
     ij et IJ (à ceci près que les deux lettre apparaissent plus liées
     qu’ici).

‘\l’
‘\L’
     ł et Ł.

‘\ng’
‘\NG’
     Lettre eng laponais, utilisé aussi en phonétique.  Non disponible
     dans le codage OT1, il vous faut le paquetage ‘fontenc’ pour
     sélectionner un autre codage de police, tel que T1.

‘\o’
‘\O’
     ø et Ø.

‘\oe’
‘\OE’
     œ et Œ.

‘\ss’
‘\SS’
     ß et SS.

‘\th’
‘\TH’
     Lettre islandaise thorn : þ et Þ. Non disponible dans le codage
     OT1, il vous faut le paquetage ‘fontenc’ pour sélectionner un autre
     codage de police, tel que T1.

21.6 ‘\rule’
============

Synopsis :

     \rule[ÉLÉVATION]{LARGEUR}{ÉPAISSEUR}

   la commande ‘\rule’ produit un “filet”, c.-à-d. une ligne ou un
rectangle.  Les arguments sont :

ÉLÉVATION
     De combien élever le filet (optionnel).

LARGEUR
     La longueur du filet (obligatoire).

ÉPAISSEUR
     L’épaisseur du filet (obligatoire).

21.7 ‘\today’
=============

La commande ‘\today’ produit la date d’aujourd’hui, par défaut dans le
format ‘MOIS JJ, AAAA’ ; par exemple, ‘July 4, 1976’.  Elle utilise les
compteurs prédéfinis ‘\day’, ‘\month’, et ‘\year’ (see \day \month \year)
pour faire cela.  Elle n’est pas mise à jour durant l’execution
de la compilation.

   Les extensions multilingues comme entre autres le paquetage ‘babel’
ou la classe ‘lettre’ localisent ‘\today’.  Par exemple le code suivant
produit ‘4 juillet 1976’ :

     \year=1976 \month=7 \day=4
     \documentclass{minimal}
     \usepackage[french]{babel}
     \begin{document}
     \today
     \end{document}

   Le paquetage ‘datetime’, entre autres, produit un large choix
d’autres formats de date.

22 Partitionner le fichier d’entrée
***********************************

Un document de grande taille nécessite beaucoup de données en entrée.
Plutôt que de mettre toutes les entrées dans un seul grand fichier, il
est plus efficace de les partitionner en plusieurs fichiers plus petits.
Indépendamment du nombre de fichiers distincts que vous utilisez, il y
en a un seul qui est le “fichier racine” ; c’est le fichier dont vous
passer le nom à la ligne de commande quand vous exécutez LaTeX.

   See filecontents, pour un environnement qui permet de grouper un
fichier externe à créer avec le document principal.

22.1 ‘\include’
===============

Synopsis :

     \include{FICHIER}

   Si aucune commande ‘\includeonly’ n’est présente, la commande
‘\include’ exécute un ‘\clearpage’ pour commencer une nouvelle page
(see \clearpage), puis elle lit FICHIER, et ensuite fait encore un
‘\clearpage’.

   Précédé d’une commande ‘\includeonly’, les actions de ‘\include’ ne
sont exécutées que si FICHIER est un élément des fichiers listés en
argument de l’‘\includeonly’.  Voir \includeonly.

   La commande ‘\include’ ne doit apparaître ni dans le préambule, ni au
sein d’un fichier lu par une autre commande ‘\include’.

22.2 \‘includeonly’
===================

Synopsis :

     \includeonly{FICHIER1,FICHIER2,...}

   La commande ‘\includeonly’ contrôle quels fichiers sont lisible par
toute commande ‘\include’ venant ensuite.  La liste des noms de fichier
est à éléments séparés par des virgules.  Chaque élément FICHIER1,
FICHIER2, ... doit exactement correspondre à un nom de fichier spécifié
en argument d’une commande ‘\include’ pour que la sélection soit
effective.

   Cette commande ne peut apparaître que dans le préambule.

22.3 \input
===========

Synopsis :

     \input{NOMFICHIER}

   La commande ‘\input’ a pour effet que le NOMFICHIER spécifié soit lu
et traité comme si son contenu était inséré dans le fichier courant à
cet endroit.

   Si NOMFICHIER ne se termine pas en ‘.tex’ (par ex., ‘toto’ ou
‘toto.tata’), on essaie en premier en ajoutant cette extension
(‘toto.tex’ ou ‘toto.tata.tex’).  Si aucun fichier n’est trouvé avec ce
nom, alors on essaie le NOMFICHIER original (c.-à-d. ‘toto’ ou
‘toto.tata’).

23 Prologue et épilogue
***********************

23.1 Tables des matières
========================

On produit une table des matières avec la commande ‘\tableofcontents’.
Placez la commande à l’endroit même où vous voulez que la table des
matière apparaisse ; LaTeX fera le reste pour vous.  Une seconde
compilation est nécessaire pour qu’un fichier ‘.toc’ ait été produit à
la précédente.

   La commande ‘\tableofcontents’ produit un titre, mais il ne produit
pas automatiquement un début de nouvelle page.  Si vous voulez une
nouvelle page après la table des matières, mettez une commande
‘\newpage’ après la commande ‘\tableofcontents’.

   Les commandes analogues ‘\listoffigures’ et ‘\listoftables’
produisent respectivement une liste des figures et une listes des
tableaux.  Le fonctionnement est exactement le même que pour la table
des matières.

   La commande ‘\nofiles’ l’emporte sur ces commandes, et _empèche_ la
génération de ces listes.

23.1.1 ‘\addcontentsline’
-------------------------

Synopsis :

     \addcontentsline{EXT}{UNIT}{TEXTE}

   La commande ‘\addcontentsline’ ajoute une entrée a la liste ou table
specifiée où :

EXT
     L’extension de nom de fichier du fichier dans lequel l’information
     doit être écrite, typiquement c’est l’une des trois suivante ::
     ‘toc’ pour la table des matière (« table of contents » en langue
     anglaise), ‘lof’ pour la liste des figures (« list of figures »),
     ou ‘lot’ pour la liste des tableaux (« list of tables »).

UNIT
     Le nom de l’unité sectionnelle à ajouter, typiquement l’une des
     suivantes, selon la valeur de l’argument EXT :

     ‘toc’
          Les unités sectionnelles : ‘part’, ‘chapter’, ‘section’,
          ‘subsection’, ‘subsubsection’.
     ‘lof’
          Pour la liste des figures : ‘figure’.
     ‘lot’
          Pour la liste des tableaux : ‘table’.

TEXTE
     Le texte de l’entrée.

   Ce qui est écrit dans le fichier ‘.EXT’ est la commande
‘\contentsline{UNIT}{TEXTE}{NUMÉRO}’, où ‘NUMÉRO’ est la valeur courante
du compteur ‘UNIT’.

23.1.2 ‘\addtocontents’
-----------------------

La commande ‘\addtocontents’{EXT}{TEXTE} ajoute du texte (ou des
commandes de formatage) directement au fichier ‘.EXT’ qui génère la
tables des matières, ou la liste des figures ou des tableaux.  generates
the table of contents or listes of figures or tables.

EXT
     L’extension de nom de fichier du fichier dans lequel l’information
     est à écrire : ‘toc’ (table des matières), ‘lof’ (liste des
     figures), ou ‘lot’ (liste des tableaux).

TEXTE
     Le texte à écrire.

23.2 Glossaires
===============

La commande ‘\makeglossary’ active la création des glossaires.

   La commande ‘\glossary{TEXTE}’ écrit un article de glossaire pour
TEXTE dans un fichier auxiliaire nommé avec l’extension ‘.glo’.

   Plus précisément, ce qui est écrit est la commande
‘\glossaryentry{TEXTE}{NUMPAGE}’, où NUMPAGE est la valeur courante de
‘\thepage’.

   Le paquetage ‘glossary’ disponible sur le CTAN fournit une prise en
charge de glossaires plus élaborée.

23.3 Index
==========

La commande ‘\makeindex’ active la création d’index.  Placez là dans le
préambule.

   La commande ‘\index{TEXTE}’ écrit un article d’index pour TEXTE dans
un fichier auxiliaire nommé avec une extention ‘.idx’.

   Plus précisément, ce qui est écrit est la commande
‘\indexentry{TEXTE}{NUMPAGE}’, où NUMPAGE est la valeur courante de
‘\thepage’.

   Pour générer un article d’index pour « toto » qui dit « Voir titi »,
utilisez une barre verticale : ‘\index{toto|see{titi}}’.  Utilisez
‘seealso’ au lieu de ‘see’ pour fabriquer un article en « Voir aussi ».

   Le texte « Voir » est défini par la macro ‘\seename’, et le texte
« Voir aussi » par la macro ‘\alsoname’.  Ils peuvent être redéfinis
pour d’autres langages.

   Le fichier en ‘.idx’ généré est ensuite trié avec une commande
externe, d’ordinaire soit ‘makeindex’
(<http://mirror.ctan.org/indexing/makeindex>) ou la commande (
multi-lingue) ‘xindy’ (<http://xindy.sourceforge.net>).  Ceci résulte en
un fichier en ‘.ind’, ce qui peut ensuite être lu pour composer l’index.

   L’index est d’ordinaire généré avec la commande ‘\printindex’.
Celle-ci est définie dans le paquetage ‘makeidx’, ainsi vous devez
mettre ‘\usepackage{makeidx}’ dans le préambule.

   La longueur élastique ‘\indexspace’ est insérée avant chaque nouvelle
lettre dans l’index imprimé ; sa valeur par défaut est ‘10pt plus5pt
minus3pt’.

   Le paquetage ‘showidx’ a pour effet que chaque article de l’index est
affiché dans la marge de la page où l’article apparaît.  Ceci peut aider
à la préparation de l’index.

   Le paquetage ‘multind’ prend en charge la pluralité des index.  Voir
aussi l’article de la FAQ TeX FAQ à ce propos,
<http://www.tex.ac.uk/cgi-bin/texfaq2html?label=multind>.

24 Des lettres
**************

Synopsis :

     \documentclass{letter}
     \address{ADRESSE EXPÉDITEUR}
     \signature{NOM DE L'EXPÉDITEUR}
     \begin{document}
     \begin{letter}{ADRESSE DESTINATAIRE}
     \opening{APOSTROPHE}
       CORPS-DE-LA-LETTRE
     \closing{TEXTE DE SALUTATION}
     \end{letter}
       ...  encore des lettres ...
     \end{document}

   Produit une ou plusieurs lettres.

   Chaque lettre est dans un environnement séparé ‘letter’, dont
l’argument ADRESSE DESINATAIRE contient souvent plusieurs lignes
séparées par une double contr’oblique (‘\\’).  Par exemple, vous
pourriez avoir :

      \begin{letter}{M. Joseph Fabre \\
           25 rue de la République\\
           35700 Rennes}
        ...
      \end{letter}

   Le début de l’environnement ‘letter’ reinitialise le numéro de page à
1, et le numéro de note en bas de page à 1 aussi.

   Les ADRESSE EXPÉDITEUR et NOM DE L’EXPÉDITEUR sont communs à toutes
les lettres, qu’il y en ait une ou plus, ainsi il est préférable de
mettre ces déclarations dans le préambule.  Comme avec l’adresse du
destinataire, souvent ADRESSE EXPÉDITEUR contient plusieurs lignes
séparées par une double contr’oblique ‘\\’.  LaTeX place le NOM DE
L’EXPÉDITEUR sous la salutation, après un espace vertical pour la
signature manuscrite traditionnelle ; il peut aussi contenir plusieurs
lignes.

   Le corps de chaque environnement ‘letter’ commence par une commande
‘\opening’ obligatoire telle que ‘\opening{Madame, Monsieur,}’.  Le
texte CORPS-DE-LA-LETTRE est du code LaTeX ordinaire et peut donc tout
contenir de la liste énumérée à des formules mathématique en hors texte,
à ceci près que la commandes de rubricage telles que ‘\chapter’ qui
n’ont pas lieu d’être au sein d’une lettre sont indisponibles.  Chaque
environnement ‘letter’ se termine typiquement par une commande
‘\closing’ telle que dans ‘\closing{Je vous prie, Madame, Monsieur,
d'agréer l'expression de mes sentiments les meilleurs.}’.

   Du matériel suppélementaire peut venir après le ‘\closing’.  Vous
pouvez préciser qui est en copie de la lettre avec une commande comme
‘\cc{Le Patron\\Le Patron du Patron}’.  Il y a une commande ‘\encl’
similaire pour spécifier une liste de pièces jointes.  Et, vous pouvez
ajouter un postscriptum avec ‘\ps’.

   Par défaut LaTeX renfonce la signature et la salutation ‘\closing’ la
précédant d’une longueur valant ‘\longindentation’.  Celle-ci vaut par
défaut ‘0.5\textwidth’.  Pour les aligner à gauche, il suffit de
spécifier ‘\setlength{\longindentation}{0em}’ dans votre préambule.

   Pour fixer la date utilisez quelque-chose comme
‘\renewcommand{\today}{2015-10-12}’.  En plaçant ce code dans votre
préambule, il s’appliquera à toutes les lettres du document.

   Cet exemple est avec un seul environnement ‘letter’.  Les trois
lignes marquées en commentaire comme optionnelles sont typiquement
omises.

     \documentclass{letter}
     \usepackage[T1]{fontenc}
     \usepackage{french}
     \address{Rue de l'expéditeur \\ Ville de l'expéditeur}
     \signature{Nom de l'expéditeur\\ Titre de l'expéditeur}
     % optionnel : \location{Boîte Postale 13}
     % optionnel : \telephone{(102) 555-0101}
     \begin{document}
     \begin{letter}{Nom du destinataire \\ Adresse du destinataire}
     \opening{Monsieur,}
     % optionnel : \thispagestyle{firstpage}
     I ne suis pas intéressé à faire affaire avec vous.
     \closing{Je vous prie, Monsieur, de recevoir mes salutations distinguées.}
     \end{letter}
     \end{document}

   Ces commandes sont utilisées avec la classe ‘letter’.

24.1 ‘\address’
===============

Synopsis :

     \address{ADRESSE-EXPÉDITEURS}

   Spécifie l’adresse de retour telle qu’elle apparaît sur la lettre et
sur l’enveloppe.  Séparez des lignes multiples au sein de
ADRESSE-EXPÉDITEURS avec une double contr’oblique ‘\\’.

   Parce qu’elle peut s’appliquer à des lettres multiples cette
déclaration est souvent placée dans le préambule.  Toutefois elle peut
être faite n’importe où, y compris au sein d’un environnement ‘letter’
individuel.

   Cette commande est optionnelle : sans la déclaration ‘\address’ la
lettre est formatée avec un espace à blanc en haut de sorte à pouvoir
être imprimée sur du papier à en-tête pré-imprimé.  (see Overview,
pour les détails concernant votre implémentation locale).  Avec la
déclaration ‘\address’, elle est formatée comme une lettre personnelle.

24.2 ‘\cc’
==========

Synopsis :

     \cc{PREMIER NOM\\...}

   Produit une liste de noms de personnes mis en copie de la lettre.
Cette commande est optionnelle.  Si elle est présente, alors elle vient
typiquement après le ‘\closing’.  En cas de ligne multiple, séparez les
avec une double contr’oblique ‘\\’, comme dans :

     \cc{Président \\
         Vice-président}

24.3 ‘\closing’
===============

Synopsis :

     \closing{TEXTE}

   D’ordinaire à la fin d’une lettre, au dessus de la signature
manuscrite, il y a un ‘\closing’ (bien que cette commande soit
optionnelle).  Par exemple :

     \closing{Je vous prie, Madame, Monsieur, d'agréer l'expression de ma
        confiance.}

24.4 ‘\encl’
============

Synopsis :

     \encl{LIGNE1\\LIGNE2}

   Déclare une liste d’une ou plus de pièces jointes.

24.5 ‘\location’
================

Synopsis :

     \location{TEXTE}

   Le TEXTE apparaît centré au bas de chaque page.  Il apparaît
seulement si le style de la page est ‘firstpage’.

24.6 ‘\makelabels’
==================

Synopsis :

     \makelabels

   Crée une feuille d’étiquettes d’adresses à partir des adresses des
destinataires, une pour chaque lettre.  Cette feuille sera sortie avant
les lettres, avec dans l’idée de la copier sur une feuille vierge de
vignettes autocollantes.  Cette commande est à mettre dans le préambule.

   Vous pouvez personnaliser les étiquettes en redéfinissant les trois
commandes ‘\startlabels’, ‘\mlabel’ et ‘\returnaddress’ dans le
préambule.  Ces commandes ne sont pas à appeler directement par
l’utilisateur, c’est la classe ‘letter’ qui les appelle.  La commande
‘\startlabels’ compose la page sur laquelle les étiquettes sont
imprimées en termes de largeur, de hauteur, et de nombre de colonnes,
etc.  La commande ‘\mlabel{ADRESSE EXPÉDITEUR}{ADRESSE DESTINATAIRE}’
est appelée pour chaque lettre du document avec deux arguments :

   • Le premier, ADRESSE EXPÉDITEUR, est le contenu courant de la macro
     ‘\returnaddress’
   • Le second, ADRESSE DESTINATAIRE, est l’adresse du destinataire
     telle que passée en argument à l’environnement ‘letter’.

   La définition par défaut de ‘\mlabel’ ignore le premier argument,
c’est à dire que si vous placez seulement un ‘\makelabels’ dans le
préambule, la feuille d’étiquettes ne contiendra des étiquettes que pour
les destinataires.

   Si vous désirez imprimer une étiquette d’adresse expéditeur et
d’adresse destinataire pour chaque lettre, vous devez faire deux
choses :
  1. La première est de redéfinir ‘\mlabel’ pour fabriquer deux
     étiquettes au lieu d’une, vous pouvez pour cela mettre ce qui suit
     dans le préambule :

          \newcommand*\originalMlabel{}
          \let\originalMlabel\mlabel
          \def\mlabel#1#2{\originalMlabel{}{#1}\originalMlabel{}{#2}}

     Ceci ne suffit toutefois pas, parce que la première des deux
     étiquettes est vide, vu que la définition par défaut de
     ‘\returnaddress’ l’est.
  2. La seconde est de redéfinir ‘\returnaddress’ pour contenir
     l’adresse de l’expéditeur, vous pouvez faire cela en plaçant dans
     le préambule :

          \renewcommand*\returnaddress{\protect\fromname\\\protect\fromaddress}

24.7 ‘\name’
============

‘\name{June Davenport}’

   Le nom de l’expéditeur, à imprimer sur l’enveloppe avec l’adresse de
retour.

24.8 ‘\opening{TEXTE}’
======================

Synopsis :

     \opening{TEXTE}

   Cette commande est obligatoire.  Elle commence la lettre, en suivant
le ‘\begin{letter}{...}’.  L’argument obligatoire TEXTE est le texte
d’“appel” de votre lettre.  Par exemple :

     \opening{Dear John,}

24.9 ‘\ps’
==========

Synopsis :

     \ps{TEXTE}

   Utilisez la commande ‘\ps’ pour commencer un postscriptum dans une
lettre, après ‘\closing’.

24.10 ‘\signature{TEXTE}’
=========================

Synopsis :

     \signature{PREMIÈRE LIGNE \\
                 ... }

   Le nom de l’expéditeur.  Cette commande est optionnelle, quoique son
inclusion soit habituelle.

   Le texte de l’argument apparaît à la fin de la lettre, après la
clôture et après une espace verticale pour la signature manuscrite
traditionnelle.  Séparez des lignes multiples avec une double
contr’oblique ‘\\’.  Par exemple :

     \signature{J Fred Muggs \\
                White House}

   La valeur par défault de LaTeX pour l’espace verticale space du texte
de ‘\closing’ au texte de ‘\signature’ est ‘6\medskipamount’, ce qui
vaut six fois 0,7em.

   Cette commande est d’ordinaire dans le preambule, de sorte à
s’appliquer à toutes les lettres du document.  Pour qu’elle ne
s’applique qu’à une seule lettre, placez la au sein d’un environnement
‘letter’ et avant le ‘\closing’.

   Vous pouvez inclure un graphique dans la signature, par exemple avec
‘\signature{\vspace{-6\medskipamount}\includegraphics{sig.png}\\ My
name}’ (ceci nécessite d’écrire ‘\usepackage{graphicx}’ dans le
préambule).

24.11 ‘\telephone’
==================

Synopsis :

   ‘\telephone{NUMÉRO}’

   C’est le numéro de telephone de l’expéditeur.  Déclaré typiquement
dans le préambule, où il s’applique à toutes les lettres.  Ceci apparaît
seulement si le style de page (‘pagestyle’) ‘firstpage’ est sélectionné.
Dans ce cas, il apparaît en bas à droite de la page.

25 Entrée/sortie console
************************

25.1 ‘\typein[CMD]{MSG}’
========================

Synopsis :

     \typein[\CMD]{MSG}

   ‘\typein’ tape MSG sur la console et fait que LaTeX s’arrête et
attend que vous saisisiez une ligne d’entrée, en la terminant par un
retour-chariot.  Si l’argument optionnel \CMD est omis, l’netrée tapée
est traitée comme si elle avec été incluse dans le fichier d’entrée à la
place de la commande ‘\typein’.  Si l’argument \CMD est présent, cela
doit être un nom de commande.  Ce nom de commande est alors défini, ou
redéfini, pour se développer en le texte en entrée qui a été tapé.

25.2 ‘\typeout{MSG}’
====================

Synopsis :

     \typeout{MSG}

   Tape ‘msg’ sur le terminal et dans le journal (fichier ‘log’).  Les
commandes dans ‘msg’ qui sont définis avec ‘\newcommand’ ou
‘\renewcommand’ (entre autres) sont remplacées par leurs définitions
avant d’être tapée.

   Les règles usuelles de LaTeX pour le traitement de plusieurs espaces
comme un seul espace et pour ignorer les espaces après un nom de
commande s’appliquent à ‘msg’.  Une commande ‘\space’ dans ‘msg’
provoque un unique espace tapé, indépendant des espaces qui l’entourent.
Un ‘^^J’ dans ‘msg’ tape un saut à la ligne.

26 Ligne de commande
********************

La spécification du fichier d’entrée indique le fichier à être formaté ;
TeX utilise ‘.tex’ comme extension de fichier par défaut.  Si vous
omettez complètment le fichier d’entrée, TeX accèpte en entrée les
caractères saisis à partir de la console.  Vous spécifiez les options de
commande en fournissant une chaîne en paramètre de la commande ; par ex.

     latex '\nonstopmode\input foo.tex'

Traitera ‘foo.tex’ sans faire de pause après chaque erreur.

   Si LaTeX s’arrête au milieu du document et vous fait une invite en
‘*’, c’est qu’il attend que vous saisissiez quelque chose.  Vous pouvez
taper ‘\stop’ (et retour-chariot) et il terminera prématurément le
document.

   See TeX engines, pour les autres commandes système invoquant
LaTeX.

Appendice A Patrons de documents
********************************

Bien que ce ne soit pas un matériel de référence, peut-être que ces
patrons de document vous seront utiles.  Davantage de resources de
patrons sont listé à <http://tug.org/interest.html#latextemplates>.

A.1 Un patron ‘beamer’
======================

La classe ‘beamer’ crée des présentations en diapositives.  Elle a de
très nombreuses possibilités, mais voici un patron de base :

\documentclass{beamer}
\usepackage[latin1]{inputenc}

\title{Patron pour la classe Beamer}
\author{Alex L'Auteur}
\date{31 juillet 2007}

\begin{document}

\maketitle

% sans [fragile], n'importe quel code {verbatim} se prend des erreurs mystérieuses.
\begin{frame}[fragile]
 \frametitle{Première diapositive}

\begin{verbatim}
  C'est \verbatim!
\end{verbatim}

\end{frame}

\end{document}

   Une ressource web pour cela :
<http://robjhyndman.com/hyndsight/beamer/>.

A.2 Un patron ‘book’
====================

\documentclass{book}
\title{Le Patron de la classe book}
\author{Alex L'Auteur}

\begin{document}
\maketitle

\chapter{Premier}
Du texte.

\chapter{Second}
Et du texte.

\section{Un sujet secondaire}
La fin.
\end{document}

A.3 Un patron ‘tugboat’
=======================

‘TUGboat’ est la revue du groupe des utilisateur de TeX (TeX Users
Group), <http://tug.org/TUGboat>.

\documentclass{ltugboat}
\usepackage{graphicx}
\usepackage{ifpdf}
\ifpdf
\usepackage[breaklinks,hidelinks]{hyperref}
\else
\usepackage{url}
\fi

\title{Exemple d'article \TUB}

% répétez l'information pour chaque auteur.
\author{Prénom Nom}
\address{Voie\\ Ville, Code postal \\ Pays}
\netaddress{user (at) exemple dot org}
\personalURL{http://exemple.org/~user/}

 %%% Fin des métadonnées %%%

\begin{document}

\maketitle

\begin{abstract}
Ceci est un exemple d'article pour le \TUB{}.
Prière d'écrire un abrégé.
\end{abstract}

\section{Introduction}

Ceci est un exemple d'article pour le \TUB, à partir du lien
\url{http://tug.org/TUGboat/location.html}.

Nous recommandons le paquetage graphicx pour les inclusionj d'iimage, et
le paquetage hyperref pour des adresses réticulaires (url) actives (dans
la sortie \acro{PDF}).  De nos jour le \TUB\ est produit en utilisant
exclusivement des fichiers \acro{PDF}.

La classe \texttt{ltugboat} fournit ces abréviations (et bien d'autres) :

% verbatim blocks are often better in \small
\begin{verbatim}[\small]
\AllTeX \AMS \AmS \AmSLaTeX \AmSTeX \aw \AW
\BibTeX \CTAN \DTD \HTML
\ISBN \ISSN \LaTeXe
\mf \MFB
\plain  \POBox \PS
\TUB \TUG \tug
\UNIX \XeT \WEB \WEAVE

\, \bull \Dash \dash \hyph

\acro{FRED} -> {\small[er] fred}  % prière d'utiliser !
\cs{fred}   -> \fred
\meta{fred} -> <fred>
\nth{n}     -> 1st, 2nd, ...
\sfrac{3/4} -> 3/4
\booktitle{Book of Fred}
\end{verbatim}

Pour faire référence à d'autre numéros du \TUB\, veuillez utiliser le
format \textsl{volno:issno}, par ex., ``\TUB\ 32:1'' pour notre numéro
\nth{100}.

Ce fichier n'est qu'un patron.  La documentation du style \TUB\ est dans
le document \texttt{ltubguid} se trouvant à
\url{http://ctan.org/pkg/tugboat}.  (Pour les références au \CTAN\ nous
recommandons cette forme d'URL utilisant \texttt{/pkg/} quand cela fait
sens ; ou, si vous avez besoin de faire référence spécifiquement à une
localisation : \texttt{http://mirror.ctan.org/\textsl{chemin}}.)

Écrivez par mél à \verb|tugboat@tug.org| en cas de problèmes ou
questions.

\bibliographystyle{plain}  % nous  recommandons le style de bibliographie plain
\nocite{book-minimal}      % pour forcer la bibliographie à ne pas être vide
\bibliography{xampl}       % xampl.bib est compris dans BibTeX

\makesignature
\end{document}

Appendice B Traduction de la licence
************************************

La traduction qui suit est donnée uniquement à titre informatif, et ne
remplace pas le texte en anglais donné au début de ce document.

   Permission vous est donnée de distribuer des copies conformes de ce
manuel à condition que les mentions du droit d’auteur et de permission
soient préservées sur toutes les copies.

   Permission vous est donnée de copier et distribuer des versions
modifiées de ce manuel dans les conditions d’une copie conforme, à
condition que l’ensemble de l’ouvrage dérivé résultant soit distribué
sous les termes d’une mention de permission identique à celle-ci.

   Permission vous est donnée de copier et distribuer des traductions de
ce manuel dans une autre langue, dans les conditions ci-dessus pour les
versions modifiées.